      .65816
      .longa on
      .longi on

NUFQD .equ 0

MEMB  .equ $1000
MEME  .equ $7F00

INIIO .equ $7F80
OUTPT .equ $7F83
INPUT .equ $7F86

CHAR1 .equ 1
CELL1 .equ 2
NBITS .equ 16
NRP   .equ 64
NSP   .equ 64
NTIB  .equ 80
NPAD  .equ 80
ECOMP .equ $40
EIMED .equ $80
NVOCS .equ 8
NDUMP .equ 16
ECR   .equ 13
ELF   .equ 10
EBS   .equ 8
EBL   .equ 32
ETIB  .equ MEME-NTIB
ESPP  .equ ETIB
ERP   .equ ESPP-NSP*CELL1
EUP   .equ ERP-NRP*CELL1

EBEQ  .equ $F0
EBNE  .equ $D0
EJSR  .equ $20
EJMP  .equ $4C
ELDY  .equ $A0
ELDA  .equ $A9
EPHA  .equ $48
EPLA  .equ $68
EPHY  .equ $5A
EPLY  .equ $7A
ERTS  .equ $60
ETYA  .equ $98
ETAY  .equ $A8
ETCS  .equ $1B
ETSC  .equ $3B

      .org MEMB

PG    .equ 0
N     .equ 0

RESET:
      CLC
      XCE
      REP #$30
      JMP VCOLD
VERSI .byte $2D
      .byte "eForth 65C816 (65C816-65org16 hybrid) STC 0.1"
COPYR .byte $34
      .byte "Copyright 1989-1999 Bill Muench All rights reserved."
      .word 0
L000  .byte $07
      .byte "EXECUTE"
      .byte 0
EXECU LDA 0,X
      INX
      INX
      STA EXEC1+1
EXEC1 JMP PG
      .word L000
L001  .byte $04
      .byte "_LIT"
      .byte ECOMP
ULIT  DEX
      DEX
      STA 0,X
      RTS
      .word L001
L002  .byte $03
      .byte "_IF"
      .byte ECOMP
PULL:
UIF   LDA 0,X
      INX
      INX
      TAY
      RTS
      .word L002
L003  .byte $02
      .byte "C!"
      .byte 0
CSTOR LDY 0,X
      INX
      INX
      SEP #$20
      LDA 0,X
      STA PG,Y
      REP #$20
      INX
      INX
      RTS
      .word L003
L004  .byte $02
      .byte "C@"
      .byte 0
CAT   LDA #0
      LDY 0,X
      SEP #$20
      LDA PG,Y
      REP #$20
      STA 0,X
      RTS
      .word L004
L005  .byte $01
      .byte "!"
      .byte 0
STORE LDY 0,X
      INX
      INX
      LDA 0,X
      STA PG,Y
      INX
      INX
      RTS
      .word L005
L006  .byte $01
      .byte "@"
      .byte 0
ATT   LDY 0,X
      LDA PG,Y
      STA 0,X
      RTS
      .word L006
L007  .byte $03
      .byte "RP@"
      .byte 0
RPAT  STX N
      TSX
      INX
      INX
      INX
      TXA
      LDX N
      DEX
      DEX
      STA 0,X
      RTS
      .word L007
L008  .byte $03
      .byte "RP!"
      .byte ECOMP
RPSTO LDA 0,X
      INX
      INX
      STX N
      TAX
      DEX
      PLA
      TXS
      LDX N
      PHA
      RTS
      .word L008
L009  .byte $03
      .byte "SP@"
      .byte 0
SPAT  TXA
      DEX
      DEX
      STA 0,X
      RTS
      .word L009
L010  .byte $03
      .byte "SP!"
      .byte 0
SPSTO LDA 0,X
      TAX
      RTS
      .word L010
L011  .byte $04
      .byte "DROP"
      .byte 0
DROP  INX
      INX
      RTS
      .word L011
L012  .byte $04
      .byte "SWAP"
      .byte 0
SWAP  LDA 0,X
      LDY CELL1,X
      STY 0,X
      STA CELL1,X
      RTS
      .word L012
L013  .byte $03
      .byte "DUP"
      .byte 0
DUP   LDA 0,X
      DEX
      DEX
      STA 0,X
      RTS
      .word L013
L014  .byte $04
      .byte "OVER"
      .byte 0
OVER  LDA CELL1,X
      DEX
      DEX
      STA 0,X
      RTS
      .word L014
L015  .byte $05
      .byte "CHAR-"
      .byte 0
CHARM DEC 0,X
      RTS
      .word L015
L016  .byte $05
      .byte "CHAR+"
      .byte 0
CHARP INC 0,X
      RTS
      .word L016
L017  .byte $05
      .byte "CHARS"
      .byte EIMED
CHARS RTS
      .word L017
L018  .byte $05
      .byte "CELL-"
      .byte 0
CELLM DEC 0,X
      DEC 0,X
      RTS
      .word L018
L019  .byte $05
      .byte "CELL+"
      .byte 0
CELLP INC 0,X
      INC 0,X
      RTS
      .word L019
L020  .byte $05
      .byte "CELLS"
      .byte 0
CELLS:
      ASL 0,X
      RTS
      .word L020
L021  .byte $02
      .byte "0<"
      .byte 0
ZLESS LDY #0
      LDA 0,X
      BPL ZLES1
      DEY
ZLES1 STY 0,X
      RTS
      .word L021
L022  .byte $03
      .byte "AND"
      .byte 0
ANDD  LDA 0,X
      INX
      INX
      AND 0,X
      STA 0,X
      RTS
      .word L022
L023  .byte $02
      .byte "OR"
      .byte 0
ORR   LDA 0,X
      INX
      INX
      ORA 0,X
      STA 0,X
      RTS
      .word L023
L024  .byte $03
      .byte "XOR"
      .byte 0
XORR  LDA 0,X
      INX
      INX
      EOR 0,X
      STA 0,X
      RTS
      .word L024
L025  .byte $03
      .byte "UM+"
      .byte 0
UMPLU CLC
      LDA 0,X
      ADC CELL1,X
      STA CELL1,X
      LDA #0
      ROL
      STA 0,X
      RTS
      .word L025
L026  .byte $03
      .byte "!IO"
      .byte 0
STOIO LDA 0,X
      INX
      INX
      JMP INIIO
      .word L026
L027  .byte $03
      .byte "?RX"
      .byte 0
QRX   JSR INPUT
      LDY #0
      BCS QRX1
      DEX
      DEX
      STA 0,X
      DEY
QRX1  DEX
      DEX
      STY 0,X
      RTS
      .word L027
L028  .byte $03
      .byte "TX!"
      .byte 0
TXSTO LDA 0,X
      INX
      INX
      JMP OUTPT
XFER  LDY 0,X
      LDA PG,Y
      STA XFER1+1
      INX
      INX
      INY
      INY
      TYA
      PHA
XFER1 JMP PG
      .word L028
L029  .byte $02
      .byte "L!"
      .byte 0
LSTOR LDA 0,X
      LDY CELL1,X
      STY 0,X
      STA CELL1,X
      LDA 2*CELL1,X
      STA (0,X)
      INX
      INX
      INX
      INX
      INX
      INX
      RTS
      .word L029
L030  .byte $02
      .byte "L@"
      .byte 0
LAT   LDA 0,X
      LDY CELL1,X
      STY 0,X
      STA CELL1,X
      LDA (0,X)
      INX
      INX
      STA 0,X
      RTS
      .word L030
L031  .byte $04
      .byte "NOOP"
      .byte 0
NOOP:
      RTS
      .word L031
L032  .byte $04
      .byte "_VAR"
      .byte ECOMP
UVAR:
      PLA
      JSR ULIT
      INC 0,X
      RTS
      .word L032
L033  .byte $04
      .byte "_CON"
      .byte ECOMP
UCON:
      PLA
      JSR ULIT
      INC 0,X
      JMP ATT
      .word L033
L034  .byte $05
      .byte "'?KEY"
      .byte 0
TQKEY:
      JSR UVAR
      .word QRX
      .word L034
L035  .byte $05
      .byte "'EMIT"
      .byte 0
TEMIT:
      JSR UVAR
      .word TXSTO
      .word L035
L036  .byte $04
      .byte "BASE"
      .byte 0
BASE:
      JSR UVAR
      .word 0
      .word L036
L037  .byte $03
      .byte "DPL"
      .byte 0
DPL:
      JSR UVAR
      .word 0
      .word L037
L038  .byte $03
      .byte "HLD"
      .byte 0
HLD:
      JSR UVAR
      .word 0
      .word L038
L039  .byte $03
      .byte ">IN"
      .byte 0
TOIN:
      JSR UVAR
      .word 0
      .word L039
L040  .byte $03
      .byte "#IN"
      .byte 0
NIN:
      JSR UVAR
      .word 0
      .word 0
      .word L040
L041  .byte $03
      .byte "CSP"
      .byte 0
CSP:
      JSR UVAR
      .word 0
      .word L041
L042  .byte $05
      .byte "STATE"
      .byte 0
STATE:
      JSR UVAR
      .word 0
      .word 0
      .word L042
L043  .byte $02
      .byte "DP"
      .byte 0
DP:
      JSR UVAR
      .word HERE0
      .word 0
      .word L043
L044  .byte $03
      .byte "SUP"
      .byte 0
SUP:
      JSR UVAR
SUP1  .word EUP
      .word ERP
      .word ESPP
      .word L044
L045  .byte $02
      .byte "BL"
      .byte 0
BLL:
      JSR UCON
      .word EBL
      .word L045
L046  .byte $03
      .byte "HEX"
      .byte 0
HEXX:
      LDA #$10
      JSR ULIT
      JSR BASE
      JMP STORE
      .word L046
L047  .byte $07
      .byte "DECIMAL"
      .byte 0
DECIM:
      LDA #$0A
      JSR ULIT
      JSR BASE
      JMP STORE
      .word L047
L048  .byte $03
      .byte "ROT"
      .byte 0
ROT:
      JSR PULL
      PHA
      JSR SWAP
      PLA
      JSR ULIT
      JMP SWAP
      .word L048
L049  .byte $03
      .byte "NIP"
      .byte 0
NIP:
      JSR SWAP
      INX
      INX
      RTS
      .word L049
L050  .byte $05
      .byte "2DROP"
      .byte 0
TDROP:
      INX
      INX
      INX
      INX
      RTS
      .word L050
L051  .byte $04
      .byte "2DUP"
      .byte 0
TDUP:
      JSR OVER
      JMP OVER
      .word L051
L052  .byte $04
      .byte "?DUP"
      .byte 0
QDUP:
      JSR DUP
      JSR UIF
      BEQ QDUP1
      JMP DUP
QDUP1 RTS
      .word L052
L053  .byte $01
      .byte "+"
      .byte 0
PLUS:
      JSR UMPLU
      INX
      INX
      RTS
      .word L053
L054  .byte $02
      .byte "D+"
      .byte 0
DPLUS:
      JSR PULL
      PHA
      JSR SWAP
      JSR PULL
      PHA
      JSR UMPLU
      PLA
      JSR ULIT
      JSR PLUS
      PLA
      JSR ULIT
      JMP PLUS
      .word L054
L055  .byte $06
      .byte "INVERT"
      .byte 0
INVER:
      LDA #$FFFF
      JSR ULIT
      JMP XORR
      .word L055
L056  .byte $06
      .byte "NEGATE"
      .byte 0
NEGAT:
      JSR INVER
      LDA #$01
      JSR ULIT
      JMP PLUS
      .word L056
L057  .byte $07
      .byte "DNEGATE"
      .byte 0
DNEGA:
      JSR INVER
      JSR PULL
      PHA
      JSR INVER
      LDA #$01
      JSR ULIT
      JSR UMPLU
      PLA
      JSR ULIT
      JMP PLUS
      .word L057
L058  .byte $03
      .byte "S>D"
      .byte 0
STOD:
      JSR DUP
      JMP ZLESS
      .word L058
L059  .byte $03
      .byte "ABS"
      .byte 0
ABSS:
      JSR DUP
      JSR ZLESS
      JSR UIF
      BEQ ABS1
      JMP NEGAT
ABS1  RTS
      .word L059
L060  .byte $04
      .byte "DABS"
      .byte 0
DABS:
      JSR DUP
      JSR ZLESS
      JSR UIF
      BEQ DABS1
      JMP DNEGA
DABS1 RTS
      .word L060
L061  .byte $01
      .byte "-"
      .byte 0
MINUS:
      JSR NEGAT
      JMP PLUS
      .word L061
L062  .byte $04
      .byte "PICK"
      .byte 0
PICK:
      JSR QDUP
      JSR UIF
      BEQ PICK1
      JSR SWAP
      JSR PULL
      PHA
      LDA #$01
      JSR ULIT
      JSR MINUS
      JSR PICK
      PLA
      JSR ULIT
      JMP SWAP
PICK1 JMP DUP
      .word L062
L063  .byte $02
      .byte "0="
      .byte 0
ZEQ:
      JSR UIF
      BEQ ZEQ1
      LDA #0
      JMP ULIT
ZEQ1  LDA #$FFFF
      JMP ULIT
      .word L063
L064  .byte $01
      .byte "="
      .byte 0
EQUAL:
      JSR XORR
      JMP ZEQ
      .word L064
L065  .byte $02
      .byte "U<"
      .byte 0
ULESS:
      JSR TDUP
      JSR XORR
      JSR ZLESS
      JSR UIF
      BEQ ULES1
      JSR NIP
      JMP ZLESS
ULES1 JSR MINUS
      JMP ZLESS
      .word L065
L066  .byte $01
      .byte "<"
      .byte 0
LESS:
      JSR TDUP
      JSR XORR
      JSR ZLESS
      JSR UIF
      BEQ LESS1
      INX
      INX
      JMP ZLESS
LESS1 JSR MINUS
      JMP ZLESS
      .word L066
L067  .byte $03
      .byte "MAX"
      .byte 0
MAX:
      JSR TDUP
      JSR LESS
      JSR UIF
      BEQ MAX1
      JSR SWAP
MAX1  INX
      INX
      RTS
      .word L067
L068  .byte $03
      .byte "MIN"
      .byte 0
MIN:
      JSR TDUP
      JSR SWAP
      JSR LESS
      JSR UIF
      BEQ MIN1
      JSR SWAP
MIN1  INX
      INX
      RTS
      .word L068
L069  .byte $06
      .byte "WITHIN"
      .byte 0
WITHI:
      JSR OVER
      JSR MINUS
      JSR PULL
      PHA
      JSR MINUS
      PLA
      JSR ULIT
      JMP ULESS
      .word L069
L070  .byte $06
      .byte "LSHIFT"
      .byte 0
LSHIF:
LSHI1 JSR DUP
      JSR UIF
      BEQ LSHI2
      JSR PULL
      PHA
      JSR DUP
      JSR PLUS
      PLA
      JSR ULIT
      LDA #$01
      JSR ULIT
      JSR MINUS
      JMP LSHI1
LSHI2 INX
      INX
      RTS
      .word L070
L071  .byte $03
      .byte "UM*"
      .byte 0
UMSTA:
      LDA #0
      JSR ULIT
      JSR SWAP
      LDA #NBITS
      JSR ULIT
UMST1 JSR DUP
      JSR UIF
      BEQ UMST3
      JSR PULL
      PHA
      JSR DUP
      JSR UMPLU
      JSR PULL
      PHA
      JSR PULL
      PHA
      JSR DUP
      JSR UMPLU
      PLA
      JSR ULIT
      JSR PLUS
      PLA
      JSR ULIT
      JSR UIF
      BEQ UMST2
      JSR PULL
      PHA
      JSR OVER
      JSR UMPLU
      PLA
      JSR ULIT
      JSR PLUS
UMST2 PLA
      JSR ULIT
      LDA #$01
      JSR ULIT
      JSR MINUS
      JMP UMST1
UMST3 INX
      INX
      JSR PULL
      PHA
      JSR NIP
      PLA
      JMP ULIT
      .word L071
L072  .byte $01
      .byte "*"
      .byte 0
STAR:
      JSR UMSTA
      INX
      INX
      RTS
      .word L072
L073  .byte $06
      .byte "RSHIFT"
      .byte 0
RSHIF:
      LDA #0
      JSR ULIT
      JSR SWAP
      LDA #NBITS
      JSR ULIT
      JSR SWAP
      JSR MINUS
RSHI1 JSR DUP
      JSR UIF
      BEQ RSHI2
      JSR PULL
      PHA
      JSR TDUP
      JSR DPLUS
      PLA
      JSR ULIT
      LDA #$01
      JSR ULIT
      JSR MINUS
      JMP RSHI1
RSHI2 INX
      INX
      JMP NIP
      .word L073
L074  .byte $06
      .byte "UM/MOD"
      .byte 0
UMMOD:
      JSR TDUP
      JSR ULESS
      JSR UIF
      .byte $D0,3
      JMP UMMO5
      JSR NEGAT
      LDA #NBITS
      JSR ULIT
UMMO1 JSR DUP
      JSR UIF
      BEQ UMMO4
      JSR PULL
      PHA
      JSR PULL
      PHA
      JSR DUP
      JSR UMPLU
      JSR PULL
      PHA
      JSR PULL
      PHA
      JSR DUP
      JSR UMPLU
      PLA
      JSR ULIT
      JSR PLUS
      JSR DUP
      PLA
      JSR ULIT
      PLA
      PHA
      JSR ULIT
      JSR SWAP
      JSR PULL
      PHA
      JSR UMPLU
      PLA
      JSR ULIT
      JSR ORR
      JSR UIF
      BEQ UMMO2
      JSR PULL
      PHA
      INX
      INX
      LDA #$01
      JSR ULIT
      JSR PLUS
      PLA
      JSR ULIT
      JMP UMMO3
UMMO2 INX
      INX
UMMO3 PLA
      JSR ULIT
      PLA
      JSR ULIT
      LDA #$01
      JSR ULIT
      JSR MINUS
      JMP UMMO1
UMMO4 JSR TDROP
      JMP SWAP
UMMO5 INX
      INX
      JSR TDROP
      LDA #$FFFF
      JSR ULIT
      JMP DUP
      .word L074
L075  .byte $06
      .byte "SM/REM"
      .byte 0
SMREM:
      JSR OVER
      JSR PULL
      PHA
      JSR PULL
      PHA
      JSR DABS
      PLA
      PHA
      JSR ULIT
      JSR ABSS
      JSR UMMOD
      PLA
      JSR ULIT
      PLA
      PHA
      JSR ULIT
      JSR XORR
      JSR ZLESS
      JSR UIF
      BEQ SMRE1
      JSR NEGAT
SMRE1 PLA
      JSR ULIT
      JSR ZLESS
      JSR UIF
      BEQ SMRE2
      JSR PULL
      PHA
      JSR NEGAT
      PLA
      JMP ULIT
SMRE2 RTS
      .word L075
L076  .byte $06
      .byte "FM/MOD"
      .byte 0
FMMOD:
      JSR DUP
      JSR ZLESS
      JSR DUP
      JSR PULL
      PHA
      JSR UIF
      BEQ FMMO1
      JSR NEGAT
      JSR PULL
      PHA
      JSR DNEGA
      PLA
      JSR ULIT
FMMO1 JSR PULL
      PHA
      JSR DUP
      JSR ZLESS
      JSR UIF
      BEQ FMMO2
      PLA
      PHA
      JSR ULIT
      JSR PLUS
FMMO2 PLA
      JSR ULIT
      JSR UMMOD
      PLA
      JSR ULIT
      JSR UIF
      BEQ FMMO3
      JSR PULL
      PHA
      JSR NEGAT
      PLA
      JMP ULIT
FMMO3 RTS
      .word L076
L077  .byte $04
      .byte "/MOD"
      .byte 0
SMOD:
      JSR OVER
      JSR ZLESS
      JSR SWAP
      JMP FMMOD
      .word L077
L078  .byte $03
      .byte "MOD"
      .byte 0
MODD:
      JSR SMOD
      INX
      INX
      RTS
      .word L078
L079  .byte $01
      .byte "/"
      .byte 0
SLASH:
      JSR SMOD
      JMP NIP
      .word L079
L080  .byte $02
      .byte "+!"
      .byte 0
PLUST:
      JSR DUP
      JSR PULL
      PHA
      JSR ATT
      JSR PLUS
      PLA
      JSR ULIT
      JMP STORE
      .word L080
L081  .byte $05
      .byte "COUNT"
      .byte 0
COUNT:
      JSR DUP
      INC 0,X
      JSR SWAP
      JMP CAT
      .word L081
L082  .byte $06
      .byte "BOUNDS"
      .byte 0
BNDS:
      JSR OVER
      JSR PLUS
      JMP SWAP
      .word L082
L083  .byte $07
      .byte "/STRING"
      .byte 0
SSTRI:
      JSR DUP
      JSR PULL
      PHA
      JSR MINUS
      JSR SWAP
      PLA
      JSR ULIT
      JSR PLUS
      JMP SWAP
      .word L083
L084  .byte $07
      .byte "ALIGNED"
      .byte EIMED
ALGND:
      RTS
      .word L084
L085  .byte $02
      .byte "2!"
      .byte 0
TSTOR:
      JSR SWAP
      JSR OVER
      JSR STORE
      JSR CELLP
      JMP STORE
      .word L085
L086  .byte $02
      .byte "2@"
      .byte 0
TAT:
      JSR DUP
      JSR CELLP
      JSR ATT
      JSR SWAP
      JMP ATT
      .word L086
L087  .byte $04
      .byte "MOVE"
      .byte 0
MOVE:
      JSR PULL
      PHA
      JSR TDUP
      JSR ULESS
      JSR UIF
      BEQ MOVE3
MOVE1 PLA
      JSR ULIT
      JSR DUP
      JSR UIF
      BEQ MOVE2
      DEC 0,X
      JSR PULL
      PHA
      JSR OVER
      PLA
      PHA
      JSR ULIT
      JSR PLUS
      JSR CAT
      JSR OVER
      PLA
      PHA
      JSR ULIT
      JSR PLUS
      JSR CSTOR
      JMP MOVE1
MOVE2 INX
      INX
      JMP TDROP
MOVE3 PLA
      JSR ULIT
      JSR OVER
      JSR PLUS
      JSR PULL
      PHA
MOVE4 JSR DUP
      PLA
      PHA
      JSR ULIT
      JSR XORR
      JSR UIF
      BEQ MOVE5
      JSR PULL
      PHA
      JSR DUP
      JSR CAT
      PLA
      PHA
      JSR ULIT
      JSR CSTOR
      INC 0,X
      PLA
      JSR ULIT
      INC 0,X
      JMP MOVE4
MOVE5 PLA
      JSR ULIT
      INX
      INX
      JMP TDROP
      .word L087
L088  .byte $04
      .byte "FILL"
      .byte 0
FILLL:
      JSR PULL
      PHA
      JSR BNDS
FILL1 JSR TDUP
      JSR XORR
      JSR UIF
      BEQ FILL2
      PLA
      PHA
      JSR ULIT
      JSR OVER
      JSR CSTOR
      INC 0,X
      JMP FILL1
FILL2 PLA
      JSR ULIT
      INX
      INX
      JMP TDROP
      .word L088
L089  .byte $09
      .byte "-TRAILING"
      .byte 0
DTRAI:
DTRA1 JSR DUP
      JSR UIF
      BEQ DTRA2
      LDA #$01
      JSR ULIT
      JSR MINUS
      JSR TDUP
      JSR PLUS
      JSR CAT
      JSR BLL
      JSR SWAP
      JSR ULESS
      JSR UIF
      BEQ DTRA1
      LDA #$01
      JSR ULIT
      JMP PLUS
DTRA2 RTS
      .word L089
L090  .byte $04
      .byte ">ADR"
      .byte 0
TADR:
      RTS
      .word L090
L091  .byte $05
      .byte ">BODY"
      .byte 0
TBODY:
      JSR CELLP
      JMP CELLP
      .word L091
L092  .byte $02
      .byte "UP"
      .byte 0
UP:
      JSR UVAR
      .word 0
      .word L092
L093  .byte $04
      .byte "_USR"
      .byte ECOMP
UUSR:
      JSR UP
      JSR ATT
      PLA
      JSR ULIT
      INC 0,X
      JSR ATT
      JMP PLUS
      .word L093
L094  .byte $08
      .byte "FOLLOWER"
      .byte 0
FOLLO:
      JSR UUSR
      .word 0
      .word L094
L095  .byte $06
      .byte "STATUS"
      .byte 0
STATU:
      JSR UUSR
      .word 0-CELL1
      .word L095
L096  .byte $03
      .byte "TOS"
      .byte 0
TOS:
      JSR UUSR
      .word 0-2*CELL1
      .word L096
L097  .byte $03
      .byte "TID"
      .byte 0
TID:
      JSR UUSR
      .word 0-3*CELL1
      .word L097
L098  .byte $02
      .byte "TF"
      .byte 0
TF:
      JSR UUSR
      .word 0-4*CELL1
      .word L098
L099  .byte $02
      .byte "U1"
      .byte 0
U1:
      JSR UUSR
      .word 0-5*CELL1
      .word L099
L100  .byte $02
      .byte "'S"
      .byte 0
TICKS:
      JSR FOLLO
      JSR CELLP
      JSR MINUS
      JSR SWAP
      JSR ATT
      JMP PLUS
      .word L100
L101  .byte $05
      .byte "_PASS"
      .byte ECOMP
UPASS:
      PLA
      JSR ULIT
      JSR ATT
      JMP XFER
      .word L101
L102  .byte $04
      .byte "PASS"
      .byte 0
PASS:
      JSR UCON
      .word UPASS
      .word L102
L103  .byte $05
      .byte "_WAKE"
      .byte ECOMP
UWAKE:
      PLA
      JSR ULIT
      JSR UP
      JSR STORE
      JSR TOS
      JSR ATT
      LDA 0,X
      TAX
      JSR RPSTO
      RTS
      .word L103
L104  .byte $04
      .byte "WAKE"
      .byte 0
WAKE:
      JSR UCON
      .word UWAKE
      .word L104
L105  .byte $05
      .byte "PAUSE"
      .byte 0
PAUS:
      JSR RPAT
      JSR SPAT
      JSR TOS
      JSR STORE
      JSR FOLLO
      JSR ATT
      JMP XFER
      .word L105
L106  .byte $04
      .byte "STOP"
      .byte ECOMP
STOP:
      JSR PASS
      JSR STATU
      JSR STORE
      JMP PAUS
      .word L106
L107  .byte $03
      .byte "GET"
      .byte 0
GET:
      JSR PAUS
      JSR DUP
      JSR ATT
      JSR STATU
      JSR XORR
      JSR UIF
      BEQ GET3
GET1  JSR DUP
      JSR ATT
      JSR UIF
      BEQ GET2
      JSR PAUS
      JMP GET1
GET2  JSR STATU
      JSR SWAP
      JMP STORE
GET3  INX
      INX
      RTS
      .word L107
L108  .byte $07
      .byte "RELEASE"
      .byte 0
RELEA:
      JSR DUP
      JSR ATT
      JSR STATU
      JSR XORR
      JSR UIF
      BEQ RELE1
      INX
      INX
      RTS
RELE1 LDA #0
      JSR ULIT
      JSR SWAP
      JMP STORE
      .word L108
L109  .byte $05
      .byte "SLEEP"
      .byte 0
SLEEP:
      JSR PASS
      JSR SWAP
      JSR STATU
      JSR TICKS
      JMP STORE
      .word L109
L110  .byte $05
      .byte "AWAKE"
      .byte 0
AWAKE:
      JSR WAKE
      JSR SWAP
      JSR STATU
      JSR TICKS
      JMP STORE
      .word L110
L111  .byte $08
      .byte "ACTIVATE"
      .byte ECOMP
ACTIV:
      JSR DUP
      JSR CELLP
      JSR TAT
      JSR SWAP
      JSR CELLM
      JSR SWAP
      JSR CELLM
      PLA
      JSR ULIT
      JSR OVER
      JSR STORE
      JSR OVER
      JSR STORE
      JSR OVER
      JSR TOS
      JSR TICKS
      JSR STORE
      JMP AWAKE
      .word L111
L112  .byte $05
      .byte "BUILD"
      .byte 0
BUILD:
      JSR DUP
      JSR SLEEP
      JSR FOLLO
      JSR ATT
      JSR OVER
      JSR FOLLO
      JSR TICKS
      JSR STORE
      JSR DUP
      JSR STATU
      JSR TICKS
      JSR FOLLO
      JSR STORE
      JSR DUP
      JSR TID
      JSR TICKS
      JMP STORE
      .word L112
L113  .byte $06
      .byte "DIGIT?"
      .byte 0
DIGQ:
      JSR PULL
      PHA
      LDA #'0'
      JSR ULIT
      JSR MINUS
      LDA #$09
      JSR ULIT
      JSR OVER
      JSR LESS
      JSR UIF
      BEQ DIGQ1
      LDA #$07
      JSR ULIT
      JSR MINUS
      JSR DUP
      LDA #$0A
      JSR ULIT
      JSR LESS
      JSR ORR
DIGQ1 JSR DUP
      PLA
      JSR ULIT
      JMP ULESS
      .word L113
L114  .byte $07
      .byte ">NUMBER"
      .byte 0
TNUMB:
TNUM1 JSR DUP
      JSR UIF
      BEQ TNUM3
      JSR PULL
      PHA
      JSR DUP
      JSR PULL
      PHA
      JSR CAT
      JSR BASE
      JSR ATT
      JSR DIGQ
      JSR UIF
      BEQ TNUM2
      JSR SWAP
      JSR BASE
      JSR ATT
      JSR UMSTA
      INX
      INX
      JSR ROT
      JSR BASE
      JSR ATT
      JSR UMSTA
      JSR DPLUS
      PLA
      JSR ULIT
      INC 0,X
      PLA
      JSR ULIT
      LDA #$01
      JSR ULIT
      JSR MINUS
      JMP TNUM1
TNUM2 INX
      INX
      PLA
      JSR ULIT
      PLA
      JMP ULIT
TNUM3 RTS
      .word L114
L115  .byte $07
      .byte "NUMBER?"
      .byte 0
NUMQ:
      JSR OVER
      JSR CAT
      LDA #'-'
      JSR ULIT
      JSR EQUAL
      JSR DUP
      JSR PULL
      PHA
      JSR UIF
      BEQ NUMQ1
      LDA #$01
      JSR ULIT
      JSR SSTRI
NUMQ1 JSR PULL
      PHA
      JSR PULL
      PHA
      LDA #0
      JSR ULIT
      JSR DUP
      PLA
      JSR ULIT
      PLA
      JSR ULIT
      LDA #(0-$01)
      JSR ULIT
      JSR DPL
      JSR STORE
NUMQ2 JSR TNUMB
      JSR DUP
      JSR UIF
      BEQ NUMQ4
      JSR OVER
      JSR CAT
      LDA #'.'
      JSR ULIT
      JSR XORR
      JSR UIF
      BEQ NUMQ3
      JSR ROT
      INX
      INX
      JSR ROT
      PLA
      JSR ULIT
      JSR TDROP
      LDA #0
      JMP ULIT
NUMQ3 LDA #$01
      JSR ULIT
      JSR MINUS
      JSR DPL
      JSR STORE
      INC 0,X
      JSR DPL
      JSR ATT
      JMP NUMQ2
NUMQ4 JSR TDROP
      PLA
      JSR ULIT
      JSR UIF
      BEQ NUMQ5
      JSR DNEGA
NUMQ5 LDA #$FFFF
      JMP ULIT
      .word L115
L116  .byte $04
      .byte "HERE"
      .byte 0
HERE:
      JSR DP
      JMP ATT
      .word L116
L117  .byte $03
      .byte "PAD"
      .byte 0
PAD:
      JSR HERE
      LDA #NPAD
      JSR ULIT
      JMP PLUS
      .word L117
L118  .byte $02
      .byte "<#"
      .byte 0
BDIGS:
      JSR PAD
      JSR HLD
      JMP STORE
      .word L118
L119  .byte $05
      .byte "DIGIT"
      .byte 0
DIGIT:
      LDA #$09
      JSR ULIT
      JSR OVER
      JSR LESS
      LDA #$07
      JSR ULIT
      JSR ANDD
      JSR PLUS
      LDA #'0'
      JSR ULIT
      JMP PLUS
      .word L119
L120  .byte $04
      .byte "HOLD"
      .byte 0
HOLD:
      JSR HLD
      JSR ATT
      DEC 0,X
      JSR DUP
      JSR HLD
      JSR STORE
      JMP CSTOR
      .word L120
L121  .byte $01
      .byte "#"
      .byte 0
NDIG:
      LDA #0
      JSR ULIT
      JSR BASE
      JSR ATT
      JSR UMMOD
      JSR PULL
      PHA
      JSR BASE
      JSR ATT
      JSR UMMOD
      JSR SWAP
      JSR DIGIT
      JSR HOLD
      PLA
      JMP ULIT
      .word L121
L122  .byte $02
      .byte "#S"
      .byte 0
DIGS:
DIGS1 JSR NDIG
      JSR TDUP
      JSR ORR
      JSR ZEQ
      JSR UIF
      BEQ DIGS1
      RTS
      .word L122
L123  .byte $02
      .byte "#>"
      .byte 0
EDIGS:
      JSR TDROP
      JSR HLD
      JSR ATT
      JSR PAD
      JSR OVER
      JMP MINUS
      .word L123
L124  .byte $04
      .byte "SIGN"
      .byte 0
SIGN:
      JSR ZLESS
      JSR UIF
      BEQ SIGN1
      LDA #'-'
      JSR ULIT
      JMP HOLD
SIGN1 RTS
      .word L124
L125  .byte $05
      .byte "CATCH"
      .byte 0
CATCH:
      JSR SPAT
      JSR PULL
      PHA
      JSR TF
      JSR ATT
      JSR PULL
      PHA
      JSR RPAT
      JSR TF
      JSR STORE
      JSR EXECU
      PLA
      JSR ULIT
      JSR TF
      JSR STORE
      PLA
      JSR ULIT
      INX
      INX
      LDA #0
      JMP ULIT
      .word L125
L126  .byte $05
      .byte "THROW"
      .byte 0
THROW:
      JSR QDUP
      JSR UIF
      BEQ THRO1
      JSR TF
      JSR ATT
      JSR RPSTO
      PLA
      JSR ULIT
      JSR TF
      JSR STORE
      PLA
      JSR ULIT
      JSR SWAP
      JSR PULL
      PHA
      LDA 0,X
      TAX
      INX
      INX
      PLA
      JMP ULIT
THRO1 RTS
      .word L126
L127  .byte $05
      .byte "ABORT"
      .byte 0
ABORT:
      LDA #(0-$01)
      JSR ULIT
      JMP THROW
      .word L127
L128  .byte $04
      .byte "?KEY"
      .byte 0
QKEY:
      JSR PAUS
      JSR TQKEY
      JSR ATT
      JMP EXECU
      .word L128
L129  .byte $03
      .byte "KEY"
      .byte 0
KEY:
KEY1  JSR QKEY
      JSR UIF
      BEQ KEY1
      RTS
      .word L129
L130  .byte $04
      .byte "NUF?"
      .byte 0
NUFQ:
      .if NUFQD
      LDA #0
      JMP ULIT
      .else
      JSR QKEY
      JSR DUP
      JSR UIF
      BEQ NUFQ1
      JSR TDROP
      JSR KEY
      LDA #ECR
      JSR ULIT
      JMP EQUAL
NUFQ1 RTS
      .endif
      .word L130
L131  .byte $04
      .byte "EMIT"
      .byte 0
EMIT:
      JSR TEMIT
      JSR ATT
      JMP EXECU
      .word L131
L132  .byte $05
      .byte "SPACE"
      .byte 0
SPACE:
      JSR BLL
      JMP EMIT
      .word L132
L133  .byte $05
      .byte "EMITS"
      .byte 0
EMITS:
      JSR SWAP
      LDA #0
      JSR ULIT
      JSR MAX
EMTS1 JSR DUP
      JSR UIF
      BEQ EMTS2
      JSR OVER
      JSR EMIT
      LDA #$01
      JSR ULIT
      JSR MINUS
      JMP EMTS1
EMTS2 JMP TDROP
      .word L133
L134  .byte $06
      .byte "SPACES"
      .byte 0
SPACS:
      JSR BLL
      JMP EMITS
      .word L134
L135  .byte $04
      .byte "TYPE"
      .byte 0
TYPE:
      JSR BNDS
TYPE1 JSR TDUP
      JSR XORR
      JSR UIF
      BEQ TYPE2
      JSR COUNT
      JSR EMIT
      JMP TYPE1
TYPE2 JMP TDROP
      .word L135
L136  .byte $02
      .byte "CR"
      .byte 0
CR:
      LDA #ECR
      JSR ULIT
      JSR EMIT
      LDA #ELF
      JSR ULIT
      JMP EMIT
      .word L136
L137  .byte $02
      .byte $5F,$22 ; _"
      .byte ECOMP
UQUOT:
      PLA
      JSR ULIT
      PLA
      JSR ULIT
      INC 0,X
      JSR DUP
      JSR COUNT
      JSR PLUS
      DEC 0,X
      JSR PULL
      PHA
      JSR SWAP
      JSR PULL
      PHA
      RTS
      .word L137
L138  .byte $03
      .byte $5F,$53,$22 ; _S"
      .byte ECOMP
USQ:
      JSR UQUOT
      JMP COUNT
      .word L138
L139  .byte $03
      .byte $5F,$2E,$22 ; _."
      .byte ECOMP
UDOTQ:
      JSR UQUOT
      JSR COUNT
      JMP TYPE
      .word L139
L140  .byte $07
      .byte $5F,$41,$42,$4F,$52,$54,$22 ; _ABORT"
      .byte ECOMP
UABOR:
      JSR UIF
      BEQ UABO1
      JSR UQUOT
      JSR CSP
      JSR STORE
      LDA #(0-$02)
      JSR ULIT
      JSR THROW
UABO1 JSR UQUOT
      INX
      INX
      RTS
      .word L140
L141  .byte $03
      .byte "S.R"
      .byte 0
SDOTR:
      JSR OVER
      JSR MINUS
      JSR SPACS
      JMP TYPE
      .word L141
L142  .byte $03
      .byte "D.R"
      .byte 0
DDOTR:
      JSR PULL
      PHA
      JSR DUP
      JSR PULL
      PHA
      JSR DABS
      JSR BDIGS
      JSR DIGS
      PLA
      JSR ULIT
      JSR SIGN
      JSR EDIGS
      PLA
      JSR ULIT
      JMP SDOTR
      .word L142
L143  .byte $03
      .byte "U.R"
      .byte 0
UDOTR:
      LDA #0
      JSR ULIT
      JSR SWAP
      JMP DDOTR
      .word L143
L144  .byte $02
      .byte ".R"
      .byte 0
DOTR:
      JSR PULL
      PHA
      JSR STOD
      PLA
      JSR ULIT
      JMP DDOTR
      .word L144
L145  .byte $02
      .byte "D."
      .byte 0
DDOT:
      LDA #0
      JSR ULIT
      JSR DDOTR
      JMP SPACE
      .word L145
L146  .byte $02
      .byte "U."
      .byte 0
UDOT:
      LDA #0
      JSR ULIT
      JMP DDOT
      .word L146
L147  .byte $01
      .byte "."
      .byte 0
DOT:
      JSR BASE
      JSR ATT
      LDA #$0A
      JSR ULIT
      JSR XORR
      JSR UIF
      BEQ DOT1
      JMP UDOT
DOT1  JSR STOD
      JMP DDOT
      .word L147
L148  .byte $01
      .byte "?"
      .byte 0
QUEST:
      JSR ATT
      JMP DOT
      .word L148
L149  .byte $04
      .byte "PACK"
      .byte 0
PACK:
      JSR OVER
      LDA #RESET
      JSR ULIT
      JSR ULESS
      JSR UIF
      BEQ PACK1
      JSR DUP
      JSR PULL
      PHA
      JSR OVER
      JSR PULL
      PHA
      INC 0,X
      JSR SWAP
      JSR MOVE
      PLA
      JSR ULIT
      PLA
      PHA
      JSR ULIT
      JSR CSTOR
      PLA
      JMP ULIT
PACK1 LDA #(0-$12)
      JSR ULIT
      JMP THROW
      .word L149
L150  .byte $05
      .byte "DEPTH"
      .byte 0
DEPTH:
      JSR SPAT
      JSR TID
      JSR ATT
      JSR CELLP
      JSR CELLP
      JSR ATT
      JSR SWAP
      JSR MINUS
      LDA #CELL1
      JSR ULIT
      JMP SLASH
      .word L150
L151  .byte $06
      .byte "?STACK"
      .byte 0
QSTAC:
      JSR DEPTH
      JSR ZLESS
      JSR UABOR
      .byte $06
      .byte "depth?"
      RTS
      .word L151
L152  .byte $06
      .byte "ACCEPT"
      .byte 0
ACCEP:
      JSR OVER
      JSR PLUS
      JSR OVER
ACCE1 JSR KEY
      JSR DUP
      LDA #ECR
      JSR ULIT
      JSR XORR
      JSR UIF
      BEQ ACCE6
      JSR DUP
      LDA #EBS
      JSR ULIT
      JSR EQUAL
      JSR UIF
      BEQ ACCE3
      INX
      INX
      JSR PULL
      PHA
      JSR OVER
      PLA
      PHA
      JSR ULIT
      JSR LESS
      JSR DUP
      JSR UIF
      BEQ ACCE2
      LDA #EBS
      JSR ULIT
      JSR DUP
      JSR EMIT
      JSR BLL
      JSR EMIT
      JSR EMIT
ACCE2 PLA
      JSR ULIT
      JSR PLUS
      JMP ACCE5
ACCE3 JSR PULL
      PHA
      JSR TDUP
      JSR XORR
      JSR UIF
      BEQ ACCE4
      PLA
      PHA
      JSR ULIT
      JSR OVER
      JSR CSTOR
      INC 0,X
      PLA
      PHA
      JSR ULIT
      JSR EMIT
ACCE4 PLA
      JSR ULIT
      INX
      INX
ACCE5 JMP ACCE1
ACCE6 INX
      INX
      JSR NIP
      JSR SWAP
      JMP MINUS
      .word L152
L153  .byte $05
      .byte "SAME?"
      .byte 0
SAMEQ:
      JSR SWAP
      JSR PULL
      PHA
SAMQ1 JSR DUP
      JSR UIF
      BEQ SAMQ2
      DEC 0,X
      JSR TDUP
      JSR PLUS
      JSR CAT
      JSR OVER
      PLA
      PHA
      JSR ULIT
      JSR PLUS
      JSR CAT
      JSR XORR
      JSR UIF
      BEQ SAMQ1
      PLA
      JSR ULIT
      INX
      INX
      JSR TDROP
      LDA #0
      JMP ULIT
SAMQ2 PLA
      JSR ULIT
      INX
      INX
      JSR TDROP
      LDA #$FFFF
      JMP ULIT
      .word L153
L154  .byte $08
      .byte "_DELIMIT"
      .byte 0
UDELI:
      JSR BNDS
      JSR DUP
      JSR PULL
      PHA
      DEC 0,X
UDEL1 INC 0,X
      JSR TDUP
      JSR XORR
      JSR UIF
      BEQ UDEL5
      JSR BLL
      JSR OVER
      JSR CAT
      JSR LESS
      JSR UIF
      BEQ UDEL1
      JSR SWAP
      JSR OVER
UDEL2 INC 0,X
      JSR TDUP
      JSR XORR
      JSR UIF
      BEQ UDEL3
      JSR DUP
      JSR CAT
      JSR BLL
      LDA #$01
      JSR ULIT
      JSR PLUS
      JSR LESS
      JSR UIF
      BEQ UDEL2
      JSR NIP
      JSR DUP
      INC 0,X
      JMP UDEL4
UDEL3 INX
      INX
      JSR DUP
UDEL4 JSR PULL
      PHA
      JSR OVER
      JSR MINUS
      PLA
      JSR ULIT
      JMP UDEL6
UDEL5 INX
      INX
      LDA #0
      JSR ULIT
      JSR OVER
UDEL6 PLA
      JSR ULIT
      JMP MINUS
      .word L154
L155  .byte $06
      .byte "_PARSE"
      .byte 0
UPARS:
      JSR PULL
      PHA
      JSR OVER
      JSR PLUS
      JSR OVER
      DEC 0,X
UPAR1 INC 0,X
      JSR TDUP
      JSR XORR
      JSR UIF
      BEQ UPAR2
      JSR DUP
      JSR CAT
      PLA
      PHA
      JSR ULIT
      JSR EQUAL
      JSR UIF
      BEQ UPAR1
      JSR SWAP
      PLA
      JSR ULIT
      JSR TDROP
      JSR OVER
      JSR MINUS
      JSR DUP
      LDA #$01
      JSR ULIT
      JMP PLUS
UPAR2 JSR SWAP
      PLA
      JSR ULIT
      JSR TDROP
      JSR OVER
      JSR MINUS
      JMP DUP
      .word L155
L156  .byte $05
      .byte "NAME>"
      .byte 0
NAMET:
      JSR COUNT
      JSR PLUS
      INC 0,X
      RTS
      .word L156
L157  .byte $04
      .byte "WID?"
      .byte 0
WIDQ:
      JSR SWAP
      JSR PULL
      PHA
      JSR ATT
WIDQ1 JSR DUP
      JSR UIF
      BEQ WIDQ4
      JSR COUNT
      PLA
      PHA
      JSR ULIT
      JSR EQUAL
      JSR UIF
      BEQ WIDQ3
      JSR TDUP
      PLA
      PHA
      JSR ULIT
      JSR SAMEQ
      JSR UIF
      BEQ WIDQ2
      JSR SWAP
      PLA
      JSR ULIT
      JSR TDROP
      DEC 0,X
      JSR DUP
      JSR NAMET
      JSR SWAP
      JSR COUNT
      JSR PLUS
      JSR CAT
      LDA #$FFFF
      JMP ULIT
WIDQ2:
WIDQ3 DEC 0,X
      JSR CELLM
      JSR ATT
      JMP WIDQ1
WIDQ4 INX
      INX
      PLA
      JSR ULIT
      LDA #0
      JMP ULIT
      .word L157
L158  .byte $07
      .byte "CONTEXT"
      .byte 0
CONTE:
      JSR UVAR
      .word 0
      .word 0
      .word 0
      .word 0
      .word 0
      .word 0
      .word 0
      .word 0
      .word 0
      .word L158
L159  .byte $05
      .byte "SFIND"
      .byte 0
SFIND:
      JSR CONTE
      JSR CELLM
      JSR PULL
      PHA
SFIN1 PLA
      JSR ULIT
      JSR CELLP
      JSR DUP
      JSR PULL
      PHA
      JSR ATT
      JSR DUP
      JSR UIF
      BEQ SFIN2
      JSR WIDQ
      JSR UIF
      BEQ SFIN1
      LDA #$FFFF
      JSR ULIT
SFIN2 PLA
      JSR ULIT
      INX
      INX
      RTS
      .word L159
L160  .byte $02
      .byte "_["
      .byte ECOMP
ULBR:
      JSR SFIND
      JSR UIF
      BEQ ULBR1
      LDA #ECOMP
      JSR ULIT
      JSR ANDD
      JSR UABOR
      .byte $08
      .byte "compile?"
      JSR EXECU
      JMP QSTAC
ULBR1 JSR NUMQ
      JSR UIF
      BEQ ULBR3
      JSR DPL
      JSR ATT
      JSR ZLESS
      JSR UIF
      BEQ ULBR2
      INX
      INX
ULBR2 RTS
ULBR3 LDA #(0-$0D)
      JSR ULIT
      JMP THROW
      .word L160
L161  .byte $01
      .byte "["
      .byte EIMED
LBRAC:
      LDA #ULBR
      JSR ULIT
      LDA #0
      JSR ULIT
      JSR STATE
      JMP TSTOR
      .word L161
L162  .byte $06
      .byte "SOURCE"
      .byte 0
SOURC:
      JSR NIN
      JMP TAT
      .word L162
L163  .byte $0A
      .byte "PARSE-WORD"
      .byte 0
PARSW:
      JSR SOURC
      JSR TOIN
      JSR ATT
      JSR SSTRI
      JSR UDELI
      JSR TOIN
      JMP PLUST
      .word L163
L164  .byte $08
      .byte "EVALUATE"
      .byte 0
EVALU:
      JSR TOIN
      JSR ATT
      JSR PULL
      PHA
      LDA #0
      JSR ULIT
      JSR TOIN
      JSR STORE
      JSR SOURC
      JSR PULL
      PHA
      JSR PULL
      PHA
      JSR NIN
      JSR TSTOR
EVAL1 JSR PARSW
      JSR DUP
      JSR UIF
      BEQ EVAL2
      JSR STATE
      JSR CELLP
      JSR ATT
      JSR EXECU
      JMP EVAL1
EVAL2 JSR TDROP
      PLA
      JSR ULIT
      PLA
      JSR ULIT
      JSR NIN
      JSR TSTOR
      PLA
      JSR ULIT
      JSR TOIN
      JMP STORE
      .word L164
L165  .byte $03
      .byte "'OK"
      .byte 0
TOK:
      JSR UVAR
      .word NOOP
      .word L165
L166  .byte $04
      .byte "QUIT"
      .byte 0
QUIT:
      JSR SUP
      JSR CELLP
      JSR ATT
      JSR RPSTO
      JSR LBRAC
QUIT1 LDA #ETIB
      JSR ULIT
      JSR DUP
      LDA #NTIB
      JSR ULIT
      JSR ACCEP
      JSR SPACE
      LDA #EVALU
      JSR ULIT
      JSR CATCH
      JSR DUP
      JSR UIF
      BEQ QUIT5
      JSR DUP
      LDA #(0-$01)
      JSR ULIT
      JSR XORR
      JSR UIF
      BEQ QUIT4
      JSR CR
      JSR DUP
      LDA #(0-$02)
      JSR ULIT
      JSR XORR
      JSR UIF
      BEQ QUIT2
      JSR SOURC
      INX
      INX
      JSR TOIN
      JSR ATT
      JSR DTRAI
      JSR TYPE
      JSR UDOTQ
      .byte $03
      .byte " ?("
      LDA #0
      JSR ULIT
      JSR DOTR
      JSR UDOTQ
      .byte $01
      .byte ")"
      JMP QUIT3
QUIT2 JSR CSP
      JSR ATT
      JSR COUNT
      JSR TYPE
QUIT3 JSR SPACE
QUIT4 JSR SUP
      JSR CELLP
      JSR CELLP
      JSR ATT
      LDA 0,X
      TAX
      JSR QUIT
QUIT5 JSR CR
      JSR STATE
      JSR ATT
      JSR EQUAL
      JSR UIF
      .byte $D0,3
      JMP QUIT1
      JSR TOK
      JSR ATT
      JSR EXECU
      JSR UDOTQ
      .byte $03
      .byte "ok "
      JMP QUIT1
      .word L166
L167  .byte $05
      .byte "ALIGN"
      .byte EIMED
ALGNN:
      RTS
      .word L167
L168  .byte $05
      .byte "ALLOT"
      .byte 0
ALLOT:
      JSR DP
      JMP PLUST
      .word L168
L169  .byte $02
      .byte "S,"
      .byte 0
SCOMA:
      JSR HERE
      JSR OVER
      INC 0,X
      JSR ALLOT
      JSR PACK
      INX
      INX
      RTS
      .word L169
L170  .byte $02
      .byte "C,"
      .byte 0
CCOMA:
      JSR HERE
      LDA #CHAR1
      JSR ULIT
      JSR ALLOT
      JMP CSTOR
      .word L170
L171  .byte $01
      .byte ","
      .byte 0
COMMA:
      JSR HERE
      LDA #CELL1
      JSR ULIT
      JSR ALLOT
      JMP STORE
CCC   JSR CCOMA
      JMP COMMA
      .word L171
L172  .byte $08
      .byte "COMPILE,"
      .byte 0
COMPC:
      LDA #EJSR
      JSR ULIT
      JMP CCC
PUSHC LDA #EPHA
      JSR ULIT
      JMP CCOMA
PULLC LDA #EPLA
      JSR ULIT
      JMP CCOMA
LOADC LDA #ELDA
      JSR ULIT
      JSR CCOMA
      JMP COMMA
      .word L172
L173  .byte $02
      .byte ">R"
      .byte EIMED+ECOMP
TOR   LDA #PULL
      JSR ULIT
      JSR COMPC
      JMP PUSHC
      .word L173
L174  .byte $02
      .byte "R@"
      .byte EIMED
RAT   JSR RFRO
      JMP PUSHC
      .word L174
L175  .byte $02
      .byte "R>"
      .byte EIMED+ECOMP
RFRO  JSR PULLC
      LDA #ULIT
      JSR ULIT
      JMP COMPC
      .word L175
L176  .byte $04
      .byte "EXIT"
      .byte EIMED
IEXIT JMP NEXTC
      .word L176
L177  .byte $07
      .byte "LITERAL"
      .byte EIMED
LITER:
      JSR LOADC
      LDA #ULIT
      JSR ULIT
      JMP COMPC
      .word L177
L178  .byte $04
      .byte "CHAR"
      .byte 0
CHARR:
      JSR PARSW
      INX
      INX
      JMP CAT
      .word L178
L179  .byte $06
      .byte "[CHAR]"
      .byte EIMED
BCHAR:
      JSR CHARR
      JMP LITER
      .word L179
L180  .byte $01
      .byte "'"
      .byte 0
TICK:
      JSR PARSW
      JSR SFIND
      JSR UIF
      BEQ TICK1
      INX
      INX
      RTS
TICK1 LDA #(0-$0D)
      JSR ULIT
      JMP THROW
      .word L180
L181  .byte $03
      .byte "[']"
      .byte EIMED
BTICK:
      JSR TICK
      JMP LITER
      .word L181
L182  .byte $05
      .byte "PARSE"
      .byte 0
PARSE:
      JSR PULL
      PHA
      JSR SOURC
      JSR TOIN
      JSR ATT
      JSR SSTRI
      PLA
      JSR ULIT
      JSR UPARS
      JSR TOIN
      JMP PLUST
      .word L182
L183  .byte $02
      .byte ".("
      .byte EIMED
DOTP:
      LDA #')'
      JSR ULIT
      JSR PARSE
      JMP TYPE
      .word L183
L184  .byte $01
      .byte "("
      .byte EIMED
PAREN:
      LDA #')'
      JSR ULIT
      JSR PARSE
      JMP TDROP
      .word L184
L185  .byte $01
      .byte $5C ; "\"
      .byte EIMED
BSLSH:
      JSR SOURC
      JSR TOIN
      JSR STORE
      INX
      INX
      RTS
      .word L185
L186  .byte $08
      .byte "SLITERAL"
      .byte EIMED+ECOMP
SLITE:
      LDA #USQ
      JSR ULIT
      JSR COMPC
      JMP SCOMA
      .word L186
L187  .byte $03
      .byte $2C,$43,$22 ; ,C"
      .byte 0
CCQ:
      LDA #$22
      JSR ULIT
      JSR PARSE
      JMP SCOMA
      .word L187
L188  .byte $02
      .byte $53,$22 ; S"
      .byte EIMED+ECOMP
SQUOT:
      LDA #USQ
      JSR ULIT
      JSR COMPC
      JMP CCQ
      .word L188
L189  .byte $02
      .byte $2E,$22 ; ."
      .byte EIMED+ECOMP
DOTQ:
      LDA #UDOTQ
      JSR ULIT
      JSR COMPC
      JMP CCQ
      .word L189
L190  .byte $06
      .byte $41,$42,$4F,$52,$54,$22 ; ABORT"
      .byte EIMED+ECOMP
ABORQ:
      LDA #UABOR
      JSR ULIT
      JSR COMPC
      JMP CCQ
      .word L190
L191  .byte $02
      .byte "_]"
      .byte ECOMP
URBR:
      JSR SFIND
      JSR UIF
      BEQ URBR2
      LDA #EIMED
      JSR ULIT
      JSR ANDD
      JSR UIF
      BEQ URBR1
      JSR EXECU
      JMP QSTAC
URBR1 JMP COMPC
URBR2 JSR NUMQ
      JSR UIF
      BEQ URBR5
      JSR DPL
      JSR ATT
      JSR ZLESS
      JSR UIF
      BEQ URBR3
      INX
      INX
      JMP URBR4
URBR3 JSR SWAP
      JSR LITER
URBR4 JMP LITER
URBR5 LDA #(0-$0D)
      JSR ULIT
      JMP THROW
      .word L191
L192  .byte $01
      .byte "]"
      .byte 0
RBRAC:
      LDA #URBR
      JSR ULIT
      LDA #$FFFF
      JSR ULIT
      JSR STATE
      JMP TSTOR
      .word L192
L193  .byte $0E
      .byte "FORTH-WORDLIST"
      .byte 0
FRTHW:
      JSR UVAR
FRTW1 .word BYE0
      .word 0
      .word 0
      .word L193
L194  .byte $04
      .byte "LAST"
      .byte 0
LAST:
      JSR UVAR
      .word 0
      .word 0
ERECU .word 0
EDOES .word 0
      .word L194
L195  .byte $07
      .byte "CURRENT"
      .byte 0
CURRE:
      JSR UVAR
      .word FRTW1
      .word FRTW1
      .word L195
L196  .byte $0B
      .byte "GET-CURRENT"
      .byte 0
GETCU:
      JSR CURRE
      JMP ATT
      .word L196
L197  .byte $0B
      .byte "SET-CURRENT"
      .byte 0
SETCU:
      JSR CURRE
      JMP STORE
      .word L197
L198  .byte $0B
      .byte "DEFINITIONS"
      .byte 0
DEFIN:
      JSR CONTE
      JSR ATT
      JMP SETCU
      .word L198
L199  .byte $07
      .byte "?UNIQUE"
      .byte 0
QUNIQ:
      JSR TDUP
      JSR GETCU
      JSR WIDQ
      JSR UIF
      BEQ QUNI1
      JSR TDROP
      JSR CR
      JSR UDOTQ
      .byte $06
      .byte "reDef "
      JSR TDUP
      JMP TYPE
QUNI1 JMP TDROP
      .word L199
L200  .byte $05
      .byte "HEAD,"
      .byte 0
HEADC:
      JSR PARSW
      JSR DUP
      JSR UIF
      BEQ HEDC1
      JSR QUNIQ
      JSR GETCU
      JSR DUP
      JSR ATT
      JSR COMMA
      JSR HERE
      JSR LAST
      JSR TSTOR
      JSR DUP
      JSR CCOMA
      JSR HERE
      JSR SWAP
      JSR DUP
      JSR ALLOT
      JSR MOVE
      LDA #0
      JSR ULIT
      JMP CCOMA
HEDC1 LDA #(0-$10)
      JSR ULIT
      JMP THROW
LEXST:
      JSR LAST
      JSR ATT
      JSR COUNT
      JSR PLUS
      JSR DUP
      JSR PULL
      PHA
      JSR CAT
      JSR ORR
      PLA
      JSR ULIT
      JMP CSTOR
      .word L200
L201  .byte $09
      .byte "IMMEDIATE"
      .byte 0
IMMED:
      LDA #EIMED
      JSR ULIT
      JMP LEXST
      .word L201
L202  .byte $0C
      .byte "COMPILE-ONLY"
      .byte 0
COMPO:
      LDA #ECOMP
      JSR ULIT
      JMP LEXST
      .word L202
L203  .byte $06
      .byte "REVEAL"
      .byte 0
REVEA:
      JSR LAST
      JSR TAT
      JSR SWAP
      JSR STORE
      JMP LBRAC
      .word L203
L204  .byte $07
      .byte "RECURSE"
      .byte EIMED
RECUR:
      LDA #ERECU
      JSR ULIT
      JSR ATT
      JMP COMPC
      .word L204
L205  .byte $08
      .byte "POSTPONE"
      .byte EIMED
POSTP:
      JSR PARSW
      JSR SFIND
      JSR UIF
      BEQ PSTP2
      LDA #EIMED
      JSR ULIT
      JSR ANDD
      JSR UIF
      BEQ PSTP1
      JMP COMPC
PSTP1 JSR LITER
      LDA #COMPC
      JSR ULIT
      JMP COMPC
PSTP2 LDA #(0-$0D)
      JSR ULIT
      JMP THROW
      .word L205
L206  .byte $04
      .byte "CODE"
      .byte 0
CODE:
      JSR HEADC
      JMP REVEA
      .word L206
L207  .byte $05
      .byte "next,"
      .byte 0
NEXTC:
      LDA #ERTS
      JSR ULIT
      JMP CCOMA
      .word L207
L208  .byte $07
      .byte ":NONAME"
      .byte 0
CNONA:
      JSR HERE
      JSR DUP
      LDA #ERECU
      JSR ULIT
      JSR STORE
      JMP RBRAC
      .word L208
L209  .byte $01
      .byte ":"
      .byte 0
COLON:
      JSR HEADC
      JSR CNONA
      INX
      INX
      RTS
      .word L209
L210  .byte $01
      .byte ";"
      .byte EIMED+ECOMP
SEMIC:
      JSR NEXTC
      JMP REVEA
      .word L210
L211  .byte $06
      .byte "_DOES>"
      .byte ECOMP
UDOES:
      PLA
      JSR ULIT
      INC 0,X
      LDA #EDOES
      JSR ULIT
      JSR ATT
      JMP STORE
      .word L211
L212  .byte $05
      .byte "DOES>"
      .byte EIMED+ECOMP
DOES:
      LDA #UDOES
      JSR ULIT
      JSR COMPC
      JSR CNONA
      INX
      INX
      JSR RFRO
      LDA #CHARP
      JSR ULIT
      JMP COMPC
      .word L212
L213  .byte $06
      .byte "CREATE"
      .byte 0
CREAT:
      LDA #UVAR
      JSR ULIT
      JSR COLON
      JSR REVEA
      JSR HERE
      INC 0,X
      LDA #EDOES
      JSR ULIT
      JSR STORE
      JMP COMPC
      .word L213
L214  .byte $08
      .byte "VARIABLE"
      .byte 0
VARIA:
      JSR CREAT
      LDA #0
      JSR ULIT
      JMP COMMA
      .word L214
L215  .byte $08
      .byte "CONSTANT"
      .byte 0
CONST:
      LDA #UCON
      JSR ULIT
      JSR COLON
      JSR REVEA
      JSR COMPC
      JMP COMMA
      .word L215
L216  .byte $04
      .byte "USER"
      .byte 0
USER:
      LDA #UUSR
      JSR ULIT
      JSR COLON
      JSR REVEA
      JSR COMPC
      JMP COMMA
      .word L216
L217  .byte $03
      .byte "HAT"
      .byte 0
HAT:
      JSR CREAT
      JSR ROT
      LDA #8*CELL1
      JSR ULIT
      JSR PLUS
      JSR HERE
      JSR PLUS
      JSR DUP
      JSR COMMA
      JSR PLUS
      JSR DUP
      JSR COMMA
      JSR PLUS
      JSR DUP
      JSR COMMA
      JSR HERE
      JSR MINUS
      JMP ALLOT
      .word L217
L218  .byte $08
      .byte "WORDLIST"
      .byte 0
WORDL:
      JSR HERE
      LDA #0
      JSR ULIT
      JSR COMMA
      JSR DUP
      JSR CURRE
      JSR CELLP
      JSR DUP
      JSR ATT
      JSR COMMA
      JSR STORE
      LDA #0
      JSR ULIT
      JMP COMMA
      .word L218
L219  .byte $06
      .byte "ORDER@"
      .byte 0
ORDAT:
      JSR DUP
      JSR ATT
      JSR DUP
      JSR UIF
      BEQ ORDA1
      JSR PULL
      PHA
      JSR CELLP
      JSR ORDAT
      PLA
      JSR ULIT
      JSR SWAP
      LDA #$01
      JSR ULIT
      JMP PLUS
ORDA1 JMP NIP
      .word L219
L220  .byte $09
      .byte "GET-ORDER"
      .byte 0
GETOR:
      JSR CONTE
      JMP ORDAT
      .word L220
L221  .byte $09
      .byte "SET-ORDER"
      .byte 0
SETOR:
      JSR DUP
      LDA #(0-$01)
      JSR ULIT
      JSR EQUAL
      JSR UIF
      BEQ SETO1
      INX
      INX
      JSR FRTHW
      LDA #$01
      JSR ULIT
SETO1 LDA #NVOCS
      JSR ULIT
      JSR OVER
      JSR ULESS
      JSR UIF
      BEQ SETO2
      LDA #(0-$2E)
      JSR ULIT
      JSR THROW
SETO2 JSR CONTE
      JSR SWAP
SETO3 JSR DUP
      JSR UIF
      BEQ SETO4
      JSR PULL
      PHA
      JSR SWAP
      JSR OVER
      JSR STORE
      JSR CELLP
      PLA
      JSR ULIT
      LDA #$01
      JSR ULIT
      JSR MINUS
      JMP SETO3
SETO4 JSR SWAP
      JMP STORE
      .word L221
L222  .byte $07
      .byte "_MARKER"
      .byte ECOMP
UMARK:
      PLA
      JSR ULIT
      JSR TAT
      JSR DUP
      JSR ATT
      JSR FOLLO
      JSR STORE
      JSR DUP
      JSR CONTE
UMAR1 JSR PULL
      PHA
      JSR CELLP
      JSR DUP
      JSR ATT
      JSR DUP
      PLA
      PHA
      JSR ULIT
      JSR STORE
      JSR UIF
      BEQ UMAR2
      PLA
      JSR ULIT
      JSR CELLP
      JMP UMAR1
UMAR2 JSR CELLP
      JSR DUP
      JSR TAT
      JSR CURRE
      JSR TSTOR
      JSR CELLP
      JSR DUP
      JSR ATT
UMAR3 JSR PULL
      PHA
      JSR CELLP
      JSR DUP
      JSR ATT
      PLA
      PHA
      JSR ULIT
      JSR STORE
      PLA
      JSR ULIT
      JSR CELLP
      JSR ATT
      JSR QDUP
      JSR ZEQ
      JSR UIF
      BEQ UMAR3
      PLA
      JSR ULIT
      JSR TDROP
      JSR DP
      JMP TSTOR
      .word L222
L223  .byte $06
      .byte "MARKER"
      .byte 0
MARKE:
      JSR DP
      JSR TAT
      JSR FOLLO
      JSR ATT
      JSR COMMA
      JSR CONTE
MARK1 JSR DUP
      JSR ATT
      JSR DUP
      JSR COMMA
      JSR UIF
      BEQ MARK2
      JSR CELLP
      JMP MARK1
MARK2 INX
      INX
      JSR CURRE
      JSR TAT
      JSR COMMA
      JSR DUP
      JSR COMMA
MARK3 JSR DUP
      JSR ATT
      JSR COMMA
      JSR CELLP
      JSR ATT
      JSR QDUP
      JSR ZEQ
      JSR UIF
      BEQ MARK3
      LDA #UMARK
      JSR ULIT
      JSR COLON
      JSR REVEA
      JSR COMPC
      JSR COMMA
      JMP COMMA
      .word L223
L224  .byte $05
      .byte "BEGIN"
      .byte EIMED
BEGIN:
      JMP HERE
      .word L224
L225  .byte $04
      .byte "THEN"
      .byte EIMED
THEN:
      JSR COUNT
      LDA #EJMP
      JSR ULIT
      JSR XORR
      JSR UIF
      BEQ THEN1
      JSR HERE
      JSR OVER
      INC 0,X
      JSR MINUS
      JSR SWAP
      JMP CSTOR
THEN1:
      JSR BEGIN
      JSR SWAP
      JMP STORE
      .word L225
L226  .byte $02
      .byte "IF"
      .byte EIMED
IFF:
      LDA #UIF
      JSR ULIT
      JSR COMPC
      JSR HERE
      LDA #EBEQ
      JSR ULIT
      JSR CCOMA
      LDA #0
      JSR ULIT
      JMP CCOMA
      .word L226
L227  .byte $05
      .byte "AHEAD"
      .byte EIMED
AHEAD:
      JSR HERE
      JSR DUP
      JMP AGAIN
      .word L227
L228  .byte $04
      .byte "ELSE"
      .byte EIMED
ELSEE:
      JSR AHEAD
      JSR SWAP
      JMP THEN
      .word L228
L229  .byte $05
      .byte "WHILE"
      .byte EIMED
WHIL:
      JSR IFF
      JMP SWAP
      .word L229
L230  .byte $05
      .byte "UNTIL"
      .byte EIMED
UNTL:
      LDA #UIF
      JSR ULIT
      JSR COMPC
      LDA #EBEQ
      JSR ULIT
      JSR CCOMA
      JSR HERE
      INC 0,X
      JSR MINUS
      JMP CCOMA
      .word L230
L231  .byte $05
      .byte "AGAIN"
      .byte EIMED
AGAIN:
      LDA #EJMP
      JSR ULIT
      JMP CCC
      .word L231
L232  .byte $06
      .byte "REPEAT"
      .byte EIMED
REPEA:
      JSR AGAIN
      JMP THEN
      .word L232
L233  .byte $02
      .byte ".S"
      .byte 0
DOTS:
      JSR QSTAC
      JSR DEPTH
DOTS1 JSR QDUP
      JSR UIF
      BEQ DOTS2
      JSR DUP
      JSR PICK
      JSR DOT
      LDA #$01
      JSR ULIT
      JSR MINUS
      JMP DOTS1
DOTS2 RTS
      .word L233
L234  .byte $04
      .byte "!CSP"
      .byte 0
STCSP:
      JSR SPAT
      JSR CSP
      JMP STORE
      .word L234
L235  .byte $04
      .byte "?CSP"
      .byte 0
QCSP:
      JSR SPAT
      JSR CSP
      JSR ATT
      JSR XORR
      JSR UABOR
      .byte $04
      .byte "csp?"
      RTS
      .word L235
L236  .byte $05
      .byte ">CHAR"
      .byte 0
TCHAR:
      LDA #$7F
      JSR ULIT
      JSR ANDD
      JSR DUP
      LDA #$7F
      JSR ULIT
      JSR BLL
      JSR WITHI
      JSR UIF
      BEQ TCHR1
      INX
      INX
      LDA #'_'
      JMP ULIT
TCHR1 RTS
      .word L236
L237  .byte $05
      .byte "_TYPE"
      .byte 0
UTYPE:
      JSR BNDS
UTYP1 JSR TDUP
      JSR XORR
      JSR UIF
      BEQ UTYP2
      JSR COUNT
      JSR TCHAR
      JSR EMIT
      JMP UTYP1
UTYP2 JMP TDROP
      .word L237
L238  .byte $05
      .byte "_DUMP"
      .byte 0
UDUMP:
      JSR BNDS
UDMP1 JSR TDUP
      JSR XORR
      JSR UIF
      BEQ UDMP2
      JSR COUNT
      LDA #$03
      JSR ULIT
      JSR UDOTR
      JMP UDMP1
UDMP2 JMP TDROP
      .word L238
L239  .byte $04
      .byte "DUMP"
      .byte 0
DUMP:
      JSR BASE
      JSR ATT
      JSR PULL
      PHA
      JSR HEXX
      JSR BNDS
DUMP1 JSR TDUP
      JSR SWAP
      JSR ULESS
      JSR UIF
      BEQ DUMP2
      JSR CR
      JSR DUP
      LDA #0
      JSR ULIT
      JSR BDIGS
      JSR NDIG
      JSR NDIG
      JSR NDIG
      JSR NDIG
      JSR EDIGS
      JSR TYPE
      JSR SPACE
      LDA #NDUMP
      JSR ULIT
      JSR TDUP
      JSR UDUMP
      JSR SPACE
      JSR SPACE
      JSR TDUP
      JSR UTYPE
      JSR PLUS
      JSR NUFQ
      JSR UIF
      BEQ DUMP1
DUMP2 JSR TDROP
      PLA
      JSR ULIT
      JSR BASE
      JMP STORE
      .word L239
L240  .byte $03
      .byte ".ID"
      .byte 0
DOTID:
      JSR COUNT
      JMP UTYPE
      .word L240
L241  .byte $08
      .byte "WIDWORDS"
      .byte 0
WIDWO:
      JSR SWAP
      JSR PULL
      PHA
      JSR DUP
      JSR UIF
      BEQ WIDW4
      JSR CR
      JSR DUP
      JSR UDOTQ
      .byte $04
      .byte "wid="
      JSR UDOT
      JSR CR
WIDW1 JSR ATT
      JSR DUP
      JSR UIF
      BEQ WIDW3
      JSR TDUP
      INC 0,X
      PLA
      PHA
      JSR ULIT
      JSR SAMEQ
      JSR UIF
      BEQ WIDW2
      JSR DUP
      JSR DOTID
      JSR SPACE
WIDW2 JSR CELLM
      JSR NUFQ
      JSR UIF
      BEQ WIDW1
WIDW3:
WIDW4 INX
      INX
      PLA
      JMP ULIT
      .word L241
L242  .byte $05
      .byte "WORDS"
      .byte 0
WORDS:
      JSR BLL
      JSR PARSE
      JSR DUP
      JSR UIF
      BEQ WRDS3
      JSR CURRE
WRDS1 JSR CELLP
      JSR ATT
      JSR QDUP
      JSR UIF
      BEQ WRDS2
      JSR DUP
      JSR PULL
      PHA
      JSR WIDWO
      PLA
      JSR ULIT
      JMP WRDS1
WRDS2 JMP WRDS4
WRDS3 JSR CONTE
      JSR ATT
      JSR WIDWO
WRDS4 JMP TDROP
      .word L242
L243  .byte $06
      .byte "NAMED?"
      .byte 0
NAMDQ:
      JSR CURRE
NMDQ1 JSR CELLP
      JSR ATT
      JSR DUP
      JSR UIF
      BEQ NMDQ5
      JSR DUP
      JSR PULL
      PHA
NMDQ2 JSR ATT
      JSR QDUP
      JSR UIF
      BEQ NMDQ4
      JSR TDUP
      JSR NAMET
      JSR EQUAL
      JSR UIF
      BEQ NMDQ3
      JSR SWAP
      PLA
      JSR ULIT
      JMP TDROP
NMDQ3 JSR CELLM
      JMP NMDQ2
NMDQ4 PLA
      JSR ULIT
      JMP NMDQ1
NMDQ5 JMP NIP
      .word L243
L244  .byte $04
      .byte "SSEE"
      .byte 0
SSEE:
      ASL 0,X
      JSR BNDS
SSEE1 JSR TDUP
      JSR XORR
      JSR UIF
      BEQ SSEE5
      JSR DUP
      JSR NAMDQ
      JSR QDUP
      JSR UIF
      BEQ SSEE2
      JSR CR
      JSR DOTID
      JSR CR
SSEE2 JSR SPACE
      JSR DUP
      JSR ATT
      JSR NAMDQ
      JSR QDUP
      JSR UIF
      BEQ SSEE3
      JSR DOTID
      JMP SSEE4
SSEE3 JSR DUP
      JSR ATT
      LDA #0
      JSR ULIT
      JSR UDOTR
SSEE4 JSR CELLP
      JSR NUFQ
      JSR UIF
      BEQ SSEE1
SSEE5 JMP TDROP
      .word L244
L245  .byte $03
      .byte "SEE"
      .byte 0
SEE:
      JSR TICK
      LDA #$FFFF
      JSR ULIT
      JMP SSEE
      .word L245
L246  .byte $04
      .byte "COLD"
      .byte 0
COLD:
      JSR SUP
      JSR CELLP
      JSR TAT
      JSR RPSTO
      LDA 0,X
      TAX
      JSR SUP
      JSR ATT
      JSR CELLM
      JSR UP
      JSR STORE
      JSR STATU
      JSR FOLLO
      JSR STORE
      JSR SUP
      JSR TID
      JSR STORE
      JSR SUP
      JSR AWAKE
      LDA #0
      JSR ULIT
      JSR STOIO
      JSR HEXX
      LDA #(0-$01)
      JSR ULIT
      JSR SETOR
      JSR DEFIN
      JSR CR
      LDA #VERSI
      JSR ULIT
      JSR COUNT
      JSR TYPE
      JSR CR
      LDA #COPYR
      JSR ULIT
      JSR COUNT
      JSR TYPE
      JSR CR
      JMP QUIT
      .word L246
BYE0:
L247  .byte $03
      .byte "BYE"
      .byte 0
BYE   LDX #0
      TXS
      RTS
VCOLD CLD
      TSX
      STX BYE+1
      LDX SUP1+CELL1
      TXS
      LDX SUP1+2*CELL1
      JMP COLD
HERE0:
