      .cpu "W65C816S"
      .assume accum:16
      .assume index:16
      .listfile
      .hexfile
      .objfile
      .srecfile

NUFQD .equ 0

MEMB  .equ $1000
MEME  .equ $7F00

INIIO .equ $7F80
OUTPT .equ $7F83
INPUT .equ $7F86

CHAR1 .equ 1
CELL1 .equ 2
NBITS .equ 16
NRP   .equ 64
NSP   .equ 64
NTIB  .equ 80
NPAD  .equ 80
ECOMP .equ $40
EIMED .equ $80
NVOCS .equ 8
NDUMP .equ 16
ECR   .equ 13
ELF   .equ 10
EBS   .equ 8
EBL   .equ 32
ETIB  .equ MEME-NTIB
ESPP  .equ ETIB
ERP   .equ ESPP-NSP*CELL1
EUP   .equ ERP-NRP*CELL1

EBEQ  .equ $F0
EBNE  .equ $D0
EJSR  .equ $20
EJMP  .equ $4C
ELDY  .equ $A0
ELDA  .equ $A9
EPHA  .equ $48
EPLA  .equ $68
EPHY  .equ $5A
EPLY  .equ $7A
ERTS  .equ $60
ETYA  .equ $98
ETAY  .equ $A8
ETCS  .equ $1B
ETSC  .equ $3B

      .org MEMB

PG    .equ 0
N     .equ 0

RESET:
      CLC
      XCE
      REP #$30
      JMP VCOLD
VERSI .byte $2D
      .string "eForth 65C816 (65C816-65org16 hybrid) ITC 0.1"
COPYR .byte $34
      .string "Copyright 1989-1999 Bill Muench All rights reserved."
      .word 0
L000  .byte $04
      .string "EXIT"
      .byte 0
EXITT .word EXIT1
EXIT1 PLA
      STA IP
NEXT1 .byte $AC
IP    .word PG
      INC IP
      INC IP
NEXT2 LDA PG,Y
      STA NEXT3+1
NEXT3 JMP PG
LIST1 LDA IP
      PHA
      INY
      INY
LIST2 STY IP
      JMP NEXT1
      .word L000
L001  .byte $07
      .string "EXECUTE"
      .byte 0
EXECU .word EXEC1
EXEC1 LDY 0,X
      INX
      INX
      JMP NEXT2
      .word L001
L002  .byte $04
      .string "_LIT"
      .byte ECOMP
ULIT  .word ULIT1
ULIT1 LDY IP
      INC IP
      INC IP
      LDA PG,Y
      DEX
      DEX
      STA 0,X
      JMP NEXT1
      .word L002
L003  .byte $05
      .string "_ELSE"
      .byte ECOMP
UELSE .word UELS1
UELS1 LDY IP
      LDA PG,Y
      STA IP
      JMP NEXT1
      .word L003
L004  .byte $03
      .string "_IF"
      .byte ECOMP
UIF   .word UIF1
UIF1  LDA 0,X
      BEQ UIF2
      INX
      INX
      INC IP
      INC IP
      JMP NEXT1
UIF2  INX
      INX
      LDY IP
      LDA PG,Y
      STA IP
      JMP NEXT1
      .word L004
L005  .byte $02
      .string "C!"
      .byte 0
CSTOR .word CSTO1
CSTO1 LDY 0,X
      INX
      INX
      SEP #$20
      LDA 0,X
      STA PG,Y
      REP #$20
      INX
      INX
      JMP NEXT1
      .word L005
L006  .byte $02
      .string "C@"
      .byte 0
CAT   .word CAT1
CAT1  LDA #0
      LDY 0,X
      SEP #$20
      LDA PG,Y
      REP #$20
      STA 0,X
      JMP NEXT1
      .word L006
L007  .byte $01
      .string "!"
      .byte 0
STORE .word STOR1
STOR1 LDY 0,X
      INX
      INX
      LDA 0,X
      STA PG,Y
      INX
      INX
      JMP NEXT1
      .word L007
L008  .byte $01
      .string "@"
      .byte 0
ATT   .word AT1
AT1   LDY 0,X
      LDA PG,Y
      STA 0,X
      JMP NEXT1
      .word L008
L009  .byte $03
      .string "RP@"
      .byte 0
RPAT  .word RPAT1
RPAT1 STX N
      TSX
      INX
      TXA
      LDX N
      DEX
      DEX
      STA 0,X
      JMP NEXT1
      .word L009
L010  .byte $03
      .string "RP!"
      .byte ECOMP
RPSTO .word RPST1
RPST1 LDA 0,X
      INX
      INX
      STX N
      TAX
      DEX
      TXS
      LDX N
      JMP NEXT1
      .word L010
L011  .byte $02
      .string ">R"
      .byte ECOMP
TOR   .word TOR1
TOR1  LDA 0,X
      INX
      INX
      PHA
      JMP NEXT1
      .word L011
L012  .byte $02
      .string "R@"
      .byte 0
RAT   .word RAT1
RAT1  PLA
      PHA
      DEX
      DEX
      STA 0,X
      JMP NEXT1
      .word L012
L013  .byte $02
      .string "R>"
      .byte ECOMP
RFROM .word RFRO1
RFRO1 PLA
      DEX
      DEX
      STA 0,X
      JMP NEXT1
      .word L013
L014  .byte $03
      .string "SP@"
      .byte 0
SPAT  .word SPAT1
SPAT1 TXA
      DEX
      DEX
      STA 0,X
      JMP NEXT1
      .word L014
L015  .byte $03
      .string "SP!"
      .byte 0
SPSTO .word SPST1
SPST1 LDA 0,X
      TAX
      JMP NEXT1
      .word L015
L016  .byte $04
      .string "DROP"
      .byte 0
DROP  .word DROP1
DROP1 INX
      INX
      JMP NEXT1
      .word L016
L017  .byte $04
      .string "SWAP"
      .byte 0
SWAP  .word SWAP1
SWAP1 LDA 0,X
      LDY CELL1,X
      STY 0,X
      STA CELL1,X
      JMP NEXT1
      .word L017
L018  .byte $03
      .string "DUP"
      .byte 0
DUP   .word DUP1
DUP1  LDA 0,X
      DEX
      DEX
      STA 0,X
      JMP NEXT1
      .word L018
L019  .byte $04
      .string "OVER"
      .byte 0
OVER  .word OVER1
OVER1 LDA CELL1,X
      DEX
      DEX
      STA 0,X
      JMP NEXT1
      .word L019
L020  .byte $05
      .string "CHAR-"
      .byte 0
CHARM .word CHRM1
CHRM1 DEC 0,X
      JMP NEXT1
      .word L020
L021  .byte $05
      .string "CHAR+"
      .byte 0
CHARP .word CHRP1
CHRP1 INC 0,X
      JMP NEXT1
      .word L021
L022  .byte $05
      .string "CHARS"
      .byte EIMED
CHARS .word CHRS1
CHRS1 JMP NEXT1
      .word L022
L023  .byte $05
      .string "CELL-"
      .byte 0
CELLM .word CELM1
CELM1:
      .repeat CELL1
      DEC 0,X
      .endr
      JMP NEXT1
      .word L023
L024  .byte $05
      .string "CELL+"
      .byte 0
CELLP .word CELP1
CELP1:
      .repeat CELL1
      INC 0,X
      .endr
      JMP NEXT1
      .word L024
L025  .byte $05
      .string "CELLS"
      .byte 0
CELLS .word CELS1
CELS1:
      ASL 0,X
      JMP NEXT1
      .word L025
L026  .byte $02
      .string "0<"
      .byte 0
ZLESS .word ZLES1
ZLES1 LDY #0
      LDA 0,X
      BPL ZLES2
      DEY
ZLES2 STY 0,X
      JMP NEXT1
      .word L026
L027  .byte $03
      .string "AND"
      .byte 0
ANDD  .word ANDD1
ANDD1 LDA 0,X
      INX
      INX
      AND 0,X
      STA 0,X
      JMP NEXT1
      .word L027
L028  .byte $02
      .string "OR"
      .byte 0
ORR   .word ORR1
ORR1  LDA 0,X
      INX
      INX
      ORA 0,X
      STA 0,X
      JMP NEXT1
      .word L028
L029  .byte $03
      .string "XOR"
      .byte 0
XORR  .word XORR1
XORR1 LDA 0,X
      INX
      INX
      EOR 0,X
      STA 0,X
      JMP NEXT1
      .word L029
L030  .byte $03
      .string "UM+"
      .byte 0
UMPLU .word UMPL1
UMPL1 CLC
      LDA 0,X
      ADC CELL1,X
      STA CELL1,X
      LDA #0
      ROL
      STA 0,X
      JMP NEXT1
      .word L030
L031  .byte $03
      .string "!IO"
      .byte 0
STOIO .word STIO1
STIO1 LDA 0,X
      INX
      INX
      JSR INIIO
      JMP NEXT1
      .word L031
L032  .byte $03
      .string "?RX"
      .byte 0
QRX   .word QRX1
QRX1  JSR INPUT
      LDY #0
      BCS QRX2
      DEX
      DEX
      STA 0,X
      DEY
QRX2  DEX
      DEX
      STY 0,X
      JMP NEXT1
      .word L032
L033  .byte $03
      .string "TX!"
      .byte 0
TXSTO .word TXST1
TXST1 LDA 0,X
      INX
      INX
      JSR OUTPT
      JMP NEXT1
      .word L033
L034  .byte $02
      .string "L!"
      .byte 0
LSTOR .word LSTO1
LSTO1 LDA 0,X
      LDY CELL1,X
      STY 0,X
      STA CELL1,X
      LDA 2*CELL1,X
      STA (0,X)
      INX
      INX
      INX
      INX
      INX
      INX
      JMP NEXT1
      .word L034
L035  .byte $02
      .string "L@"
      .byte 0
LAT   .word LAT1
LAT1  LDA 0,X
      LDY CELL1,X
      STY 0,X
      STA CELL1,X
      LDA (0,X)
      INX
      INX
      STA 0,X
      JMP NEXT1
      .word L035
L036  .byte $04
      .string "NOOP"
      .byte 0
NOOP  .word LIST1
      .word EXITT
      .word L036
L037  .byte $04
      .string "_VAR"
      .byte ECOMP
UVAR  .word LIST1
      .word RFROM
      .word EXITT
      .word L037
L038  .byte $04
      .string "_CON"
      .byte ECOMP
UCON  .word LIST1
      .word RFROM
      .word ATT
      .word EXITT
      .word L038
L039  .byte $05
      .string "'?KEY"
      .byte 0
TQKEY .word LIST1
      .word UVAR
      .word QRX
      .word L039
L040  .byte $05
      .string "'EMIT"
      .byte 0
TEMIT .word LIST1
      .word UVAR
      .word TXSTO
      .word L040
L041  .byte $04
      .string "BASE"
      .byte 0
BASE  .word LIST1
      .word UVAR
      .word 0
      .word L041
L042  .byte $03
      .string "DPL"
      .byte 0
DPL   .word LIST1
      .word UVAR
      .word 0
      .word L042
L043  .byte $03
      .string "HLD"
      .byte 0
HLD   .word LIST1
      .word UVAR
      .word 0
      .word L043
L044  .byte $03
      .string ">IN"
      .byte 0
TOIN  .word LIST1
      .word UVAR
      .word 0
      .word L044
L045  .byte $03
      .string "#IN"
      .byte 0
NIN   .word LIST1
      .word UVAR
      .word 0
      .word 0
      .word L045
L046  .byte $03
      .string "CSP"
      .byte 0
CSP   .word LIST1
      .word UVAR
      .word 0
      .word L046
L047  .byte $05
      .string "STATE"
      .byte 0
STATE .word LIST1
      .word UVAR
      .word 0
      .word 0
      .word L047
L048  .byte $02
      .string "DP"
      .byte 0
DP    .word LIST1
      .word UVAR
      .word HERE0
      .word 0
      .word L048
L049  .byte $03
      .string "SUP"
      .byte 0
SUP   .word LIST1
      .word UVAR
SUP1  .word EUP
      .word ERP
      .word ESPP
      .word L049
L050  .byte $02
      .string "BL"
      .byte 0
BLL   .word LIST1
      .word UCON
      .word EBL
      .word L050
L051  .byte $03
      .string "HEX"
      .byte 0
HEXX  .word LIST1
      .word ULIT,$10
      .word BASE
      .word STORE
      .word EXITT
      .word L051
L052  .byte $07
      .string "DECIMAL"
      .byte 0
DECIM .word LIST1
      .word ULIT,$0A
      .word BASE
      .word STORE
      .word EXITT
      .word L052
L053  .byte $03
      .string "ROT"
      .byte 0
ROT   .word LIST1
      .word TOR
      .word SWAP
      .word RFROM
      .word SWAP
      .word EXITT
      .word L053
L054  .byte $03
      .string "NIP"
      .byte 0
NIP   .word LIST1
      .word SWAP
      .word DROP
      .word EXITT
      .word L054
L055  .byte $05
      .string "2DROP"
      .byte 0
TDROP .word LIST1
      .word DROP
      .word DROP
      .word EXITT
      .word L055
L056  .byte $04
      .string "2DUP"
      .byte 0
TDUP  .word LIST1
      .word OVER
      .word OVER
      .word EXITT
      .word L056
L057  .byte $04
      .string "?DUP"
      .byte 0
QDUP  .word LIST1
      .word DUP
      .word UIF,QDUP1
      .word DUP
QDUP1 .word EXITT
      .word L057
L058  .byte $01
      .string "+"
      .byte 0
PLUS  .word LIST1
      .word UMPLU
      .word DROP
      .word EXITT
      .word L058
L059  .byte $02
      .string "D+"
      .byte 0
DPLUS .word LIST1
      .word TOR
      .word SWAP
      .word TOR
      .word UMPLU
      .word RFROM
      .word PLUS
      .word RFROM
      .word PLUS
      .word EXITT
      .word L059
L060  .byte $06
      .string "INVERT"
      .byte 0
INVER .word LIST1
      .word ULIT,$FFFF
      .word XORR
      .word EXITT
      .word L060
L061  .byte $06
      .string "NEGATE"
      .byte 0
NEGAT .word LIST1
      .word INVER
      .word ULIT,$01
      .word PLUS
      .word EXITT
      .word L061
L062  .byte $07
      .string "DNEGATE"
      .byte 0
DNEGA .word LIST1
      .word INVER
      .word TOR
      .word INVER
      .word ULIT,$01
      .word UMPLU
      .word RFROM
      .word PLUS
      .word EXITT
      .word L062
L063  .byte $03
      .string "S>D"
      .byte 0
STOD  .word LIST1
      .word DUP
      .word ZLESS
      .word EXITT
      .word L063
L064  .byte $03
      .string "ABS"
      .byte 0
ABSS  .word LIST1
      .word DUP
      .word ZLESS
      .word UIF,ABS1
      .word NEGAT
ABS1  .word EXITT
      .word L064
L065  .byte $04
      .string "DABS"
      .byte 0
DABS  .word LIST1
      .word DUP
      .word ZLESS
      .word UIF,DABS1
      .word DNEGA
DABS1 .word EXITT
      .word L065
L066  .byte $01
      .string "-"
      .byte 0
MINUS .word LIST1
      .word NEGAT
      .word PLUS
      .word EXITT
      .word L066
L067  .byte $04
      .string "PICK"
      .byte 0
PICK  .word LIST1
      .word QDUP
      .word UIF,PICK1
      .word SWAP
      .word TOR
      .word ULIT,$01
      .word MINUS
      .word PICK
      .word RFROM
      .word SWAP
      .word EXITT
PICK1 .word DUP
      .word EXITT
      .word L067
L068  .byte $02
      .string "0="
      .byte 0
ZEQ   .word LIST1
      .word UIF,ZEQ1
      .word ULIT,0
      .word EXITT
ZEQ1  .word ULIT,$FFFF
      .word EXITT
      .word L068
L069  .byte $01
      .string "="
      .byte 0
EQUAL .word LIST1
      .word XORR
      .word ZEQ
      .word EXITT
      .word L069
L070  .byte $02
      .string "U<"
      .byte 0
ULESS .word LIST1
      .word TDUP
      .word XORR
      .word ZLESS
      .word UIF,ULES1
      .word NIP
      .word ZLESS
      .word EXITT
ULES1 .word MINUS
      .word ZLESS
      .word EXITT
      .word L070
L071  .byte $01
      .string "<"
      .byte 0
LESS  .word LIST1
      .word TDUP
      .word XORR
      .word ZLESS
      .word UIF,LESS1
      .word DROP
      .word ZLESS
      .word EXITT
LESS1 .word MINUS
      .word ZLESS
      .word EXITT
      .word L071
L072  .byte $03
      .string "MAX"
      .byte 0
MAX   .word LIST1
      .word TDUP
      .word LESS
      .word UIF,MAX1
      .word SWAP
MAX1  .word DROP
      .word EXITT
      .word L072
L073  .byte $03
      .string "MIN"
      .byte 0
MIN   .word LIST1
      .word TDUP
      .word SWAP
      .word LESS
      .word UIF,MIN1
      .word SWAP
MIN1  .word DROP
      .word EXITT
      .word L073
L074  .byte $06
      .string "WITHIN"
      .byte 0
WITHI .word LIST1
      .word OVER
      .word MINUS
      .word TOR
      .word MINUS
      .word RFROM
      .word ULESS
      .word EXITT
      .word L074
L075  .byte $06
      .string "LSHIFT"
      .byte 0
LSHIF .word LIST1
LSHI1 .word DUP
      .word UIF,LSHI2
      .word TOR
      .word DUP
      .word PLUS
      .word RFROM
      .word ULIT,$01
      .word MINUS
      .word UELSE,LSHI1
LSHI2 .word DROP
      .word EXITT
      .word L075
L076  .byte $03
      .string "UM*"
      .byte 0
UMSTA .word LIST1
      .word ULIT,0
      .word SWAP
      .word ULIT,NBITS
UMST1 .word DUP
      .word UIF,UMST3
      .word TOR
      .word DUP
      .word UMPLU
      .word TOR
      .word TOR
      .word DUP
      .word UMPLU
      .word RFROM
      .word PLUS
      .word RFROM
      .word UIF,UMST2
      .word TOR
      .word OVER
      .word UMPLU
      .word RFROM
      .word PLUS
UMST2 .word RFROM
      .word ULIT,$01
      .word MINUS
      .word UELSE,UMST1
UMST3 .word DROP
      .word TOR
      .word NIP
      .word RFROM
      .word EXITT
      .word L076
L077  .byte $01
      .string "*"
      .byte 0
STAR  .word LIST1
      .word UMSTA
      .word DROP
      .word EXITT
      .word L077
L078  .byte $06
      .string "RSHIFT"
      .byte 0
RSHIF .word LIST1
      .word ULIT,0
      .word SWAP
      .word ULIT,NBITS
      .word SWAP
      .word MINUS
RSHI1 .word DUP
      .word UIF,RSHI2
      .word TOR
      .word TDUP
      .word DPLUS
      .word RFROM
      .word ULIT,$01
      .word MINUS
      .word UELSE,RSHI1
RSHI2 .word DROP
      .word NIP
      .word EXITT
      .word L078
L079  .byte $06
      .string "UM/MOD"
      .byte 0
UMMOD .word LIST1
      .word TDUP
      .word ULESS
      .word UIF,UMMO5
      .word NEGAT
      .word ULIT,NBITS
UMMO1 .word DUP
      .word UIF,UMMO4
      .word TOR
      .word TOR
      .word DUP
      .word UMPLU
      .word TOR
      .word TOR
      .word DUP
      .word UMPLU
      .word RFROM
      .word PLUS
      .word DUP
      .word RFROM
      .word RAT
      .word SWAP
      .word TOR
      .word UMPLU
      .word RFROM
      .word ORR
      .word UIF,UMMO2
      .word TOR
      .word DROP
      .word ULIT,$01
      .word PLUS
      .word RFROM
      .word UELSE,UMMO3
UMMO2 .word DROP
UMMO3 .word RFROM
      .word RFROM
      .word ULIT,$01
      .word MINUS
      .word UELSE,UMMO1
UMMO4 .word TDROP
      .word SWAP
      .word EXITT
UMMO5 .word DROP
      .word TDROP
      .word ULIT,$FFFF
      .word DUP
      .word EXITT
      .word L079
L080  .byte $06
      .string "SM/REM"
      .byte 0
SMREM .word LIST1
      .word OVER
      .word TOR
      .word TOR
      .word DABS
      .word RAT
      .word ABSS
      .word UMMOD
      .word RFROM
      .word RAT
      .word XORR
      .word ZLESS
      .word UIF,SMRE1
      .word NEGAT
SMRE1 .word RFROM
      .word ZLESS
      .word UIF,SMRE2
      .word TOR
      .word NEGAT
      .word RFROM
SMRE2 .word EXITT
      .word L080
L081  .byte $06
      .string "FM/MOD"
      .byte 0
FMMOD .word LIST1
      .word DUP
      .word ZLESS
      .word DUP
      .word TOR
      .word UIF,FMMO1
      .word NEGAT
      .word TOR
      .word DNEGA
      .word RFROM
FMMO1 .word TOR
      .word DUP
      .word ZLESS
      .word UIF,FMMO2
      .word RAT
      .word PLUS
FMMO2 .word RFROM
      .word UMMOD
      .word RFROM
      .word UIF,FMMO3
      .word TOR
      .word NEGAT
      .word RFROM
FMMO3 .word EXITT
      .word L081
L082  .byte $04
      .string "/MOD"
      .byte 0
SMOD  .word LIST1
      .word OVER
      .word ZLESS
      .word SWAP
      .word FMMOD
      .word EXITT
      .word L082
L083  .byte $03
      .string "MOD"
      .byte 0
MODD  .word LIST1
      .word SMOD
      .word DROP
      .word EXITT
      .word L083
L084  .byte $01
      .string "/"
      .byte 0
SLASH .word LIST1
      .word SMOD
      .word NIP
      .word EXITT
      .word L084
L085  .byte $02
      .string "+!"
      .byte 0
PLUST .word LIST1
      .word DUP
      .word TOR
      .word ATT
      .word PLUS
      .word RFROM
      .word STORE
      .word EXITT
      .word L085
L086  .byte $05
      .string "COUNT"
      .byte 0
COUNT .word LIST1
      .word DUP
      .word CHARP
      .word SWAP
      .word CAT
      .word EXITT
      .word L086
L087  .byte $06
      .string "BOUNDS"
      .byte 0
BNDS  .word LIST1
      .word OVER
      .word PLUS
      .word SWAP
      .word EXITT
      .word L087
L088  .byte $07
      .string "/STRING"
      .byte 0
SSTRI .word LIST1
      .word DUP
      .word TOR
      .word MINUS
      .word SWAP
      .word RFROM
      .word PLUS
      .word SWAP
      .word EXITT
      .word L088
L089  .byte $07
      .string "ALIGNED"
      .byte EIMED
ALGND .word LIST1
      .word EXITT
      .word L089
L090  .byte $02
      .string "2!"
      .byte 0
TSTOR .word LIST1
      .word SWAP
      .word OVER
      .word STORE
      .word CELLP
      .word STORE
      .word EXITT
      .word L090
L091  .byte $02
      .string "2@"
      .byte 0
TAT   .word LIST1
      .word DUP
      .word CELLP
      .word ATT
      .word SWAP
      .word ATT
      .word EXITT
      .word L091
L092  .byte $04
      .string "MOVE"
      .byte 0
MOVE  .word LIST1
      .word TOR
      .word TDUP
      .word ULESS
      .word UIF,MOVE3
MOVE1 .word RFROM
      .word DUP
      .word UIF,MOVE2
      .word CHARM
      .word TOR
      .word OVER
      .word RAT
      .word PLUS
      .word CAT
      .word OVER
      .word RAT
      .word PLUS
      .word CSTOR
      .word UELSE,MOVE1
MOVE2 .word DROP
      .word TDROP
      .word EXITT
MOVE3 .word RFROM
      .word OVER
      .word PLUS
      .word TOR
MOVE4 .word DUP
      .word RAT
      .word XORR
      .word UIF,MOVE5
      .word TOR
      .word DUP
      .word CAT
      .word RAT
      .word CSTOR
      .word CHARP
      .word RFROM
      .word CHARP
      .word UELSE,MOVE4
MOVE5 .word RFROM
      .word DROP
      .word TDROP
      .word EXITT
      .word L092
L093  .byte $04
      .string "FILL"
      .byte 0
FILLL .word LIST1
      .word TOR
      .word BNDS
FILL1 .word TDUP
      .word XORR
      .word UIF,FILL2
      .word RAT
      .word OVER
      .word CSTOR
      .word CHARP
      .word UELSE,FILL1
FILL2 .word RFROM
      .word DROP
      .word TDROP
      .word EXITT
      .word L093
L094  .byte $09
      .string "-TRAILING"
      .byte 0
DTRAI .word LIST1
DTRA1 .word DUP
      .word UIF,DTRA2
      .word ULIT,$01
      .word MINUS
      .word TDUP
      .word PLUS
      .word CAT
      .word BLL
      .word SWAP
      .word ULESS
      .word UIF,DTRA1
      .word ULIT,$01
      .word PLUS
DTRA2 .word EXITT
      .word L094
L095  .byte $04
      .string ">ADR"
      .byte 0
TADR  .word LIST1
      .word EXITT
      .word L095
L096  .byte $05
      .string ">BODY"
      .byte 0
TBODY .word LIST1
      .word CELLP
      .word CELLP
      .word EXITT
      .word L096
L097  .byte $02
      .string "UP"
      .byte 0
UP    .word LIST1
      .word UVAR
      .word 0
      .word L097
L098  .byte $04
      .string "_USR"
      .byte ECOMP
UUSR  .word LIST1
      .word UP
      .word ATT
      .word RFROM
      .word ATT
      .word PLUS
      .word EXITT
      .word L098
L099  .byte $08
      .string "FOLLOWER"
      .byte 0
FOLLO .word LIST1
      .word UUSR
      .word 0
      .word L099
L100  .byte $06
      .string "STATUS"
      .byte 0
STATU .word LIST1
      .word UUSR
      .word 0-CELL1
      .word L100
L101  .byte $03
      .string "TOS"
      .byte 0
TOS   .word LIST1
      .word UUSR
      .word 0-2*CELL1
      .word L101
L102  .byte $03
      .string "TID"
      .byte 0
TID   .word LIST1
      .word UUSR
      .word 0-3*CELL1
      .word L102
L103  .byte $02
      .string "TF"
      .byte 0
TF    .word LIST1
      .word UUSR
      .word 0-4*CELL1
      .word L103
L104  .byte $02
      .string "U1"
      .byte 0
U1    .word LIST1
      .word UUSR
      .word 0-5*CELL1
      .word L104
L105  .byte $02
      .string "'S"
      .byte 0
TICKS .word LIST1
      .word FOLLO
      .word CELLP
      .word MINUS
      .word SWAP
      .word ATT
      .word PLUS
      .word EXITT
      .word L105
L106  .byte $05
      .string "_PASS"
      .byte ECOMP
UPASS .word LIST1
      .word RFROM
      .word ATT
      .word TOR
      .word EXITT
      .word L106
L107  .byte $04
      .string "PASS"
      .byte 0
PASS  .word LIST1
      .word UCON
      .word UPASS
      .word L107
L108  .byte $05
      .string "_WAKE"
      .byte ECOMP
UWAKE .word LIST1
      .word RFROM
      .word UP
      .word STORE
      .word TOS
      .word ATT
      .word SPSTO
      .word RPSTO
      .word EXITT
      .word L108
L109  .byte $04
      .string "WAKE"
      .byte 0
WAKE  .word LIST1
      .word UCON
      .word UWAKE
      .word L109
L110  .byte $05
      .string "PAUSE"
      .byte 0
PAUS  .word LIST1
      .word RPAT
      .word SPAT
      .word TOS
      .word STORE
      .word FOLLO
      .word ATT
      .word TOR
      .word EXITT
      .word L110
L111  .byte $04
      .string "STOP"
      .byte ECOMP
STOP  .word LIST1
      .word PASS
      .word STATU
      .word STORE
      .word PAUS
      .word EXITT
      .word L111
L112  .byte $03
      .string "GET"
      .byte 0
GET   .word LIST1
      .word PAUS
      .word DUP
      .word ATT
      .word STATU
      .word XORR
      .word UIF,GET3
GET1  .word DUP
      .word ATT
      .word UIF,GET2
      .word PAUS
      .word UELSE,GET1
GET2  .word STATU
      .word SWAP
      .word STORE
      .word EXITT
GET3  .word DROP
      .word EXITT
      .word L112
L113  .byte $07
      .string "RELEASE"
      .byte 0
RELEA .word LIST1
      .word DUP
      .word ATT
      .word STATU
      .word XORR
      .word UIF,RELE1
      .word DROP
      .word EXITT
RELE1 .word ULIT,0
      .word SWAP
      .word STORE
      .word EXITT
      .word L113
L114  .byte $05
      .string "SLEEP"
      .byte 0
SLEEP .word LIST1
      .word PASS
      .word SWAP
      .word STATU
      .word TICKS
      .word STORE
      .word EXITT
      .word L114
L115  .byte $05
      .string "AWAKE"
      .byte 0
AWAKE .word LIST1
      .word WAKE
      .word SWAP
      .word STATU
      .word TICKS
      .word STORE
      .word EXITT
      .word L115
L116  .byte $08
      .string "ACTIVATE"
      .byte ECOMP
ACTIV .word LIST1
      .word DUP
      .word CELLP
      .word TAT
      .word SWAP
      .word CELLM
      .word SWAP
      .word CELLM
      .word RFROM
      .word OVER
      .word STORE
      .word OVER
      .word STORE
      .word OVER
      .word TOS
      .word TICKS
      .word STORE
      .word AWAKE
      .word EXITT
      .word L116
L117  .byte $05
      .string "BUILD"
      .byte 0
BUILD .word LIST1
      .word DUP
      .word SLEEP
      .word FOLLO
      .word ATT
      .word OVER
      .word FOLLO
      .word TICKS
      .word STORE
      .word DUP
      .word STATU
      .word TICKS
      .word FOLLO
      .word STORE
      .word DUP
      .word TID
      .word TICKS
      .word STORE
      .word EXITT
      .word L117
L118  .byte $06
      .string "DIGIT?"
      .byte 0
DIGQ  .word LIST1
      .word TOR
      .word ULIT,'0'
      .word MINUS
      .word ULIT,$09
      .word OVER
      .word LESS
      .word UIF,DIGQ1
      .word ULIT,$07
      .word MINUS
      .word DUP
      .word ULIT,$0A
      .word LESS
      .word ORR
DIGQ1 .word DUP
      .word RFROM
      .word ULESS
      .word EXITT
      .word L118
L119  .byte $07
      .string ">NUMBER"
      .byte 0
TNUMB .word LIST1
TNUM1 .word DUP
      .word UIF,TNUM3
      .word TOR
      .word DUP
      .word TOR
      .word CAT
      .word BASE
      .word ATT
      .word DIGQ
      .word UIF,TNUM2
      .word SWAP
      .word BASE
      .word ATT
      .word UMSTA
      .word DROP
      .word ROT
      .word BASE
      .word ATT
      .word UMSTA
      .word DPLUS
      .word RFROM
      .word CHARP
      .word RFROM
      .word ULIT,$01
      .word MINUS
      .word UELSE,TNUM1
TNUM2 .word DROP
      .word RFROM
      .word RFROM
TNUM3 .word EXITT
      .word L119
L120  .byte $07
      .string "NUMBER?"
      .byte 0
NUMQ  .word LIST1
      .word OVER
      .word CAT
      .word ULIT,'-'
      .word EQUAL
      .word DUP
      .word TOR
      .word UIF,NUMQ1
      .word ULIT,$01
      .word SSTRI
NUMQ1 .word TOR
      .word TOR
      .word ULIT,0
      .word DUP
      .word RFROM
      .word RFROM
      .word ULIT,(0-$01)
      .word DPL
      .word STORE
NUMQ2 .word TNUMB
      .word DUP
      .word UIF,NUMQ4
      .word OVER
      .word CAT
      .word ULIT,'.'
      .word XORR
      .word UIF,NUMQ3
      .word ROT
      .word DROP
      .word ROT
      .word RFROM
      .word TDROP
      .word ULIT,0
      .word EXITT
NUMQ3 .word ULIT,$01
      .word MINUS
      .word DPL
      .word STORE
      .word CHARP
      .word DPL
      .word ATT
      .word UELSE,NUMQ2
NUMQ4 .word TDROP
      .word RFROM
      .word UIF,NUMQ5
      .word DNEGA
NUMQ5 .word ULIT,$FFFF
      .word EXITT
      .word L120
L121  .byte $04
      .string "HERE"
      .byte 0
HERE  .word LIST1
      .word DP
      .word ATT
      .word EXITT
      .word L121
L122  .byte $03
      .string "PAD"
      .byte 0
PAD   .word LIST1
      .word HERE
      .word ULIT,NPAD
      .word PLUS
      .word EXITT
      .word L122
L123  .byte $02
      .string "<#"
      .byte 0
BDIGS .word LIST1
      .word PAD
      .word HLD
      .word STORE
      .word EXITT
      .word L123
L124  .byte $05
      .string "DIGIT"
      .byte 0
DIGIT .word LIST1
      .word ULIT,$09
      .word OVER
      .word LESS
      .word ULIT,$07
      .word ANDD
      .word PLUS
      .word ULIT,'0'
      .word PLUS
      .word EXITT
      .word L124
L125  .byte $04
      .string "HOLD"
      .byte 0
HOLD  .word LIST1
      .word HLD
      .word ATT
      .word CHARM
      .word DUP
      .word HLD
      .word STORE
      .word CSTOR
      .word EXITT
      .word L125
L126  .byte $01
      .string "#"
      .byte 0
NDIG  .word LIST1
      .word ULIT,0
      .word BASE
      .word ATT
      .word UMMOD
      .word TOR
      .word BASE
      .word ATT
      .word UMMOD
      .word SWAP
      .word DIGIT
      .word HOLD
      .word RFROM
      .word EXITT
      .word L126
L127  .byte $02
      .string "#S"
      .byte 0
DIGS  .word LIST1
DIGS1 .word NDIG
      .word TDUP
      .word ORR
      .word ZEQ
      .word UIF,DIGS1
      .word EXITT
      .word L127
L128  .byte $02
      .string "#>"
      .byte 0
EDIGS .word LIST1
      .word TDROP
      .word HLD
      .word ATT
      .word PAD
      .word OVER
      .word MINUS
      .word EXITT
      .word L128
L129  .byte $04
      .string "SIGN"
      .byte 0
SIGN  .word LIST1
      .word ZLESS
      .word UIF,SIGN1
      .word ULIT,'-'
      .word HOLD
SIGN1 .word EXITT
      .word L129
L130  .byte $05
      .string "CATCH"
      .byte 0
CATCH .word LIST1
      .word SPAT
      .word TOR
      .word TF
      .word ATT
      .word TOR
      .word RPAT
      .word TF
      .word STORE
      .word EXECU
      .word RFROM
      .word TF
      .word STORE
      .word RFROM
      .word DROP
      .word ULIT,0
      .word EXITT
      .word L130
L131  .byte $05
      .string "THROW"
      .byte 0
THROW .word LIST1
      .word QDUP
      .word UIF,THRO1
      .word TF
      .word ATT
      .word RPSTO
      .word RFROM
      .word TF
      .word STORE
      .word RFROM
      .word SWAP
      .word TOR
      .word SPSTO
      .word DROP
      .word RFROM
THRO1 .word EXITT
      .word L131
L132  .byte $05
      .string "ABORT"
      .byte 0
ABORT .word LIST1
      .word ULIT,(0-$01)
      .word THROW
      .word EXITT
      .word L132
L133  .byte $04
      .string "?KEY"
      .byte 0
QKEY  .word LIST1
      .word PAUS
      .word TQKEY
      .word ATT
      .word EXECU
      .word EXITT
      .word L133
L134  .byte $03
      .string "KEY"
      .byte 0
KEY   .word LIST1
KEY1  .word QKEY
      .word UIF,KEY1
      .word EXITT
      .word L134
L135  .byte $04
      .string "NUF?"
      .byte 0
NUFQ  .word LIST1
      .if NUFQD
      .word ULIT,0
      .word EXITT
      .else
      .word QKEY
      .word DUP
      .word UIF,NUFQ1
      .word TDROP
      .word KEY
      .word ULIT,ECR
      .word EQUAL
NUFQ1 .word EXITT
      .endif
      .word L135
L136  .byte $04
      .string "EMIT"
      .byte 0
EMIT  .word LIST1
      .word TEMIT
      .word ATT
      .word EXECU
      .word EXITT
      .word L136
L137  .byte $05
      .string "SPACE"
      .byte 0
SPACE .word LIST1
      .word BLL
      .word EMIT
      .word EXITT
      .word L137
L138  .byte $05
      .string "EMITS"
      .byte 0
EMITS .word LIST1
      .word SWAP
      .word ULIT,0
      .word MAX
EMTS1 .word DUP
      .word UIF,EMTS2
      .word OVER
      .word EMIT
      .word ULIT,$01
      .word MINUS
      .word UELSE,EMTS1
EMTS2 .word TDROP
      .word EXITT
      .word L138
L139  .byte $06
      .string "SPACES"
      .byte 0
SPACS .word LIST1
      .word BLL
      .word EMITS
      .word EXITT
      .word L139
L140  .byte $04
      .string "TYPE"
      .byte 0
TYPE  .word LIST1
      .word BNDS
TYPE1 .word TDUP
      .word XORR
      .word UIF,TYPE2
      .word COUNT
      .word EMIT
      .word UELSE,TYPE1
TYPE2 .word TDROP
      .word EXITT
      .word L140
L141  .byte $02
      .string "CR"
      .byte 0
CR    .word LIST1
      .word ULIT,ECR
      .word EMIT
      .word ULIT,ELF
      .word EMIT
      .word EXITT
      .word L141
L142  .byte $02
      .byte $5F,$22 ; _"
      .byte ECOMP
UQUOT .word LIST1
      .word RFROM
      .word RFROM
      .word DUP
      .word COUNT
      .word PLUS
      .word TOR
      .word SWAP
      .word TOR
      .word EXITT
      .word L142
L143  .byte $03
      .byte $5F,$53,$22 ; _S"
      .byte ECOMP
USQ   .word LIST1
      .word UQUOT
      .word COUNT
      .word EXITT
      .word L143
L144  .byte $03
      .byte $5F,$2E,$22 ; _."
      .byte ECOMP
UDOTQ .word LIST1
      .word UQUOT
      .word COUNT
      .word TYPE
      .word EXITT
      .word L144
L145  .byte $07
      .byte $5F,$41,$42,$4F,$52,$54,$22 ; _ABORT"
      .byte ECOMP
UABOR .word LIST1
      .word UIF,UABO1
      .word UQUOT
      .word CSP
      .word STORE
      .word ULIT,(0-$02)
      .word THROW
UABO1 .word UQUOT
      .word DROP
      .word EXITT
      .word L145
L146  .byte $03
      .string "S.R"
      .byte 0
SDOTR .word LIST1
      .word OVER
      .word MINUS
      .word SPACS
      .word TYPE
      .word EXITT
      .word L146
L147  .byte $03
      .string "D.R"
      .byte 0
DDOTR .word LIST1
      .word TOR
      .word DUP
      .word TOR
      .word DABS
      .word BDIGS
      .word DIGS
      .word RFROM
      .word SIGN
      .word EDIGS
      .word RFROM
      .word SDOTR
      .word EXITT
      .word L147
L148  .byte $03
      .string "U.R"
      .byte 0
UDOTR .word LIST1
      .word ULIT,0
      .word SWAP
      .word DDOTR
      .word EXITT
      .word L148
L149  .byte $02
      .string ".R"
      .byte 0
DOTR  .word LIST1
      .word TOR
      .word STOD
      .word RFROM
      .word DDOTR
      .word EXITT
      .word L149
L150  .byte $02
      .string "D."
      .byte 0
DDOT  .word LIST1
      .word ULIT,0
      .word DDOTR
      .word SPACE
      .word EXITT
      .word L150
L151  .byte $02
      .string "U."
      .byte 0
UDOT  .word LIST1
      .word ULIT,0
      .word DDOT
      .word EXITT
      .word L151
L152  .byte $01
      .string "."
      .byte 0
DOT   .word LIST1
      .word BASE
      .word ATT
      .word ULIT,$0A
      .word XORR
      .word UIF,DOT1
      .word UDOT
      .word EXITT
DOT1  .word STOD
      .word DDOT
      .word EXITT
      .word L152
L153  .byte $01
      .string "?"
      .byte 0
QUEST .word LIST1
      .word ATT
      .word DOT
      .word EXITT
      .word L153
L154  .byte $04
      .string "PACK"
      .byte 0
PACK  .word LIST1
      .word OVER
      .word ULIT,RESET
      .word ULESS
      .word UIF,PACK1
      .word DUP
      .word TOR
      .word OVER
      .word TOR
      .word CHARP
      .word SWAP
      .word MOVE
      .word RFROM
      .word RAT
      .word CSTOR
      .word RFROM
      .word EXITT
PACK1 .word ULIT,(0-$12)
      .word THROW
      .word EXITT
      .word L154
L155  .byte $05
      .string "DEPTH"
      .byte 0
DEPTH .word LIST1
      .word SPAT
      .word TID
      .word ATT
      .word CELLP
      .word CELLP
      .word ATT
      .word SWAP
      .word MINUS
      .word ULIT,CELL1
      .word SLASH
      .word EXITT
      .word L155
L156  .byte $06
      .string "?STACK"
      .byte 0
QSTAC .word LIST1
      .word DEPTH
      .word ZLESS
      .word UABOR
      .byte $06
      .string "depth?"
      .word EXITT
      .word L156
L157  .byte $06
      .string "ACCEPT"
      .byte 0
ACCEP .word LIST1
      .word OVER
      .word PLUS
      .word OVER
ACCE1 .word KEY
      .word DUP
      .word ULIT,ECR
      .word XORR
      .word UIF,ACCE6
      .word DUP
      .word ULIT,EBS
      .word EQUAL
      .word UIF,ACCE3
      .word DROP
      .word TOR
      .word OVER
      .word RAT
      .word LESS
      .word DUP
      .word UIF,ACCE2
      .word ULIT,EBS
      .word DUP
      .word EMIT
      .word BLL
      .word EMIT
      .word EMIT
ACCE2 .word RFROM
      .word PLUS
      .word UELSE,ACCE5
ACCE3 .word TOR
      .word TDUP
      .word XORR
      .word UIF,ACCE4
      .word RAT
      .word OVER
      .word CSTOR
      .word CHARP
      .word RAT
      .word EMIT
ACCE4 .word RFROM
      .word DROP
ACCE5 .word UELSE,ACCE1
ACCE6 .word DROP
      .word NIP
      .word SWAP
      .word MINUS
      .word EXITT
      .word L157
L158  .byte $05
      .string "SAME?"
      .byte 0
SAMEQ .word LIST1
      .word SWAP
      .word TOR
SAMQ1 .word DUP
      .word UIF,SAMQ2
      .word CHARM
      .word TDUP
      .word PLUS
      .word CAT
      .word OVER
      .word RAT
      .word PLUS
      .word CAT
      .word XORR
      .word UIF,SAMQ1
      .word RFROM
      .word DROP
      .word TDROP
      .word ULIT,0
      .word EXITT
SAMQ2 .word RFROM
      .word DROP
      .word TDROP
      .word ULIT,$FFFF
      .word EXITT
      .word L158
L159  .byte $08
      .string "_DELIMIT"
      .byte 0
UDELI .word LIST1
      .word BNDS
      .word DUP
      .word TOR
      .word CHARM
UDEL1 .word CHARP
      .word TDUP
      .word XORR
      .word UIF,UDEL5
      .word BLL
      .word OVER
      .word CAT
      .word LESS
      .word UIF,UDEL1
      .word SWAP
      .word OVER
UDEL2 .word CHARP
      .word TDUP
      .word XORR
      .word UIF,UDEL3
      .word DUP
      .word CAT
      .word BLL
      .word ULIT,$01
      .word PLUS
      .word LESS
      .word UIF,UDEL2
      .word NIP
      .word DUP
      .word CHARP
      .word UELSE,UDEL4
UDEL3 .word DROP
      .word DUP
UDEL4 .word TOR
      .word OVER
      .word MINUS
      .word RFROM
      .word UELSE,UDEL6
UDEL5 .word DROP
      .word ULIT,0
      .word OVER
UDEL6 .word RFROM
      .word MINUS
      .word EXITT
      .word L159
L160  .byte $06
      .string "_PARSE"
      .byte 0
UPARS .word LIST1
      .word TOR
      .word OVER
      .word PLUS
      .word OVER
      .word CHARM
UPAR1 .word CHARP
      .word TDUP
      .word XORR
      .word UIF,UPAR2
      .word DUP
      .word CAT
      .word RAT
      .word EQUAL
      .word UIF,UPAR1
      .word SWAP
      .word RFROM
      .word TDROP
      .word OVER
      .word MINUS
      .word DUP
      .word ULIT,$01
      .word PLUS
      .word EXITT
UPAR2 .word SWAP
      .word RFROM
      .word TDROP
      .word OVER
      .word MINUS
      .word DUP
      .word EXITT
      .word L160
L161  .byte $05
      .string "NAME>"
      .byte 0
NAMET .word LIST1
      .word COUNT
      .word PLUS
      .word CHARP
      .word EXITT
      .word L161
L162  .byte $04
      .string "WID?"
      .byte 0
WIDQ  .word LIST1
      .word SWAP
      .word TOR
      .word ATT
WIDQ1 .word DUP
      .word UIF,WIDQ4
      .word COUNT
      .word RAT
      .word EQUAL
      .word UIF,WIDQ3
      .word TDUP
      .word RAT
      .word SAMEQ
      .word UIF,WIDQ2
      .word SWAP
      .word RFROM
      .word TDROP
      .word CHARM
      .word DUP
      .word NAMET
      .word SWAP
      .word COUNT
      .word PLUS
      .word CAT
      .word ULIT,$FFFF
      .word EXITT
WIDQ2:
WIDQ3 .word CHARM
      .word CELLM
      .word ATT
      .word UELSE,WIDQ1
WIDQ4 .word DROP
      .word RFROM
      .word ULIT,0
      .word EXITT
      .word L162
L163  .byte $07
      .string "CONTEXT"
      .byte 0
CONTE .word LIST1
      .word UVAR
      .word 0
      .word 0
      .word 0
      .word 0
      .word 0
      .word 0
      .word 0
      .word 0
      .word 0
      .word L163
L164  .byte $05
      .string "SFIND"
      .byte 0
SFIND .word LIST1
      .word CONTE
      .word CELLM
      .word TOR
SFIN1 .word RFROM
      .word CELLP
      .word DUP
      .word TOR
      .word ATT
      .word DUP
      .word UIF,SFIN2
      .word WIDQ
      .word UIF,SFIN1
      .word ULIT,$FFFF
SFIN2 .word RFROM
      .word DROP
      .word EXITT
      .word L164
L165  .byte $02
      .string "_["
      .byte ECOMP
ULBR  .word LIST1
      .word SFIND
      .word UIF,ULBR1
      .word ULIT,ECOMP
      .word ANDD
      .word UABOR
      .byte $08
      .string "compile?"
      .word EXECU
      .word QSTAC
      .word EXITT
ULBR1 .word NUMQ
      .word UIF,ULBR3
      .word DPL
      .word ATT
      .word ZLESS
      .word UIF,ULBR2
      .word DROP
ULBR2 .word EXITT
ULBR3 .word ULIT,(0-$0D)
      .word THROW
      .word EXITT
      .word L165
L166  .byte $01
      .string "["
      .byte EIMED
LBRAC .word LIST1
      .word ULIT,ULBR
      .word ULIT,0
      .word STATE
      .word TSTOR
      .word EXITT
      .word L166
L167  .byte $06
      .string "SOURCE"
      .byte 0
SOURC .word LIST1
      .word NIN
      .word TAT
      .word EXITT
      .word L167
L168  .byte $0A
      .string "PARSE-WORD"
      .byte 0
PARSW .word LIST1
      .word SOURC
      .word TOIN
      .word ATT
      .word SSTRI
      .word UDELI
      .word TOIN
      .word PLUST
      .word EXITT
      .word L168
L169  .byte $08
      .string "EVALUATE"
      .byte 0
EVALU .word LIST1
      .word TOIN
      .word ATT
      .word TOR
      .word ULIT,0
      .word TOIN
      .word STORE
      .word SOURC
      .word TOR
      .word TOR
      .word NIN
      .word TSTOR
EVAL1 .word PARSW
      .word DUP
      .word UIF,EVAL2
      .word STATE
      .word CELLP
      .word ATT
      .word EXECU
      .word UELSE,EVAL1
EVAL2 .word TDROP
      .word RFROM
      .word RFROM
      .word NIN
      .word TSTOR
      .word RFROM
      .word TOIN
      .word STORE
      .word EXITT
      .word L169
L170  .byte $03
      .string "'OK"
      .byte 0
TOK   .word LIST1
      .word UVAR
      .word NOOP
      .word L170
L171  .byte $04
      .string "QUIT"
      .byte 0
QUIT  .word LIST1
      .word SUP
      .word CELLP
      .word ATT
      .word RPSTO
      .word LBRAC
QUIT1 .word ULIT,ETIB
      .word DUP
      .word ULIT,NTIB
      .word ACCEP
      .word SPACE
      .word ULIT,EVALU
      .word CATCH
      .word DUP
      .word UIF,QUIT5
      .word DUP
      .word ULIT,(0-$01)
      .word XORR
      .word UIF,QUIT4
      .word CR
      .word DUP
      .word ULIT,(0-$02)
      .word XORR
      .word UIF,QUIT2
      .word SOURC
      .word DROP
      .word TOIN
      .word ATT
      .word DTRAI
      .word TYPE
      .word UDOTQ
      .byte $03
      .string " ?("
      .word ULIT,0
      .word DOTR
      .word UDOTQ
      .byte $01
      .string ")"
      .word UELSE,QUIT3
QUIT2 .word CSP
      .word ATT
      .word COUNT
      .word TYPE
QUIT3 .word SPACE
QUIT4 .word SUP
      .word CELLP
      .word CELLP
      .word ATT
      .word SPSTO
      .word QUIT
QUIT5 .word CR
      .word STATE
      .word ATT
      .word EQUAL
      .word UIF,QUIT1
      .word TOK
      .word ATT
      .word EXECU
      .word UDOTQ
      .byte $03
      .string "ok "
      .word UELSE,QUIT1
      .word L171
L172  .byte $05
      .string "ALIGN"
      .byte EIMED
ALGNN .word LIST1
      .word EXITT
      .word L172
L173  .byte $05
      .string "ALLOT"
      .byte 0
ALLOT .word LIST1
      .word DP
      .word PLUST
      .word EXITT
      .word L173
L174  .byte $02
      .string "S,"
      .byte 0
SCOMA .word LIST1
      .word HERE
      .word OVER
      .word CHARP
      .word ALLOT
      .word PACK
      .word DROP
      .word EXITT
      .word L174
L175  .byte $02
      .string "C,"
      .byte 0
CCOMA .word LIST1
      .word HERE
      .word ULIT,CHAR1
      .word ALLOT
      .word CSTOR
      .word EXITT
      .word L175
L176  .byte $01
      .string ","
      .byte 0
COMMA .word LIST1
      .word HERE
      .word ULIT,CELL1
      .word ALLOT
      .word STORE
      .word EXITT
      .word L176
L177  .byte $08
      .string "COMPILE,"
      .byte 0
COMPC .word LIST1
      .word COMMA
      .word EXITT
      .word L177
L178  .byte $07
      .string "LITERAL"
      .byte EIMED
LITER .word LIST1
      .word ULIT,ULIT
      .word COMPC
      .word COMMA
      .word EXITT
      .word L178
L179  .byte $04
      .string "CHAR"
      .byte 0
CHARR .word LIST1
      .word PARSW
      .word DROP
      .word CAT
      .word EXITT
      .word L179
L180  .byte $06
      .string "[CHAR]"
      .byte EIMED
BCHAR .word LIST1
      .word CHARR
      .word LITER
      .word EXITT
      .word L180
L181  .byte $01
      .string "'"
      .byte 0
TICK  .word LIST1
      .word PARSW
      .word SFIND
      .word UIF,TICK1
      .word DROP
      .word EXITT
TICK1 .word ULIT,(0-$0D)
      .word THROW
      .word EXITT
      .word L181
L182  .byte $03
      .string "[']"
      .byte EIMED
BTICK .word LIST1
      .word TICK
      .word LITER
      .word EXITT
      .word L182
L183  .byte $05
      .string "PARSE"
      .byte 0
PARSE .word LIST1
      .word TOR
      .word SOURC
      .word TOIN
      .word ATT
      .word SSTRI
      .word RFROM
      .word UPARS
      .word TOIN
      .word PLUST
      .word EXITT
      .word L183
L184  .byte $02
      .string ".("
      .byte EIMED
DOTP  .word LIST1
      .word ULIT,')'
      .word PARSE
      .word TYPE
      .word EXITT
      .word L184
L185  .byte $01
      .string "("
      .byte EIMED
PAREN .word LIST1
      .word ULIT,')'
      .word PARSE
      .word TDROP
      .word EXITT
      .word L185
L186  .byte $01
      .byte $5C ; "\"
      .byte EIMED
BSLSH .word LIST1
      .word SOURC
      .word TOIN
      .word STORE
      .word DROP
      .word EXITT
      .word L186
L187  .byte $08
      .string "SLITERAL"
      .byte EIMED+ECOMP
SLITE .word LIST1
      .word ULIT,USQ
      .word COMPC
      .word SCOMA
      .word EXITT
      .word L187
L188  .byte $03
      .byte $2C,$43,$22 ; ,C"
      .byte 0
CCQ   .word LIST1
      .word ULIT,$22
      .word PARSE
      .word SCOMA
      .word EXITT
      .word L188
L189  .byte $02
      .byte $53,$22 ; S"
      .byte EIMED+ECOMP
SQUOT .word LIST1
      .word ULIT,USQ
      .word COMPC
      .word CCQ
      .word EXITT
      .word L189
L190  .byte $02
      .byte $2E,$22 ; ."
      .byte EIMED+ECOMP
DOTQ  .word LIST1
      .word ULIT,UDOTQ
      .word COMPC
      .word CCQ
      .word EXITT
      .word L190
L191  .byte $06
      .byte $41,$42,$4F,$52,$54,$22 ; ABORT"
      .byte EIMED+ECOMP
ABORQ .word LIST1
      .word ULIT,UABOR
      .word COMPC
      .word CCQ
      .word EXITT
      .word L191
L192  .byte $02
      .string "_]"
      .byte ECOMP
URBR  .word LIST1
      .word SFIND
      .word UIF,URBR2
      .word ULIT,EIMED
      .word ANDD
      .word UIF,URBR1
      .word EXECU
      .word QSTAC
      .word EXITT
URBR1 .word COMPC
      .word EXITT
URBR2 .word NUMQ
      .word UIF,URBR5
      .word DPL
      .word ATT
      .word ZLESS
      .word UIF,URBR3
      .word DROP
      .word UELSE,URBR4
URBR3 .word SWAP
      .word LITER
URBR4 .word LITER
      .word EXITT
URBR5 .word ULIT,(0-$0D)
      .word THROW
      .word EXITT
      .word L192
L193  .byte $01
      .string "]"
      .byte 0
RBRAC .word LIST1
      .word ULIT,URBR
      .word ULIT,$FFFF
      .word STATE
      .word TSTOR
      .word EXITT
      .word L193
L194  .byte $0E
      .string "FORTH-WORDLIST"
      .byte 0
FRTHW .word LIST1
      .word UVAR
FRTW1 .word BYE0
      .word 0
      .word 0
      .word L194
L195  .byte $04
      .string "LAST"
      .byte 0
LAST  .word LIST1
      .word UVAR
      .word 0
      .word 0
ERECU .word 0
EDOES .word 0
      .word L195
L196  .byte $07
      .string "CURRENT"
      .byte 0
CURRE .word LIST1
      .word UVAR
      .word FRTW1
      .word FRTW1
      .word L196
L197  .byte $0B
      .string "GET-CURRENT"
      .byte 0
GETCU .word LIST1
      .word CURRE
      .word ATT
      .word EXITT
      .word L197
L198  .byte $0B
      .string "SET-CURRENT"
      .byte 0
SETCU .word LIST1
      .word CURRE
      .word STORE
      .word EXITT
      .word L198
L199  .byte $0B
      .string "DEFINITIONS"
      .byte 0
DEFIN .word LIST1
      .word CONTE
      .word ATT
      .word SETCU
      .word EXITT
      .word L199
L200  .byte $07
      .string "?UNIQUE"
      .byte 0
QUNIQ .word LIST1
      .word TDUP
      .word GETCU
      .word WIDQ
      .word UIF,QUNI1
      .word TDROP
      .word CR
      .word UDOTQ
      .byte $06
      .string "reDef "
      .word TDUP
      .word TYPE
      .word EXITT
QUNI1 .word TDROP
      .word EXITT
      .word L200
L201  .byte $05
      .string "HEAD,"
      .byte 0
HEADC .word LIST1
      .word PARSW
      .word DUP
      .word UIF,HEDC1
      .word QUNIQ
      .word GETCU
      .word DUP
      .word ATT
      .word COMMA
      .word HERE
      .word LAST
      .word TSTOR
      .word DUP
      .word CCOMA
      .word HERE
      .word SWAP
      .word DUP
      .word ALLOT
      .word MOVE
      .word ULIT,0
      .word CCOMA
      .word EXITT
HEDC1 .word ULIT,(0-$10)
      .word THROW
      .word EXITT
LEXST .word LIST1
      .word LAST
      .word ATT
      .word COUNT
      .word PLUS
      .word DUP
      .word TOR
      .word CAT
      .word ORR
      .word RFROM
      .word CSTOR
      .word EXITT
      .word L201
L202  .byte $09
      .string "IMMEDIATE"
      .byte 0
IMMED .word LIST1
      .word ULIT,EIMED
      .word LEXST
      .word EXITT
      .word L202
L203  .byte $0C
      .string "COMPILE-ONLY"
      .byte 0
COMPO .word LIST1
      .word ULIT,ECOMP
      .word LEXST
      .word EXITT
      .word L203
L204  .byte $06
      .string "REVEAL"
      .byte 0
REVEA .word LIST1
      .word LAST
      .word TAT
      .word SWAP
      .word STORE
      .word LBRAC
      .word EXITT
      .word L204
L205  .byte $07
      .string "RECURSE"
      .byte EIMED
RECUR .word LIST1
      .word ULIT,ERECU
      .word ATT
      .word COMPC
      .word EXITT
      .word L205
L206  .byte $08
      .string "POSTPONE"
      .byte EIMED
POSTP .word LIST1
      .word PARSW
      .word SFIND
      .word UIF,PSTP2
      .word ULIT,EIMED
      .word ANDD
      .word UIF,PSTP1
      .word COMPC
      .word EXITT
PSTP1 .word LITER
      .word ULIT,COMPC
      .word COMPC
      .word EXITT
PSTP2 .word ULIT,(0-$0D)
      .word THROW
      .word EXITT
      .word L206
L207  .byte $04
      .string "CODE"
      .byte 0
CODE  .word LIST1
      .word HEADC
      .word HERE
      .word CELLP
      .word COMMA
      .word REVEA
      .word EXITT
      .word L207
L208  .byte $05
      .string "next,"
      .byte 0
NEXTC .word LIST1
      .word ULIT,NEXT1
      .word ULIT,EJMP
      .word CCOMA
      .word COMMA
      .word EXITT
      .word L208
L209  .byte $07
      .string ":NONAME"
      .byte 0
CNONA .word LIST1
      .word HERE
      .word DUP
      .word ULIT,ERECU
      .word STORE
      .word ULIT,LIST1
      .word COMMA
      .word RBRAC
      .word EXITT
      .word L209
L210  .byte $01
      .string ":"
      .byte 0
COLON .word LIST1
      .word HEADC
      .word CNONA
      .word DROP
      .word EXITT
      .word L210
L211  .byte $01
      .string ";"
      .byte EIMED+ECOMP
SEMIC .word LIST1
      .word ULIT,EXITT
      .word COMPC
      .word REVEA
      .word EXITT
      .word L211
L212  .byte $06
      .string "_DOES>"
      .byte ECOMP
UDOES .word LIST1
      .word RFROM
      .word ULIT,EDOES
      .word ATT
      .word STORE
      .word EXITT
      .word L212
L213  .byte $05
      .string "DOES>"
      .byte EIMED+ECOMP
DOES  .word LIST1
      .word ULIT,UDOES
      .word COMPC
      .word CNONA
      .word DROP
      .word ULIT,RFROM
      .word COMPC
      .word EXITT
      .word L213
L214  .byte $06
      .string "CREATE"
      .byte 0
CREAT .word LIST1
      .word ULIT,UVAR
      .word COLON
      .word REVEA
      .word HERE
      .word ULIT,EDOES
      .word STORE
      .word COMPC
      .word EXITT
      .word L214
L215  .byte $08
      .string "VARIABLE"
      .byte 0
VARIA .word LIST1
      .word CREAT
      .word ULIT,0
      .word COMMA
      .word EXITT
      .word L215
L216  .byte $08
      .string "CONSTANT"
      .byte 0
CONST .word LIST1
      .word ULIT,UCON
      .word COLON
      .word REVEA
      .word COMPC
      .word COMMA
      .word EXITT
      .word L216
L217  .byte $04
      .string "USER"
      .byte 0
USER  .word LIST1
      .word ULIT,UUSR
      .word COLON
      .word REVEA
      .word COMPC
      .word COMMA
      .word EXITT
      .word L217
L218  .byte $03
      .string "HAT"
      .byte 0
HAT   .word LIST1
      .word CREAT
      .word ROT
      .word ULIT,8*CELL1
      .word PLUS
      .word HERE
      .word PLUS
      .word DUP
      .word COMMA
      .word PLUS
      .word DUP
      .word COMMA
      .word PLUS
      .word DUP
      .word COMMA
      .word HERE
      .word MINUS
      .word ALLOT
      .word EXITT
      .word L218
L219  .byte $08
      .string "WORDLIST"
      .byte 0
WORDL .word LIST1
      .word HERE
      .word ULIT,0
      .word COMMA
      .word DUP
      .word CURRE
      .word CELLP
      .word DUP
      .word ATT
      .word COMMA
      .word STORE
      .word ULIT,0
      .word COMMA
      .word EXITT
      .word L219
L220  .byte $06
      .string "ORDER@"
      .byte 0
ORDAT .word LIST1
      .word DUP
      .word ATT
      .word DUP
      .word UIF,ORDA1
      .word TOR
      .word CELLP
      .word ORDAT
      .word RFROM
      .word SWAP
      .word ULIT,$01
      .word PLUS
      .word EXITT
ORDA1 .word NIP
      .word EXITT
      .word L220
L221  .byte $09
      .string "GET-ORDER"
      .byte 0
GETOR .word LIST1
      .word CONTE
      .word ORDAT
      .word EXITT
      .word L221
L222  .byte $09
      .string "SET-ORDER"
      .byte 0
SETOR .word LIST1
      .word DUP
      .word ULIT,(0-$01)
      .word EQUAL
      .word UIF,SETO1
      .word DROP
      .word FRTHW
      .word ULIT,$01
SETO1 .word ULIT,NVOCS
      .word OVER
      .word ULESS
      .word UIF,SETO2
      .word ULIT,(0-$2E)
      .word THROW
SETO2 .word CONTE
      .word SWAP
SETO3 .word DUP
      .word UIF,SETO4
      .word TOR
      .word SWAP
      .word OVER
      .word STORE
      .word CELLP
      .word RFROM
      .word ULIT,$01
      .word MINUS
      .word UELSE,SETO3
SETO4 .word SWAP
      .word STORE
      .word EXITT
      .word L222
L223  .byte $07
      .string "_MARKER"
      .byte ECOMP
UMARK .word LIST1
      .word RFROM
      .word TAT
      .word DUP
      .word ATT
      .word FOLLO
      .word STORE
      .word DUP
      .word CONTE
UMAR1 .word TOR
      .word CELLP
      .word DUP
      .word ATT
      .word DUP
      .word RAT
      .word STORE
      .word UIF,UMAR2
      .word RFROM
      .word CELLP
      .word UELSE,UMAR1
UMAR2 .word CELLP
      .word DUP
      .word TAT
      .word CURRE
      .word TSTOR
      .word CELLP
      .word DUP
      .word ATT
UMAR3 .word TOR
      .word CELLP
      .word DUP
      .word ATT
      .word RAT
      .word STORE
      .word RFROM
      .word CELLP
      .word ATT
      .word QDUP
      .word ZEQ
      .word UIF,UMAR3
      .word RFROM
      .word TDROP
      .word DP
      .word TSTOR
      .word EXITT
      .word L223
L224  .byte $06
      .string "MARKER"
      .byte 0
MARKE .word LIST1
      .word DP
      .word TAT
      .word FOLLO
      .word ATT
      .word COMMA
      .word CONTE
MARK1 .word DUP
      .word ATT
      .word DUP
      .word COMMA
      .word UIF,MARK2
      .word CELLP
      .word UELSE,MARK1
MARK2 .word DROP
      .word CURRE
      .word TAT
      .word COMMA
      .word DUP
      .word COMMA
MARK3 .word DUP
      .word ATT
      .word COMMA
      .word CELLP
      .word ATT
      .word QDUP
      .word ZEQ
      .word UIF,MARK3
      .word ULIT,UMARK
      .word COLON
      .word REVEA
      .word COMPC
      .word COMMA
      .word COMMA
      .word EXITT
      .word L224
L225  .byte $05
      .string "BEGIN"
      .byte EIMED
BEGIN .word LIST1
      .word HERE
      .word EXITT
      .word L225
L226  .byte $04
      .string "THEN"
      .byte EIMED
THEN  .word LIST1
      .word BEGIN
      .word SWAP
      .word STORE
      .word EXITT
      .word L226
L227  .byte $07
      .string "RESOLVE"
      .byte 0
RESOL .word LIST1
      .word COMMA
      .word EXITT
      .word L227
L228  .byte $04
      .string "MARK"
      .byte 0
MARK  .word LIST1
      .word HERE
      .word BEGIN
      .word RESOL
      .word EXITT
      .word L228
L229  .byte $02
      .string "IF"
      .byte EIMED
IFF   .word LIST1
      .word ULIT,UIF
      .word COMPC
      .word MARK
      .word EXITT
      .word L229
L230  .byte $05
      .string "AHEAD"
      .byte EIMED
AHEAD .word LIST1
      .word ULIT,UELSE
      .word COMPC
      .word MARK
      .word EXITT
      .word L230
L231  .byte $04
      .string "ELSE"
      .byte EIMED
ELSEE .word LIST1
      .word AHEAD
      .word SWAP
      .word THEN
      .word EXITT
      .word L231
L232  .byte $05
      .string "WHILE"
      .byte EIMED
WHIL  .word LIST1
      .word IFF
      .word SWAP
      .word EXITT
      .word L232
L233  .byte $05
      .string "UNTIL"
      .byte EIMED
UNTL  .word LIST1
      .word ULIT,UIF
      .word COMPC
      .word RESOL
      .word EXITT
      .word L233
L234  .byte $05
      .string "AGAIN"
      .byte EIMED
AGAIN .word LIST1
      .word ULIT,UELSE
      .word COMPC
      .word RESOL
      .word EXITT
      .word L234
L235  .byte $06
      .string "REPEAT"
      .byte EIMED
REPEA .word LIST1
      .word AGAIN
      .word THEN
      .word EXITT
      .word L235
L236  .byte $02
      .string ".S"
      .byte 0
DOTS  .word LIST1
      .word QSTAC
      .word DEPTH
DOTS1 .word QDUP
      .word UIF,DOTS2
      .word DUP
      .word PICK
      .word DOT
      .word ULIT,$01
      .word MINUS
      .word UELSE,DOTS1
DOTS2 .word EXITT
      .word L236
L237  .byte $04
      .string "!CSP"
      .byte 0
STCSP .word LIST1
      .word SPAT
      .word CSP
      .word STORE
      .word EXITT
      .word L237
L238  .byte $04
      .string "?CSP"
      .byte 0
QCSP  .word LIST1
      .word SPAT
      .word CSP
      .word ATT
      .word XORR
      .word UABOR
      .byte $04
      .string "csp?"
      .word EXITT
      .word L238
L239  .byte $05
      .string ">CHAR"
      .byte 0
TCHAR .word LIST1
      .word ULIT,$7F
      .word ANDD
      .word DUP
      .word ULIT,$7F
      .word BLL
      .word WITHI
      .word UIF,TCHR1
      .word DROP
      .word ULIT,'_'
TCHR1 .word EXITT
      .word L239
L240  .byte $05
      .string "_TYPE"
      .byte 0
UTYPE .word LIST1
      .word BNDS
UTYP1 .word TDUP
      .word XORR
      .word UIF,UTYP2
      .word COUNT
      .word TCHAR
      .word EMIT
      .word UELSE,UTYP1
UTYP2 .word TDROP
      .word EXITT
      .word L240
L241  .byte $05
      .string "_DUMP"
      .byte 0
UDUMP .word LIST1
      .word BNDS
UDMP1 .word TDUP
      .word XORR
      .word UIF,UDMP2
      .word COUNT
      .word ULIT,$03
      .word UDOTR
      .word UELSE,UDMP1
UDMP2 .word TDROP
      .word EXITT
      .word L241
L242  .byte $04
      .string "DUMP"
      .byte 0
DUMP  .word LIST1
      .word BASE
      .word ATT
      .word TOR
      .word HEXX
      .word BNDS
DUMP1 .word TDUP
      .word SWAP
      .word ULESS
      .word UIF,DUMP2
      .word CR
      .word DUP
      .word ULIT,0
      .word BDIGS
      .word NDIG
      .word NDIG
      .word NDIG
      .word NDIG
      .word EDIGS
      .word TYPE
      .word SPACE
      .word ULIT,NDUMP
      .word TDUP
      .word UDUMP
      .word SPACE
      .word SPACE
      .word TDUP
      .word UTYPE
      .word PLUS
      .word NUFQ
      .word UIF,DUMP1
DUMP2 .word TDROP
      .word RFROM
      .word BASE
      .word STORE
      .word EXITT
      .word L242
L243  .byte $03
      .string ".ID"
      .byte 0
DOTID .word LIST1
      .word COUNT
      .word UTYPE
      .word EXITT
      .word L243
L244  .byte $08
      .string "WIDWORDS"
      .byte 0
WIDWO .word LIST1
      .word SWAP
      .word TOR
      .word DUP
      .word UIF,WIDW4
      .word CR
      .word DUP
      .word UDOTQ
      .byte $04
      .string "wid="
      .word UDOT
      .word CR
WIDW1 .word ATT
      .word DUP
      .word UIF,WIDW3
      .word TDUP
      .word CHARP
      .word RAT
      .word SAMEQ
      .word UIF,WIDW2
      .word DUP
      .word DOTID
      .word SPACE
WIDW2 .word CELLM
      .word NUFQ
      .word UIF,WIDW1
WIDW3:
WIDW4 .word DROP
      .word RFROM
      .word EXITT
      .word L244
L245  .byte $05
      .string "WORDS"
      .byte 0
WORDS .word LIST1
      .word BLL
      .word PARSE
      .word DUP
      .word UIF,WRDS3
      .word CURRE
WRDS1 .word CELLP
      .word ATT
      .word QDUP
      .word UIF,WRDS2
      .word DUP
      .word TOR
      .word WIDWO
      .word RFROM
      .word UELSE,WRDS1
WRDS2 .word UELSE,WRDS4
WRDS3 .word CONTE
      .word ATT
      .word WIDWO
WRDS4 .word TDROP
      .word EXITT
      .word L245
L246  .byte $06
      .string "NAMED?"
      .byte 0
NAMDQ .word LIST1
      .word CURRE
NMDQ1 .word CELLP
      .word ATT
      .word DUP
      .word UIF,NMDQ5
      .word DUP
      .word TOR
NMDQ2 .word ATT
      .word QDUP
      .word UIF,NMDQ4
      .word TDUP
      .word NAMET
      .word EQUAL
      .word UIF,NMDQ3
      .word SWAP
      .word RFROM
      .word TDROP
      .word EXITT
NMDQ3 .word CELLM
      .word UELSE,NMDQ2
NMDQ4 .word RFROM
      .word UELSE,NMDQ1
NMDQ5 .word NIP
      .word EXITT
      .word L246
L247  .byte $04
      .string "SSEE"
      .byte 0
SSEE  .word LIST1
      .word CELLS
      .word BNDS
SSEE1 .word TDUP
      .word XORR
      .word UIF,SSEE5
      .word DUP
      .word NAMDQ
      .word QDUP
      .word UIF,SSEE2
      .word CR
      .word DOTID
      .word CR
SSEE2 .word SPACE
      .word DUP
      .word ATT
      .word NAMDQ
      .word QDUP
      .word UIF,SSEE3
      .word DOTID
      .word UELSE,SSEE4
SSEE3 .word DUP
      .word ATT
      .word ULIT,0
      .word UDOTR
SSEE4 .word CELLP
      .word NUFQ
      .word UIF,SSEE1
SSEE5 .word TDROP
      .word EXITT
      .word L247
L248  .byte $03
      .string "SEE"
      .byte 0
SEE   .word LIST1
      .word TICK
      .word ULIT,$FFFF
      .word SSEE
      .word EXITT
      .word L248
L249  .byte $04
      .string "COLD"
      .byte 0
COLD  .word LIST1
      .word SUP
      .word CELLP
      .word TAT
      .word RPSTO
      .word SPSTO
      .word SUP
      .word ATT
      .word CELLM
      .word UP
      .word STORE
      .word STATU
      .word FOLLO
      .word STORE
      .word SUP
      .word TID
      .word STORE
      .word SUP
      .word AWAKE
      .word ULIT,0
      .word STOIO
      .word HEXX
      .word ULIT,(0-$01)
      .word SETOR
      .word DEFIN
      .word CR
      .word ULIT,VERSI
      .word COUNT
      .word TYPE
      .word CR
      .word ULIT,COPYR
      .word COUNT
      .word TYPE
      .word CR
      .word QUIT
      .word EXITT
      .word L249
BYE0:
L250  .byte $03
      .string "BYE"
      .byte 0
BYE   .word BYE1
BYE1  LDX #0
      TXS
      RTS
VCOLD CLD
      TSX
      STX BYE1+1
      LDX SUP1+CELL1
      TXS
      LDX SUP1+2*CELL1
      LDY #COLD+CELL1
      JMP LIST2
HERE0:
