      .cpu T_32_L16
      .assume BIT16=10, BIT32=1032
      .include "i6502.a"
      .listfile
      .hexfile
      .objfile
      .srecfile

NUFQD .equ 0

MEMB  .equ $1000
MEME  .equ $7F00

INIIO .equ $7F80
OUTPT .equ $7F83
INPUT .equ $7F86

CHAR1 .equ 1
CELL1 .equ 1
NBITS .equ 16
NRP   .equ 64
NSP   .equ 64
NTIB  .equ 80
NPAD  .equ 80
ECOMP .equ $40
EIMED .equ $80
NVOCS .equ 8
NDUMP .equ 16
ECR   .equ 13
ELF   .equ 10
EBS   .equ 8
EBL   .equ 32
ETIB  .equ MEME-NTIB
ESPP  .equ ETIB
ERP   .equ ESPP-NSP*CELL1
EUP   .equ ERP-NRP*CELL1

EBEQ  .equ $F0
EBNE  .equ $D0
EJSR  .equ $20
EJMP  .equ $4C
ELDY  .equ $A0
ELDA  .equ $A9
EPHA  .equ $48
EPLA  .equ $68
EPHY  .equ $5A
EPLY  .equ $7A
ERTS  .equ $60
ETYA  .equ $98
ETAY  .equ $A8
ETCS  .equ $1B
ETSC  .equ $3B

      .org MEMB

PG    .equ 0
N     .equ 0

RESET:
      JMP VCOLD
VERSI .byte $16
      .byte $65,$46,$6F,$72,$74,$68,$20,$36,$35,$6F,$72,$67,$31,$36,$20,$49,$54,$43,$20,$30,$2E,$31 ; "eForth 65org16 ITC 0.1"
COPYR .byte $34
      .byte $43,$6F,$70,$79,$72,$69,$67,$68,$74,$20,$31,$39,$38,$39,$2D,$31,$39,$39,$39,$20,$42,$69,$6C,$6C,$20,$4D,$75,$65,$6E,$63,$68,$20,$41,$6C,$6C,$20,$72,$69,$67,$68,$74,$73,$20,$72,$65,$73,$65,$72,$76,$65,$64,$2E ; "Copyright 1989-1999 Bill Muench All rights reserved."
      .byte 0
L000  .byte $04
      .byte $45,$58,$49,$54 ; "EXIT"
      .byte 0
EXITT .byte EXIT1
EXIT1 PLA
      .byte $85,IP
NEXT1 .byte $AC
IP    .word PG
      INC IP
NEXT2 LDA PG,Y
      .byte $85,NEXT3+1
NEXT3 JMP PG
LIST1 LDA IP
      PHA
      INY
LIST2 STY IP
      JMP NEXT1
      .byte L000
L001  .byte $07
      .byte $45,$58,$45,$43,$55,$54,$45 ; "EXECUTE"
      .byte 0
EXECU .byte EXEC1
EXEC1 LDY 0,X
      INX
      JMP NEXT2
      .byte L001
L002  .byte $04
      .byte $5F,$4C,$49,$54 ; "_LIT"
      .byte ECOMP
ULIT  .byte ULIT1
ULIT1 LDY IP
      INC IP
      LDA PG,Y
      DEX
      STA 0,X
      JMP NEXT1
      .byte L002
L003  .byte $05
      .byte $5F,$45,$4C,$53,$45 ; "_ELSE"
      .byte ECOMP
UELSE .byte UELS1
UELS1 LDY IP
      LDA PG,Y
      STA IP
      JMP NEXT1
      .byte L003
L004  .byte $03
      .byte $5F,$49,$46 ; "_IF"
      .byte ECOMP
UIF   .byte UIF1
UIF1  LDA 0,X
      BEQ UIF2
      INX
      INC IP
      JMP NEXT1
UIF2  INX
      LDY IP
      LDA PG,Y
      STA IP
      JMP NEXT1
      .byte L004
L005  .byte $02
      .byte $43,$21 ; "C!"
      .byte 0
CSTOR .byte CSTO1
CSTO1 LDY 0,X
      INX
      LDA 0,X
      STA PG,Y
      INX
      JMP NEXT1
      .byte L005
L006  .byte $02
      .byte $43,$40 ; "C@"
      .byte 0
CAT   .byte CAT1
CAT1  LDA #0
      LDY 0,X
      LDA PG,Y
      STA 0,X
      JMP NEXT1
      .byte L006
L007  .byte $01
      .byte $21 ; "!"
      .byte 0
STORE .byte STOR1
STOR1 LDY 0,X
      INX
      LDA 0,X
      STA PG,Y
      INX
      JMP NEXT1
      .byte L007
L008  .byte $01
      .byte $40 ; "@"
      .byte 0
ATT   .byte AT1
AT1   LDY 0,X
      LDA PG,Y
      STA 0,X
      JMP NEXT1
      .byte L008
L009  .byte $03
      .byte $52,$50,$40 ; "RP@"
      .byte 0
RPAT  .byte RPAT1
RPAT1 STX N
      TSX
      INX
      TXA
      LDX N
      DEX
      STA 0,X
      JMP NEXT1
      .byte L009
L010  .byte $03
      .byte $52,$50,$21 ; "RP!"
      .byte ECOMP
RPSTO .byte RPST1
RPST1 LDA 0,X
      INX
      STX N
      TAX
      DEX
      TXS
      LDX N
      JMP NEXT1
      .byte L010
L011  .byte $02
      .byte $3E,$52 ; ">R"
      .byte ECOMP
TOR   .byte TOR1
TOR1  LDA 0,X
      INX
      PHA
      JMP NEXT1
      .byte L011
L012  .byte $02
      .byte $52,$40 ; "R@"
      .byte 0
RAT   .byte RAT1
RAT1  PLA
      PHA
      DEX
      STA 0,X
      JMP NEXT1
      .byte L012
L013  .byte $02
      .byte $52,$3E ; "R>"
      .byte ECOMP
RFROM .byte RFRO1
RFRO1 PLA
      DEX
      STA 0,X
      JMP NEXT1
      .byte L013
L014  .byte $03
      .byte $53,$50,$40 ; "SP@"
      .byte 0
SPAT  .byte SPAT1
SPAT1 TXA
      DEX
      STA 0,X
      JMP NEXT1
      .byte L014
L015  .byte $03
      .byte $53,$50,$21 ; "SP!"
      .byte 0
SPSTO .byte SPST1
SPST1 LDA 0,X
      TAX
      JMP NEXT1
      .byte L015
L016  .byte $04
      .byte $44,$52,$4F,$50 ; "DROP"
      .byte 0
DROP  .byte DROP1
DROP1 INX
      JMP NEXT1
      .byte L016
L017  .byte $04
      .byte $53,$57,$41,$50 ; "SWAP"
      .byte 0
SWAP  .byte SWAP1
SWAP1 LDA 0,X
      LDY CELL1,X
      STY 0,X
      STA CELL1,X
      JMP NEXT1
      .byte L017
L018  .byte $03
      .byte $44,$55,$50 ; "DUP"
      .byte 0
DUP   .byte DUP1
DUP1  LDA 0,X
      DEX
      STA 0,X
      JMP NEXT1
      .byte L018
L019  .byte $04
      .byte $4F,$56,$45,$52 ; "OVER"
      .byte 0
OVER  .byte OVER1
OVER1 LDA CELL1,X
      DEX
      STA 0,X
      JMP NEXT1
      .byte L019
L020  .byte $05
      .byte $43,$48,$41,$52,$2D ; "CHAR-"
      .byte 0
CHARM .byte CHRM1
CHRM1 DEC 0,X
      JMP NEXT1
      .byte L020
L021  .byte $05
      .byte $43,$48,$41,$52,$2B ; "CHAR+"
      .byte 0
CHARP .byte CHRP1
CHRP1 INC 0,X
      JMP NEXT1
      .byte L021
L022  .byte $05
      .byte $43,$48,$41,$52,$53 ; "CHARS"
      .byte EIMED
CHARS .byte CHRS1
CHRS1 JMP NEXT1
      .byte L022
L023  .byte $05
      .byte $43,$45,$4C,$4C,$2D ; "CELL-"
      .byte 0
CELLM .byte CELM1
CELM1:
      .repeat CELL1
      DEC 0,X
      .endr
      JMP NEXT1
      .byte L023
L024  .byte $05
      .byte $43,$45,$4C,$4C,$2B ; "CELL+"
      .byte 0
CELLP .byte CELP1
CELP1:
      .repeat CELL1
      INC 0,X
      .endr
      JMP NEXT1
      .byte L024
L025  .byte $05
      .byte $43,$45,$4C,$4C,$53 ; "CELLS"
      .byte 0
CELLS .byte CELS1
CELS1:
      JMP NEXT1
      .byte L025
L026  .byte $02
      .byte $30,$3C ; "0<"
      .byte 0
ZLESS .byte ZLES1
ZLES1 LDY #0
      LDA 0,X
      BPL ZLES2
      DEY
ZLES2 STY 0,X
      JMP NEXT1
      .byte L026
L027  .byte $03
      .byte $41,$4E,$44 ; "AND"
      .byte 0
ANDD  .byte ANDD1
ANDD1 LDA 0,X
      INX
      AND 0,X
      STA 0,X
      JMP NEXT1
      .byte L027
L028  .byte $02
      .byte $4F,$52 ; "OR"
      .byte 0
ORR   .byte ORR1
ORR1  LDA 0,X
      INX
      ORA 0,X
      STA 0,X
      JMP NEXT1
      .byte L028
L029  .byte $03
      .byte $58,$4F,$52 ; "XOR"
      .byte 0
XORR  .byte XORR1
XORR1 LDA 0,X
      INX
      EOR 0,X
      STA 0,X
      JMP NEXT1
      .byte L029
L030  .byte $03
      .byte $55,$4D,$2B ; "UM+"
      .byte 0
UMPLU .byte UMPL1
UMPL1 CLC
      LDA 0,X
      ADC CELL1,X
      STA CELL1,X
      LDA #0
      ROL
      STA 0,X
      JMP NEXT1
      .byte L030
L031  .byte $03
      .byte $21,$49,$4F ; "!IO"
      .byte 0
STOIO .byte STIO1
STIO1 LDA 0,X
      INX
      JSR INIIO
      JMP NEXT1
      .byte L031
L032  .byte $03
      .byte $3F,$52,$58 ; "?RX"
      .byte 0
QRX   .byte QRX1
QRX1  JSR INPUT
      LDY #0
      BCS QRX2
      DEX
      STA 0,X
      DEY
QRX2  DEX
      STY 0,X
      JMP NEXT1
      .byte L032
L033  .byte $03
      .byte $54,$58,$21 ; "TX!"
      .byte 0
TXSTO .byte TXST1
TXST1 LDA 0,X
      INX
      JSR OUTPT
      JMP NEXT1
      .byte L033
L034  .byte $02
      .byte $4C,$21 ; "L!"
      .byte 0
LSTOR .byte LSTO1
LSTO1 LDA 0,X
      LDY CELL1,X
      STY 0,X
      STA CELL1,X
      LDA 2*CELL1,X
      STA (0,X)
      INX
      INX
      INX
      JMP NEXT1
      .byte L034
L035  .byte $02
      .byte $4C,$40 ; "L@"
      .byte 0
LAT   .byte LAT1
LAT1  LDA 0,X
      LDY CELL1,X
      STY 0,X
      STA CELL1,X
      LDA (0,X)
      INX
      STA 0,X
      JMP NEXT1
      .byte L035
L036  .byte $04
      .byte $4E,$4F,$4F,$50 ; "NOOP"
      .byte 0
NOOP  .byte LIST1
      .byte EXITT
      .byte L036
L037  .byte $04
      .byte $5F,$56,$41,$52 ; "_VAR"
      .byte ECOMP
UVAR  .byte LIST1
      .byte RFROM
      .byte EXITT
      .byte L037
L038  .byte $04
      .byte $5F,$43,$4F,$4E ; "_CON"
      .byte ECOMP
UCON  .byte LIST1
      .byte RFROM
      .byte ATT
      .byte EXITT
      .byte L038
L039  .byte $05
      .byte $27,$3F,$4B,$45,$59 ; "'?KEY"
      .byte 0
TQKEY .byte LIST1
      .byte UVAR
      .byte QRX
      .byte L039
L040  .byte $05
      .byte $27,$45,$4D,$49,$54 ; "'EMIT"
      .byte 0
TEMIT .byte LIST1
      .byte UVAR
      .byte TXSTO
      .byte L040
L041  .byte $04
      .byte $42,$41,$53,$45 ; "BASE"
      .byte 0
BASE  .byte LIST1
      .byte UVAR
      .byte 0
      .byte L041
L042  .byte $03
      .byte $44,$50,$4C ; "DPL"
      .byte 0
DPL   .byte LIST1
      .byte UVAR
      .byte 0
      .byte L042
L043  .byte $03
      .byte $48,$4C,$44 ; "HLD"
      .byte 0
HLD   .byte LIST1
      .byte UVAR
      .byte 0
      .byte L043
L044  .byte $03
      .byte $3E,$49,$4E ; ">IN"
      .byte 0
TOIN  .byte LIST1
      .byte UVAR
      .byte 0
      .byte L044
L045  .byte $03
      .byte $23,$49,$4E ; "#IN"
      .byte 0
NIN   .byte LIST1
      .byte UVAR
      .byte 0
      .byte 0
      .byte L045
L046  .byte $03
      .byte $43,$53,$50 ; "CSP"
      .byte 0
CSP   .byte LIST1
      .byte UVAR
      .byte 0
      .byte L046
L047  .byte $05
      .byte $53,$54,$41,$54,$45 ; "STATE"
      .byte 0
STATE .byte LIST1
      .byte UVAR
      .byte 0
      .byte 0
      .byte L047
L048  .byte $02
      .byte $44,$50 ; "DP"
      .byte 0
DP    .byte LIST1
      .byte UVAR
      .byte HERE0
      .byte 0
      .byte L048
L049  .byte $03
      .byte $53,$55,$50 ; "SUP"
      .byte 0
SUP   .byte LIST1
      .byte UVAR
SUP1  .byte EUP
      .byte ERP
      .byte ESPP
      .byte L049
L050  .byte $02
      .byte $42,$4C ; "BL"
      .byte 0
BLL   .byte LIST1
      .byte UCON
      .byte EBL
      .byte L050
L051  .byte $03
      .byte $48,$45,$58 ; "HEX"
      .byte 0
HEXX  .byte LIST1
      .byte ULIT,$10
      .byte BASE
      .byte STORE
      .byte EXITT
      .byte L051
L052  .byte $07
      .byte $44,$45,$43,$49,$4D,$41,$4C ; "DECIMAL"
      .byte 0
DECIM .byte LIST1
      .byte ULIT,$0A
      .byte BASE
      .byte STORE
      .byte EXITT
      .byte L052
L053  .byte $03
      .byte $52,$4F,$54 ; "ROT"
      .byte 0
ROT   .byte LIST1
      .byte TOR
      .byte SWAP
      .byte RFROM
      .byte SWAP
      .byte EXITT
      .byte L053
L054  .byte $03
      .byte $4E,$49,$50 ; "NIP"
      .byte 0
NIP   .byte LIST1
      .byte SWAP
      .byte DROP
      .byte EXITT
      .byte L054
L055  .byte $05
      .byte $32,$44,$52,$4F,$50 ; "2DROP"
      .byte 0
TDROP .byte LIST1
      .byte DROP
      .byte DROP
      .byte EXITT
      .byte L055
L056  .byte $04
      .byte $32,$44,$55,$50 ; "2DUP"
      .byte 0
TDUP  .byte LIST1
      .byte OVER
      .byte OVER
      .byte EXITT
      .byte L056
L057  .byte $04
      .byte $3F,$44,$55,$50 ; "?DUP"
      .byte 0
QDUP  .byte LIST1
      .byte DUP
      .byte UIF,QDUP1
      .byte DUP
QDUP1 .byte EXITT
      .byte L057
L058  .byte $01
      .byte $2B ; "+"
      .byte 0
PLUS  .byte LIST1
      .byte UMPLU
      .byte DROP
      .byte EXITT
      .byte L058
L059  .byte $02
      .byte $44,$2B ; "D+"
      .byte 0
DPLUS .byte LIST1
      .byte TOR
      .byte SWAP
      .byte TOR
      .byte UMPLU
      .byte RFROM
      .byte PLUS
      .byte RFROM
      .byte PLUS
      .byte EXITT
      .byte L059
L060  .byte $06
      .byte $49,$4E,$56,$45,$52,$54 ; "INVERT"
      .byte 0
INVER .byte LIST1
      .byte ULIT,$FFFF
      .byte XORR
      .byte EXITT
      .byte L060
L061  .byte $06
      .byte $4E,$45,$47,$41,$54,$45 ; "NEGATE"
      .byte 0
NEGAT .byte LIST1
      .byte INVER
      .byte ULIT,$01
      .byte PLUS
      .byte EXITT
      .byte L061
L062  .byte $07
      .byte $44,$4E,$45,$47,$41,$54,$45 ; "DNEGATE"
      .byte 0
DNEGA .byte LIST1
      .byte INVER
      .byte TOR
      .byte INVER
      .byte ULIT,$01
      .byte UMPLU
      .byte RFROM
      .byte PLUS
      .byte EXITT
      .byte L062
L063  .byte $03
      .byte $53,$3E,$44 ; "S>D"
      .byte 0
STOD  .byte LIST1
      .byte DUP
      .byte ZLESS
      .byte EXITT
      .byte L063
L064  .byte $03
      .byte $41,$42,$53 ; "ABS"
      .byte 0
ABSS  .byte LIST1
      .byte DUP
      .byte ZLESS
      .byte UIF,ABS1
      .byte NEGAT
ABS1  .byte EXITT
      .byte L064
L065  .byte $04
      .byte $44,$41,$42,$53 ; "DABS"
      .byte 0
DABS  .byte LIST1
      .byte DUP
      .byte ZLESS
      .byte UIF,DABS1
      .byte DNEGA
DABS1 .byte EXITT
      .byte L065
L066  .byte $01
      .byte $2D ; "-"
      .byte 0
MINUS .byte LIST1
      .byte NEGAT
      .byte PLUS
      .byte EXITT
      .byte L066
L067  .byte $04
      .byte $50,$49,$43,$4B ; "PICK"
      .byte 0
PICK  .byte LIST1
      .byte QDUP
      .byte UIF,PICK1
      .byte SWAP
      .byte TOR
      .byte ULIT,$01
      .byte MINUS
      .byte PICK
      .byte RFROM
      .byte SWAP
      .byte EXITT
PICK1 .byte DUP
      .byte EXITT
      .byte L067
L068  .byte $02
      .byte $30,$3D ; "0="
      .byte 0
ZEQ   .byte LIST1
      .byte UIF,ZEQ1
      .byte ULIT,0
      .byte EXITT
ZEQ1  .byte ULIT,$FFFF
      .byte EXITT
      .byte L068
L069  .byte $01
      .byte $3D ; "="
      .byte 0
EQUAL .byte LIST1
      .byte XORR
      .byte ZEQ
      .byte EXITT
      .byte L069
L070  .byte $02
      .byte $55,$3C ; "U<"
      .byte 0
ULESS .byte LIST1
      .byte TDUP
      .byte XORR
      .byte ZLESS
      .byte UIF,ULES1
      .byte NIP
      .byte ZLESS
      .byte EXITT
ULES1 .byte MINUS
      .byte ZLESS
      .byte EXITT
      .byte L070
L071  .byte $01
      .byte $3C ; "<"
      .byte 0
LESS  .byte LIST1
      .byte TDUP
      .byte XORR
      .byte ZLESS
      .byte UIF,LESS1
      .byte DROP
      .byte ZLESS
      .byte EXITT
LESS1 .byte MINUS
      .byte ZLESS
      .byte EXITT
      .byte L071
L072  .byte $03
      .byte $4D,$41,$58 ; "MAX"
      .byte 0
MAX   .byte LIST1
      .byte TDUP
      .byte LESS
      .byte UIF,MAX1
      .byte SWAP
MAX1  .byte DROP
      .byte EXITT
      .byte L072
L073  .byte $03
      .byte $4D,$49,$4E ; "MIN"
      .byte 0
MIN   .byte LIST1
      .byte TDUP
      .byte SWAP
      .byte LESS
      .byte UIF,MIN1
      .byte SWAP
MIN1  .byte DROP
      .byte EXITT
      .byte L073
L074  .byte $06
      .byte $57,$49,$54,$48,$49,$4E ; "WITHIN"
      .byte 0
WITHI .byte LIST1
      .byte OVER
      .byte MINUS
      .byte TOR
      .byte MINUS
      .byte RFROM
      .byte ULESS
      .byte EXITT
      .byte L074
L075  .byte $06
      .byte $4C,$53,$48,$49,$46,$54 ; "LSHIFT"
      .byte 0
LSHIF .byte LIST1
LSHI1 .byte DUP
      .byte UIF,LSHI2
      .byte TOR
      .byte DUP
      .byte PLUS
      .byte RFROM
      .byte ULIT,$01
      .byte MINUS
      .byte UELSE,LSHI1
LSHI2 .byte DROP
      .byte EXITT
      .byte L075
L076  .byte $03
      .byte $55,$4D,$2A ; "UM*"
      .byte 0
UMSTA .byte LIST1
      .byte ULIT,0
      .byte SWAP
      .byte ULIT,NBITS
UMST1 .byte DUP
      .byte UIF,UMST3
      .byte TOR
      .byte DUP
      .byte UMPLU
      .byte TOR
      .byte TOR
      .byte DUP
      .byte UMPLU
      .byte RFROM
      .byte PLUS
      .byte RFROM
      .byte UIF,UMST2
      .byte TOR
      .byte OVER
      .byte UMPLU
      .byte RFROM
      .byte PLUS
UMST2 .byte RFROM
      .byte ULIT,$01
      .byte MINUS
      .byte UELSE,UMST1
UMST3 .byte DROP
      .byte TOR
      .byte NIP
      .byte RFROM
      .byte EXITT
      .byte L076
L077  .byte $01
      .byte $2A ; "*"
      .byte 0
STAR  .byte LIST1
      .byte UMSTA
      .byte DROP
      .byte EXITT
      .byte L077
L078  .byte $06
      .byte $52,$53,$48,$49,$46,$54 ; "RSHIFT"
      .byte 0
RSHIF .byte LIST1
      .byte ULIT,0
      .byte SWAP
      .byte ULIT,NBITS
      .byte SWAP
      .byte MINUS
RSHI1 .byte DUP
      .byte UIF,RSHI2
      .byte TOR
      .byte TDUP
      .byte DPLUS
      .byte RFROM
      .byte ULIT,$01
      .byte MINUS
      .byte UELSE,RSHI1
RSHI2 .byte DROP
      .byte NIP
      .byte EXITT
      .byte L078
L079  .byte $06
      .byte $55,$4D,$2F,$4D,$4F,$44 ; "UM/MOD"
      .byte 0
UMMOD .byte LIST1
      .byte TDUP
      .byte ULESS
      .byte UIF,UMMO5
      .byte NEGAT
      .byte ULIT,NBITS
UMMO1 .byte DUP
      .byte UIF,UMMO4
      .byte TOR
      .byte TOR
      .byte DUP
      .byte UMPLU
      .byte TOR
      .byte TOR
      .byte DUP
      .byte UMPLU
      .byte RFROM
      .byte PLUS
      .byte DUP
      .byte RFROM
      .byte RAT
      .byte SWAP
      .byte TOR
      .byte UMPLU
      .byte RFROM
      .byte ORR
      .byte UIF,UMMO2
      .byte TOR
      .byte DROP
      .byte ULIT,$01
      .byte PLUS
      .byte RFROM
      .byte UELSE,UMMO3
UMMO2 .byte DROP
UMMO3 .byte RFROM
      .byte RFROM
      .byte ULIT,$01
      .byte MINUS
      .byte UELSE,UMMO1
UMMO4 .byte TDROP
      .byte SWAP
      .byte EXITT
UMMO5 .byte DROP
      .byte TDROP
      .byte ULIT,$FFFF
      .byte DUP
      .byte EXITT
      .byte L079
L080  .byte $06
      .byte $53,$4D,$2F,$52,$45,$4D ; "SM/REM"
      .byte 0
SMREM .byte LIST1
      .byte OVER
      .byte TOR
      .byte TOR
      .byte DABS
      .byte RAT
      .byte ABSS
      .byte UMMOD
      .byte RFROM
      .byte RAT
      .byte XORR
      .byte ZLESS
      .byte UIF,SMRE1
      .byte NEGAT
SMRE1 .byte RFROM
      .byte ZLESS
      .byte UIF,SMRE2
      .byte TOR
      .byte NEGAT
      .byte RFROM
SMRE2 .byte EXITT
      .byte L080
L081  .byte $06
      .byte $46,$4D,$2F,$4D,$4F,$44 ; "FM/MOD"
      .byte 0
FMMOD .byte LIST1
      .byte DUP
      .byte ZLESS
      .byte DUP
      .byte TOR
      .byte UIF,FMMO1
      .byte NEGAT
      .byte TOR
      .byte DNEGA
      .byte RFROM
FMMO1 .byte TOR
      .byte DUP
      .byte ZLESS
      .byte UIF,FMMO2
      .byte RAT
      .byte PLUS
FMMO2 .byte RFROM
      .byte UMMOD
      .byte RFROM
      .byte UIF,FMMO3
      .byte TOR
      .byte NEGAT
      .byte RFROM
FMMO3 .byte EXITT
      .byte L081
L082  .byte $04
      .byte $2F,$4D,$4F,$44 ; "/MOD"
      .byte 0
SMOD  .byte LIST1
      .byte OVER
      .byte ZLESS
      .byte SWAP
      .byte FMMOD
      .byte EXITT
      .byte L082
L083  .byte $03
      .byte $4D,$4F,$44 ; "MOD"
      .byte 0
MODD  .byte LIST1
      .byte SMOD
      .byte DROP
      .byte EXITT
      .byte L083
L084  .byte $01
      .byte $2F ; "/"
      .byte 0
SLASH .byte LIST1
      .byte SMOD
      .byte NIP
      .byte EXITT
      .byte L084
L085  .byte $02
      .byte $2B,$21 ; "+!"
      .byte 0
PLUST .byte LIST1
      .byte DUP
      .byte TOR
      .byte ATT
      .byte PLUS
      .byte RFROM
      .byte STORE
      .byte EXITT
      .byte L085
L086  .byte $05
      .byte $43,$4F,$55,$4E,$54 ; "COUNT"
      .byte 0
COUNT .byte LIST1
      .byte DUP
      .byte CHARP
      .byte SWAP
      .byte CAT
      .byte EXITT
      .byte L086
L087  .byte $06
      .byte $42,$4F,$55,$4E,$44,$53 ; "BOUNDS"
      .byte 0
BNDS  .byte LIST1
      .byte OVER
      .byte PLUS
      .byte SWAP
      .byte EXITT
      .byte L087
L088  .byte $07
      .byte $2F,$53,$54,$52,$49,$4E,$47 ; "/STRING"
      .byte 0
SSTRI .byte LIST1
      .byte DUP
      .byte TOR
      .byte MINUS
      .byte SWAP
      .byte RFROM
      .byte PLUS
      .byte SWAP
      .byte EXITT
      .byte L088
L089  .byte $07
      .byte $41,$4C,$49,$47,$4E,$45,$44 ; "ALIGNED"
      .byte EIMED
ALGND .byte LIST1
      .byte EXITT
      .byte L089
L090  .byte $02
      .byte $32,$21 ; "2!"
      .byte 0
TSTOR .byte LIST1
      .byte SWAP
      .byte OVER
      .byte STORE
      .byte CELLP
      .byte STORE
      .byte EXITT
      .byte L090
L091  .byte $02
      .byte $32,$40 ; "2@"
      .byte 0
TAT   .byte LIST1
      .byte DUP
      .byte CELLP
      .byte ATT
      .byte SWAP
      .byte ATT
      .byte EXITT
      .byte L091
L092  .byte $04
      .byte $4D,$4F,$56,$45 ; "MOVE"
      .byte 0
MOVE  .byte LIST1
      .byte TOR
      .byte TDUP
      .byte ULESS
      .byte UIF,MOVE3
MOVE1 .byte RFROM
      .byte DUP
      .byte UIF,MOVE2
      .byte CHARM
      .byte TOR
      .byte OVER
      .byte RAT
      .byte PLUS
      .byte CAT
      .byte OVER
      .byte RAT
      .byte PLUS
      .byte CSTOR
      .byte UELSE,MOVE1
MOVE2 .byte DROP
      .byte TDROP
      .byte EXITT
MOVE3 .byte RFROM
      .byte OVER
      .byte PLUS
      .byte TOR
MOVE4 .byte DUP
      .byte RAT
      .byte XORR
      .byte UIF,MOVE5
      .byte TOR
      .byte DUP
      .byte CAT
      .byte RAT
      .byte CSTOR
      .byte CHARP
      .byte RFROM
      .byte CHARP
      .byte UELSE,MOVE4
MOVE5 .byte RFROM
      .byte DROP
      .byte TDROP
      .byte EXITT
      .byte L092
L093  .byte $04
      .byte $46,$49,$4C,$4C ; "FILL"
      .byte 0
FILLL .byte LIST1
      .byte TOR
      .byte BNDS
FILL1 .byte TDUP
      .byte XORR
      .byte UIF,FILL2
      .byte RAT
      .byte OVER
      .byte CSTOR
      .byte CHARP
      .byte UELSE,FILL1
FILL2 .byte RFROM
      .byte DROP
      .byte TDROP
      .byte EXITT
      .byte L093
L094  .byte $09
      .byte $2D,$54,$52,$41,$49,$4C,$49,$4E,$47 ; "-TRAILING"
      .byte 0
DTRAI .byte LIST1
DTRA1 .byte DUP
      .byte UIF,DTRA2
      .byte ULIT,$01
      .byte MINUS
      .byte TDUP
      .byte PLUS
      .byte CAT
      .byte BLL
      .byte SWAP
      .byte ULESS
      .byte UIF,DTRA1
      .byte ULIT,$01
      .byte PLUS
DTRA2 .byte EXITT
      .byte L094
L095  .byte $04
      .byte $3E,$41,$44,$52 ; ">ADR"
      .byte 0
TADR  .byte LIST1
      .byte EXITT
      .byte L095
L096  .byte $05
      .byte $3E,$42,$4F,$44,$59 ; ">BODY"
      .byte 0
TBODY .byte LIST1
      .byte CELLP
      .byte CELLP
      .byte EXITT
      .byte L096
L097  .byte $02
      .byte $55,$50 ; "UP"
      .byte 0
UP    .byte LIST1
      .byte UVAR
      .byte 0
      .byte L097
L098  .byte $04
      .byte $5F,$55,$53,$52 ; "_USR"
      .byte ECOMP
UUSR  .byte LIST1
      .byte UP
      .byte ATT
      .byte RFROM
      .byte ATT
      .byte PLUS
      .byte EXITT
      .byte L098
L099  .byte $08
      .byte $46,$4F,$4C,$4C,$4F,$57,$45,$52 ; "FOLLOWER"
      .byte 0
FOLLO .byte LIST1
      .byte UUSR
      .byte 0
      .byte L099
L100  .byte $06
      .byte $53,$54,$41,$54,$55,$53 ; "STATUS"
      .byte 0
STATU .byte LIST1
      .byte UUSR
      .byte 0-CELL1
      .byte L100
L101  .byte $03
      .byte $54,$4F,$53 ; "TOS"
      .byte 0
TOS   .byte LIST1
      .byte UUSR
      .byte 0-2*CELL1
      .byte L101
L102  .byte $03
      .byte $54,$49,$44 ; "TID"
      .byte 0
TID   .byte LIST1
      .byte UUSR
      .byte 0-3*CELL1
      .byte L102
L103  .byte $02
      .byte $54,$46 ; "TF"
      .byte 0
TF    .byte LIST1
      .byte UUSR
      .byte 0-4*CELL1
      .byte L103
L104  .byte $02
      .byte $55,$31 ; "U1"
      .byte 0
U1    .byte LIST1
      .byte UUSR
      .byte 0-5*CELL1
      .byte L104
L105  .byte $02
      .byte $27,$53 ; "'S"
      .byte 0
TICKS .byte LIST1
      .byte FOLLO
      .byte CELLP
      .byte MINUS
      .byte SWAP
      .byte ATT
      .byte PLUS
      .byte EXITT
      .byte L105
L106  .byte $05
      .byte $5F,$50,$41,$53,$53 ; "_PASS"
      .byte ECOMP
UPASS .byte LIST1
      .byte RFROM
      .byte ATT
      .byte TOR
      .byte EXITT
      .byte L106
L107  .byte $04
      .byte $50,$41,$53,$53 ; "PASS"
      .byte 0
PASS  .byte LIST1
      .byte UCON
      .byte UPASS
      .byte L107
L108  .byte $05
      .byte $5F,$57,$41,$4B,$45 ; "_WAKE"
      .byte ECOMP
UWAKE .byte LIST1
      .byte RFROM
      .byte UP
      .byte STORE
      .byte TOS
      .byte ATT
      .byte SPSTO
      .byte RPSTO
      .byte EXITT
      .byte L108
L109  .byte $04
      .byte $57,$41,$4B,$45 ; "WAKE"
      .byte 0
WAKE  .byte LIST1
      .byte UCON
      .byte UWAKE
      .byte L109
L110  .byte $05
      .byte $50,$41,$55,$53,$45 ; "PAUSE"
      .byte 0
PAUS  .byte LIST1
      .byte RPAT
      .byte SPAT
      .byte TOS
      .byte STORE
      .byte FOLLO
      .byte ATT
      .byte TOR
      .byte EXITT
      .byte L110
L111  .byte $04
      .byte $53,$54,$4F,$50 ; "STOP"
      .byte ECOMP
STOP  .byte LIST1
      .byte PASS
      .byte STATU
      .byte STORE
      .byte PAUS
      .byte EXITT
      .byte L111
L112  .byte $03
      .byte $47,$45,$54 ; "GET"
      .byte 0
GET   .byte LIST1
      .byte PAUS
      .byte DUP
      .byte ATT
      .byte STATU
      .byte XORR
      .byte UIF,GET3
GET1  .byte DUP
      .byte ATT
      .byte UIF,GET2
      .byte PAUS
      .byte UELSE,GET1
GET2  .byte STATU
      .byte SWAP
      .byte STORE
      .byte EXITT
GET3  .byte DROP
      .byte EXITT
      .byte L112
L113  .byte $07
      .byte $52,$45,$4C,$45,$41,$53,$45 ; "RELEASE"
      .byte 0
RELEA .byte LIST1
      .byte DUP
      .byte ATT
      .byte STATU
      .byte XORR
      .byte UIF,RELE1
      .byte DROP
      .byte EXITT
RELE1 .byte ULIT,0
      .byte SWAP
      .byte STORE
      .byte EXITT
      .byte L113
L114  .byte $05
      .byte $53,$4C,$45,$45,$50 ; "SLEEP"
      .byte 0
SLEEP .byte LIST1
      .byte PASS
      .byte SWAP
      .byte STATU
      .byte TICKS
      .byte STORE
      .byte EXITT
      .byte L114
L115  .byte $05
      .byte $41,$57,$41,$4B,$45 ; "AWAKE"
      .byte 0
AWAKE .byte LIST1
      .byte WAKE
      .byte SWAP
      .byte STATU
      .byte TICKS
      .byte STORE
      .byte EXITT
      .byte L115
L116  .byte $08
      .byte $41,$43,$54,$49,$56,$41,$54,$45 ; "ACTIVATE"
      .byte ECOMP
ACTIV .byte LIST1
      .byte DUP
      .byte CELLP
      .byte TAT
      .byte SWAP
      .byte CELLM
      .byte SWAP
      .byte CELLM
      .byte RFROM
      .byte OVER
      .byte ULIT,1
      .byte LSTOR
      .byte OVER
      .byte STORE
      .byte OVER
      .byte TOS
      .byte TICKS
      .byte STORE
      .byte AWAKE
      .byte EXITT
      .byte L116
L117  .byte $05
      .byte $42,$55,$49,$4C,$44 ; "BUILD"
      .byte 0
BUILD .byte LIST1
      .byte DUP
      .byte SLEEP
      .byte FOLLO
      .byte ATT
      .byte OVER
      .byte FOLLO
      .byte TICKS
      .byte STORE
      .byte DUP
      .byte STATU
      .byte TICKS
      .byte FOLLO
      .byte STORE
      .byte DUP
      .byte TID
      .byte TICKS
      .byte STORE
      .byte EXITT
      .byte L117
L118  .byte $06
      .byte $44,$49,$47,$49,$54,$3F ; "DIGIT?"
      .byte 0
DIGQ  .byte LIST1
      .byte TOR
      .byte ULIT,'0'
      .byte MINUS
      .byte ULIT,$09
      .byte OVER
      .byte LESS
      .byte UIF,DIGQ1
      .byte ULIT,$07
      .byte MINUS
      .byte DUP
      .byte ULIT,$0A
      .byte LESS
      .byte ORR
DIGQ1 .byte DUP
      .byte RFROM
      .byte ULESS
      .byte EXITT
      .byte L118
L119  .byte $07
      .byte $3E,$4E,$55,$4D,$42,$45,$52 ; ">NUMBER"
      .byte 0
TNUMB .byte LIST1
TNUM1 .byte DUP
      .byte UIF,TNUM3
      .byte TOR
      .byte DUP
      .byte TOR
      .byte CAT
      .byte BASE
      .byte ATT
      .byte DIGQ
      .byte UIF,TNUM2
      .byte SWAP
      .byte BASE
      .byte ATT
      .byte UMSTA
      .byte DROP
      .byte ROT
      .byte BASE
      .byte ATT
      .byte UMSTA
      .byte DPLUS
      .byte RFROM
      .byte CHARP
      .byte RFROM
      .byte ULIT,$01
      .byte MINUS
      .byte UELSE,TNUM1
TNUM2 .byte DROP
      .byte RFROM
      .byte RFROM
TNUM3 .byte EXITT
      .byte L119
L120  .byte $07
      .byte $4E,$55,$4D,$42,$45,$52,$3F ; "NUMBER?"
      .byte 0
NUMQ  .byte LIST1
      .byte OVER
      .byte CAT
      .byte ULIT,'-'
      .byte EQUAL
      .byte DUP
      .byte TOR
      .byte UIF,NUMQ1
      .byte ULIT,$01
      .byte SSTRI
NUMQ1 .byte TOR
      .byte TOR
      .byte ULIT,0
      .byte DUP
      .byte RFROM
      .byte RFROM
      .byte ULIT,(0-$01)
      .byte DPL
      .byte STORE
NUMQ2 .byte TNUMB
      .byte DUP
      .byte UIF,NUMQ4
      .byte OVER
      .byte CAT
      .byte ULIT,'.'
      .byte XORR
      .byte UIF,NUMQ3
      .byte ROT
      .byte DROP
      .byte ROT
      .byte RFROM
      .byte TDROP
      .byte ULIT,0
      .byte EXITT
NUMQ3 .byte ULIT,$01
      .byte MINUS
      .byte DPL
      .byte STORE
      .byte CHARP
      .byte DPL
      .byte ATT
      .byte UELSE,NUMQ2
NUMQ4 .byte TDROP
      .byte RFROM
      .byte UIF,NUMQ5
      .byte DNEGA
NUMQ5 .byte ULIT,$FFFF
      .byte EXITT
      .byte L120
L121  .byte $04
      .byte $48,$45,$52,$45 ; "HERE"
      .byte 0
HERE  .byte LIST1
      .byte DP
      .byte ATT
      .byte EXITT
      .byte L121
L122  .byte $03
      .byte $50,$41,$44 ; "PAD"
      .byte 0
PAD   .byte LIST1
      .byte HERE
      .byte ULIT,NPAD
      .byte PLUS
      .byte EXITT
      .byte L122
L123  .byte $02
      .byte $3C,$23 ; "<#"
      .byte 0
BDIGS .byte LIST1
      .byte PAD
      .byte HLD
      .byte STORE
      .byte EXITT
      .byte L123
L124  .byte $05
      .byte $44,$49,$47,$49,$54 ; "DIGIT"
      .byte 0
DIGIT .byte LIST1
      .byte ULIT,$09
      .byte OVER
      .byte LESS
      .byte ULIT,$07
      .byte ANDD
      .byte PLUS
      .byte ULIT,'0'
      .byte PLUS
      .byte EXITT
      .byte L124
L125  .byte $04
      .byte $48,$4F,$4C,$44 ; "HOLD"
      .byte 0
HOLD  .byte LIST1
      .byte HLD
      .byte ATT
      .byte CHARM
      .byte DUP
      .byte HLD
      .byte STORE
      .byte CSTOR
      .byte EXITT
      .byte L125
L126  .byte $01
      .byte $23 ; "#"
      .byte 0
NDIG  .byte LIST1
      .byte ULIT,0
      .byte BASE
      .byte ATT
      .byte UMMOD
      .byte TOR
      .byte BASE
      .byte ATT
      .byte UMMOD
      .byte SWAP
      .byte DIGIT
      .byte HOLD
      .byte RFROM
      .byte EXITT
      .byte L126
L127  .byte $02
      .byte $23,$53 ; "#S"
      .byte 0
DIGS  .byte LIST1
DIGS1 .byte NDIG
      .byte TDUP
      .byte ORR
      .byte ZEQ
      .byte UIF,DIGS1
      .byte EXITT
      .byte L127
L128  .byte $02
      .byte $23,$3E ; "#>"
      .byte 0
EDIGS .byte LIST1
      .byte TDROP
      .byte HLD
      .byte ATT
      .byte PAD
      .byte OVER
      .byte MINUS
      .byte EXITT
      .byte L128
L129  .byte $04
      .byte $53,$49,$47,$4E ; "SIGN"
      .byte 0
SIGN  .byte LIST1
      .byte ZLESS
      .byte UIF,SIGN1
      .byte ULIT,'-'
      .byte HOLD
SIGN1 .byte EXITT
      .byte L129
L130  .byte $05
      .byte $43,$41,$54,$43,$48 ; "CATCH"
      .byte 0
CATCH .byte LIST1
      .byte SPAT
      .byte TOR
      .byte TF
      .byte ATT
      .byte TOR
      .byte RPAT
      .byte TF
      .byte STORE
      .byte EXECU
      .byte RFROM
      .byte TF
      .byte STORE
      .byte RFROM
      .byte DROP
      .byte ULIT,0
      .byte EXITT
      .byte L130
L131  .byte $05
      .byte $54,$48,$52,$4F,$57 ; "THROW"
      .byte 0
THROW .byte LIST1
      .byte QDUP
      .byte UIF,THRO1
      .byte TF
      .byte ATT
      .byte RPSTO
      .byte RFROM
      .byte TF
      .byte STORE
      .byte RFROM
      .byte SWAP
      .byte TOR
      .byte SPSTO
      .byte DROP
      .byte RFROM
THRO1 .byte EXITT
      .byte L131
L132  .byte $05
      .byte $41,$42,$4F,$52,$54 ; "ABORT"
      .byte 0
ABORT .byte LIST1
      .byte ULIT,(0-$01)
      .byte THROW
      .byte EXITT
      .byte L132
L133  .byte $04
      .byte $3F,$4B,$45,$59 ; "?KEY"
      .byte 0
QKEY  .byte LIST1
      .byte PAUS
      .byte TQKEY
      .byte ATT
      .byte EXECU
      .byte EXITT
      .byte L133
L134  .byte $03
      .byte $4B,$45,$59 ; "KEY"
      .byte 0
KEY   .byte LIST1
KEY1  .byte QKEY
      .byte UIF,KEY1
      .byte EXITT
      .byte L134
L135  .byte $04
      .byte $4E,$55,$46,$3F ; "NUF?"
      .byte 0
NUFQ  .byte LIST1
      .if NUFQD
      .byte ULIT,0
      .byte EXITT
      .else
      .byte QKEY
      .byte DUP
      .byte UIF,NUFQ1
      .byte TDROP
      .byte KEY
      .byte ULIT,ECR
      .byte EQUAL
NUFQ1 .byte EXITT
      .endif
      .byte L135
L136  .byte $04
      .byte $45,$4D,$49,$54 ; "EMIT"
      .byte 0
EMIT  .byte LIST1
      .byte TEMIT
      .byte ATT
      .byte EXECU
      .byte EXITT
      .byte L136
L137  .byte $05
      .byte $53,$50,$41,$43,$45 ; "SPACE"
      .byte 0
SPACE .byte LIST1
      .byte BLL
      .byte EMIT
      .byte EXITT
      .byte L137
L138  .byte $05
      .byte $45,$4D,$49,$54,$53 ; "EMITS"
      .byte 0
EMITS .byte LIST1
      .byte SWAP
      .byte ULIT,0
      .byte MAX
EMTS1 .byte DUP
      .byte UIF,EMTS2
      .byte OVER
      .byte EMIT
      .byte ULIT,$01
      .byte MINUS
      .byte UELSE,EMTS1
EMTS2 .byte TDROP
      .byte EXITT
      .byte L138
L139  .byte $06
      .byte $53,$50,$41,$43,$45,$53 ; "SPACES"
      .byte 0
SPACS .byte LIST1
      .byte BLL
      .byte EMITS
      .byte EXITT
      .byte L139
L140  .byte $04
      .byte $54,$59,$50,$45 ; "TYPE"
      .byte 0
TYPE  .byte LIST1
      .byte BNDS
TYPE1 .byte TDUP
      .byte XORR
      .byte UIF,TYPE2
      .byte COUNT
      .byte EMIT
      .byte UELSE,TYPE1
TYPE2 .byte TDROP
      .byte EXITT
      .byte L140
L141  .byte $02
      .byte $43,$52 ; "CR"
      .byte 0
CR    .byte LIST1
      .byte ULIT,ECR
      .byte EMIT
      .byte ULIT,ELF
      .byte EMIT
      .byte EXITT
      .byte L141
L142  .byte $02
      .byte $5F,$22 ; _"
      .byte ECOMP
UQUOT .byte LIST1
      .byte RFROM
      .byte RFROM
      .byte DUP
      .byte COUNT
      .byte PLUS
      .byte TOR
      .byte SWAP
      .byte TOR
      .byte EXITT
      .byte L142
L143  .byte $03
      .byte $5F,$53,$22 ; _S"
      .byte ECOMP
USQ   .byte LIST1
      .byte UQUOT
      .byte COUNT
      .byte EXITT
      .byte L143
L144  .byte $03
      .byte $5F,$2E,$22 ; _."
      .byte ECOMP
UDOTQ .byte LIST1
      .byte UQUOT
      .byte COUNT
      .byte TYPE
      .byte EXITT
      .byte L144
L145  .byte $07
      .byte $5F,$41,$42,$4F,$52,$54,$22 ; _ABORT"
      .byte ECOMP
UABOR .byte LIST1
      .byte UIF,UABO1
      .byte UQUOT
      .byte CSP
      .byte STORE
      .byte ULIT,(0-$02)
      .byte THROW
UABO1 .byte UQUOT
      .byte DROP
      .byte EXITT
      .byte L145
L146  .byte $03
      .byte $53,$2E,$52 ; "S.R"
      .byte 0
SDOTR .byte LIST1
      .byte OVER
      .byte MINUS
      .byte SPACS
      .byte TYPE
      .byte EXITT
      .byte L146
L147  .byte $03
      .byte $44,$2E,$52 ; "D.R"
      .byte 0
DDOTR .byte LIST1
      .byte TOR
      .byte DUP
      .byte TOR
      .byte DABS
      .byte BDIGS
      .byte DIGS
      .byte RFROM
      .byte SIGN
      .byte EDIGS
      .byte RFROM
      .byte SDOTR
      .byte EXITT
      .byte L147
L148  .byte $03
      .byte $55,$2E,$52 ; "U.R"
      .byte 0
UDOTR .byte LIST1
      .byte ULIT,0
      .byte SWAP
      .byte DDOTR
      .byte EXITT
      .byte L148
L149  .byte $02
      .byte $2E,$52 ; ".R"
      .byte 0
DOTR  .byte LIST1
      .byte TOR
      .byte STOD
      .byte RFROM
      .byte DDOTR
      .byte EXITT
      .byte L149
L150  .byte $02
      .byte $44,$2E ; "D."
      .byte 0
DDOT  .byte LIST1
      .byte ULIT,0
      .byte DDOTR
      .byte SPACE
      .byte EXITT
      .byte L150
L151  .byte $02
      .byte $55,$2E ; "U."
      .byte 0
UDOT  .byte LIST1
      .byte ULIT,0
      .byte DDOT
      .byte EXITT
      .byte L151
L152  .byte $01
      .byte $2E ; "."
      .byte 0
DOT   .byte LIST1
      .byte BASE
      .byte ATT
      .byte ULIT,$0A
      .byte XORR
      .byte UIF,DOT1
      .byte UDOT
      .byte EXITT
DOT1  .byte STOD
      .byte DDOT
      .byte EXITT
      .byte L152
L153  .byte $01
      .byte $3F ; "?"
      .byte 0
QUEST .byte LIST1
      .byte ATT
      .byte DOT
      .byte EXITT
      .byte L153
L154  .byte $04
      .byte $50,$41,$43,$4B ; "PACK"
      .byte 0
PACK  .byte LIST1
      .byte OVER
      .byte ULIT,RESET
      .byte ULESS
      .byte UIF,PACK1
      .byte DUP
      .byte TOR
      .byte OVER
      .byte TOR
      .byte CHARP
      .byte SWAP
      .byte MOVE
      .byte RFROM
      .byte RAT
      .byte CSTOR
      .byte RFROM
      .byte EXITT
PACK1 .byte ULIT,(0-$12)
      .byte THROW
      .byte EXITT
      .byte L154
L155  .byte $05
      .byte $44,$45,$50,$54,$48 ; "DEPTH"
      .byte 0
DEPTH .byte LIST1
      .byte SPAT
      .byte TID
      .byte ATT
      .byte CELLP
      .byte CELLP
      .byte ATT
      .byte SWAP
      .byte MINUS
      .byte ULIT,CELL1
      .byte SLASH
      .byte EXITT
      .byte L155
L156  .byte $06
      .byte $3F,$53,$54,$41,$43,$4B ; "?STACK"
      .byte 0
QSTAC .byte LIST1
      .byte DEPTH
      .byte ZLESS
      .byte UABOR
      .byte $06
      .byte $64,$65,$70,$74,$68,$3F ; "depth?"
      .byte EXITT
      .byte L156
L157  .byte $06
      .byte $41,$43,$43,$45,$50,$54 ; "ACCEPT"
      .byte 0
ACCEP .byte LIST1
      .byte OVER
      .byte PLUS
      .byte OVER
ACCE1 .byte KEY
      .byte DUP
      .byte ULIT,ECR
      .byte XORR
      .byte UIF,ACCE6
      .byte DUP
      .byte ULIT,EBS
      .byte EQUAL
      .byte UIF,ACCE3
      .byte DROP
      .byte TOR
      .byte OVER
      .byte RAT
      .byte LESS
      .byte DUP
      .byte UIF,ACCE2
      .byte ULIT,EBS
      .byte DUP
      .byte EMIT
      .byte BLL
      .byte EMIT
      .byte EMIT
ACCE2 .byte RFROM
      .byte PLUS
      .byte UELSE,ACCE5
ACCE3 .byte TOR
      .byte TDUP
      .byte XORR
      .byte UIF,ACCE4
      .byte RAT
      .byte OVER
      .byte CSTOR
      .byte CHARP
      .byte RAT
      .byte EMIT
ACCE4 .byte RFROM
      .byte DROP
ACCE5 .byte UELSE,ACCE1
ACCE6 .byte DROP
      .byte NIP
      .byte SWAP
      .byte MINUS
      .byte EXITT
      .byte L157
L158  .byte $05
      .byte $53,$41,$4D,$45,$3F ; "SAME?"
      .byte 0
SAMEQ .byte LIST1
      .byte SWAP
      .byte TOR
SAMQ1 .byte DUP
      .byte UIF,SAMQ2
      .byte CHARM
      .byte TDUP
      .byte PLUS
      .byte CAT
      .byte OVER
      .byte RAT
      .byte PLUS
      .byte CAT
      .byte XORR
      .byte UIF,SAMQ1
      .byte RFROM
      .byte DROP
      .byte TDROP
      .byte ULIT,0
      .byte EXITT
SAMQ2 .byte RFROM
      .byte DROP
      .byte TDROP
      .byte ULIT,$FFFF
      .byte EXITT
      .byte L158
L159  .byte $08
      .byte $5F,$44,$45,$4C,$49,$4D,$49,$54 ; "_DELIMIT"
      .byte 0
UDELI .byte LIST1
      .byte BNDS
      .byte DUP
      .byte TOR
      .byte CHARM
UDEL1 .byte CHARP
      .byte TDUP
      .byte XORR
      .byte UIF,UDEL5
      .byte BLL
      .byte OVER
      .byte CAT
      .byte LESS
      .byte UIF,UDEL1
      .byte SWAP
      .byte OVER
UDEL2 .byte CHARP
      .byte TDUP
      .byte XORR
      .byte UIF,UDEL3
      .byte DUP
      .byte CAT
      .byte BLL
      .byte ULIT,$01
      .byte PLUS
      .byte LESS
      .byte UIF,UDEL2
      .byte NIP
      .byte DUP
      .byte CHARP
      .byte UELSE,UDEL4
UDEL3 .byte DROP
      .byte DUP
UDEL4 .byte TOR
      .byte OVER
      .byte MINUS
      .byte RFROM
      .byte UELSE,UDEL6
UDEL5 .byte DROP
      .byte ULIT,0
      .byte OVER
UDEL6 .byte RFROM
      .byte MINUS
      .byte EXITT
      .byte L159
L160  .byte $06
      .byte $5F,$50,$41,$52,$53,$45 ; "_PARSE"
      .byte 0
UPARS .byte LIST1
      .byte TOR
      .byte OVER
      .byte PLUS
      .byte OVER
      .byte CHARM
UPAR1 .byte CHARP
      .byte TDUP
      .byte XORR
      .byte UIF,UPAR2
      .byte DUP
      .byte CAT
      .byte RAT
      .byte EQUAL
      .byte UIF,UPAR1
      .byte SWAP
      .byte RFROM
      .byte TDROP
      .byte OVER
      .byte MINUS
      .byte DUP
      .byte ULIT,$01
      .byte PLUS
      .byte EXITT
UPAR2 .byte SWAP
      .byte RFROM
      .byte TDROP
      .byte OVER
      .byte MINUS
      .byte DUP
      .byte EXITT
      .byte L160
L161  .byte $05
      .byte $4E,$41,$4D,$45,$3E ; "NAME>"
      .byte 0
NAMET .byte LIST1
      .byte COUNT
      .byte PLUS
      .byte CHARP
      .byte EXITT
      .byte L161
L162  .byte $04
      .byte $57,$49,$44,$3F ; "WID?"
      .byte 0
WIDQ  .byte LIST1
      .byte SWAP
      .byte TOR
      .byte ATT
WIDQ1 .byte DUP
      .byte UIF,WIDQ4
      .byte COUNT
      .byte RAT
      .byte EQUAL
      .byte UIF,WIDQ3
      .byte TDUP
      .byte RAT
      .byte SAMEQ
      .byte UIF,WIDQ2
      .byte SWAP
      .byte RFROM
      .byte TDROP
      .byte CHARM
      .byte DUP
      .byte NAMET
      .byte SWAP
      .byte COUNT
      .byte PLUS
      .byte CAT
      .byte ULIT,$FFFF
      .byte EXITT
WIDQ2:
WIDQ3 .byte CHARM
      .byte CELLM
      .byte ATT
      .byte UELSE,WIDQ1
WIDQ4 .byte DROP
      .byte RFROM
      .byte ULIT,0
      .byte EXITT
      .byte L162
L163  .byte $07
      .byte $43,$4F,$4E,$54,$45,$58,$54 ; "CONTEXT"
      .byte 0
CONTE .byte LIST1
      .byte UVAR
      .byte 0
      .byte 0
      .byte 0
      .byte 0
      .byte 0
      .byte 0
      .byte 0
      .byte 0
      .byte 0
      .byte L163
L164  .byte $05
      .byte $53,$46,$49,$4E,$44 ; "SFIND"
      .byte 0
SFIND .byte LIST1
      .byte CONTE
      .byte CELLM
      .byte TOR
SFIN1 .byte RFROM
      .byte CELLP
      .byte DUP
      .byte TOR
      .byte ATT
      .byte DUP
      .byte UIF,SFIN2
      .byte WIDQ
      .byte UIF,SFIN1
      .byte ULIT,$FFFF
SFIN2 .byte RFROM
      .byte DROP
      .byte EXITT
      .byte L164
L165  .byte $02
      .byte $5F,$5B ; "_["
      .byte ECOMP
ULBR  .byte LIST1
      .byte SFIND
      .byte UIF,ULBR1
      .byte ULIT,ECOMP
      .byte ANDD
      .byte UABOR
      .byte $08
      .byte $63,$6F,$6D,$70,$69,$6C,$65,$3F ; "compile?"
      .byte EXECU
      .byte QSTAC
      .byte EXITT
ULBR1 .byte NUMQ
      .byte UIF,ULBR3
      .byte DPL
      .byte ATT
      .byte ZLESS
      .byte UIF,ULBR2
      .byte DROP
ULBR2 .byte EXITT
ULBR3 .byte ULIT,(0-$0D)
      .byte THROW
      .byte EXITT
      .byte L165
L166  .byte $01
      .byte $5B ; "["
      .byte EIMED
LBRAC .byte LIST1
      .byte ULIT,ULBR
      .byte ULIT,0
      .byte STATE
      .byte TSTOR
      .byte EXITT
      .byte L166
L167  .byte $06
      .byte $53,$4F,$55,$52,$43,$45 ; "SOURCE"
      .byte 0
SOURC .byte LIST1
      .byte NIN
      .byte TAT
      .byte EXITT
      .byte L167
L168  .byte $0A
      .byte $50,$41,$52,$53,$45,$2D,$57,$4F,$52,$44 ; "PARSE-WORD"
      .byte 0
PARSW .byte LIST1
      .byte SOURC
      .byte TOIN
      .byte ATT
      .byte SSTRI
      .byte UDELI
      .byte TOIN
      .byte PLUST
      .byte EXITT
      .byte L168
L169  .byte $08
      .byte $45,$56,$41,$4C,$55,$41,$54,$45 ; "EVALUATE"
      .byte 0
EVALU .byte LIST1
      .byte TOIN
      .byte ATT
      .byte TOR
      .byte ULIT,0
      .byte TOIN
      .byte STORE
      .byte SOURC
      .byte TOR
      .byte TOR
      .byte NIN
      .byte TSTOR
EVAL1 .byte PARSW
      .byte DUP
      .byte UIF,EVAL2
      .byte STATE
      .byte CELLP
      .byte ATT
      .byte EXECU
      .byte UELSE,EVAL1
EVAL2 .byte TDROP
      .byte RFROM
      .byte RFROM
      .byte NIN
      .byte TSTOR
      .byte RFROM
      .byte TOIN
      .byte STORE
      .byte EXITT
      .byte L169
L170  .byte $03
      .byte $27,$4F,$4B ; "'OK"
      .byte 0
TOK   .byte LIST1
      .byte UVAR
      .byte NOOP
      .byte L170
L171  .byte $04
      .byte $51,$55,$49,$54 ; "QUIT"
      .byte 0
QUIT  .byte LIST1
      .byte SUP
      .byte CELLP
      .byte ATT
      .byte RPSTO
      .byte LBRAC
QUIT1 .byte ULIT,ETIB
      .byte DUP
      .byte ULIT,NTIB
      .byte ACCEP
      .byte SPACE
      .byte ULIT,EVALU
      .byte CATCH
      .byte DUP
      .byte UIF,QUIT5
      .byte DUP
      .byte ULIT,(0-$01)
      .byte XORR
      .byte UIF,QUIT4
      .byte CR
      .byte DUP
      .byte ULIT,(0-$02)
      .byte XORR
      .byte UIF,QUIT2
      .byte SOURC
      .byte DROP
      .byte TOIN
      .byte ATT
      .byte DTRAI
      .byte TYPE
      .byte UDOTQ
      .byte $03
      .byte $20,$3F,$28 ; " ?("
      .byte ULIT,0
      .byte DOTR
      .byte UDOTQ
      .byte $01
      .byte $29 ; ")"
      .byte UELSE,QUIT3
QUIT2 .byte CSP
      .byte ATT
      .byte COUNT
      .byte TYPE
QUIT3 .byte SPACE
QUIT4 .byte SUP
      .byte CELLP
      .byte CELLP
      .byte ATT
      .byte SPSTO
      .byte QUIT
QUIT5 .byte CR
      .byte STATE
      .byte ATT
      .byte EQUAL
      .byte UIF,QUIT1
      .byte TOK
      .byte ATT
      .byte EXECU
      .byte UDOTQ
      .byte $03
      .byte $6F,$6B,$20 ; "ok "
      .byte UELSE,QUIT1
      .byte L171
L172  .byte $05
      .byte $41,$4C,$49,$47,$4E ; "ALIGN"
      .byte EIMED
ALGNN .byte LIST1
      .byte EXITT
      .byte L172
L173  .byte $05
      .byte $41,$4C,$4C,$4F,$54 ; "ALLOT"
      .byte 0
ALLOT .byte LIST1
      .byte DP
      .byte PLUST
      .byte EXITT
      .byte L173
L174  .byte $02
      .byte $53,$2C ; "S,"
      .byte 0
SCOMA .byte LIST1
      .byte HERE
      .byte OVER
      .byte CHARP
      .byte ALLOT
      .byte PACK
      .byte DROP
      .byte EXITT
      .byte L174
L175  .byte $02
      .byte $43,$2C ; "C,"
      .byte 0
CCOMA .byte LIST1
      .byte HERE
      .byte ULIT,CHAR1
      .byte ALLOT
      .byte CSTOR
      .byte EXITT
      .byte L175
L176  .byte $01
      .byte $2C ; ","
      .byte 0
COMMA .byte LIST1
      .byte HERE
      .byte ULIT,CELL1
      .byte ALLOT
      .byte STORE
      .byte EXITT
      .byte L176
L177  .byte $08
      .byte $43,$4F,$4D,$50,$49,$4C,$45,$2C ; "COMPILE,"
      .byte 0
COMPC .byte LIST1
      .byte COMMA
      .byte EXITT
      .byte L177
L178  .byte $07
      .byte $4C,$49,$54,$45,$52,$41,$4C ; "LITERAL"
      .byte EIMED
LITER .byte LIST1
      .byte ULIT,ULIT
      .byte COMPC
      .byte COMMA
      .byte EXITT
      .byte L178
L179  .byte $04
      .byte $43,$48,$41,$52 ; "CHAR"
      .byte 0
CHARR .byte LIST1
      .byte PARSW
      .byte DROP
      .byte CAT
      .byte EXITT
      .byte L179
L180  .byte $06
      .byte $5B,$43,$48,$41,$52,$5D ; "[CHAR]"
      .byte EIMED
BCHAR .byte LIST1
      .byte CHARR
      .byte LITER
      .byte EXITT
      .byte L180
L181  .byte $01
      .byte $27 ; "'"
      .byte 0
TICK  .byte LIST1
      .byte PARSW
      .byte SFIND
      .byte UIF,TICK1
      .byte DROP
      .byte EXITT
TICK1 .byte ULIT,(0-$0D)
      .byte THROW
      .byte EXITT
      .byte L181
L182  .byte $03
      .byte $5B,$27,$5D ; "[']"
      .byte EIMED
BTICK .byte LIST1
      .byte TICK
      .byte LITER
      .byte EXITT
      .byte L182
L183  .byte $05
      .byte $50,$41,$52,$53,$45 ; "PARSE"
      .byte 0
PARSE .byte LIST1
      .byte TOR
      .byte SOURC
      .byte TOIN
      .byte ATT
      .byte SSTRI
      .byte RFROM
      .byte UPARS
      .byte TOIN
      .byte PLUST
      .byte EXITT
      .byte L183
L184  .byte $02
      .byte $2E,$28 ; ".("
      .byte EIMED
DOTP  .byte LIST1
      .byte ULIT,')'
      .byte PARSE
      .byte TYPE
      .byte EXITT
      .byte L184
L185  .byte $01
      .byte $28 ; "("
      .byte EIMED
PAREN .byte LIST1
      .byte ULIT,')'
      .byte PARSE
      .byte TDROP
      .byte EXITT
      .byte L185
L186  .byte $01
      .byte $5C ; "\"
      .byte EIMED
BSLSH .byte LIST1
      .byte SOURC
      .byte TOIN
      .byte STORE
      .byte DROP
      .byte EXITT
      .byte L186
L187  .byte $08
      .byte $53,$4C,$49,$54,$45,$52,$41,$4C ; "SLITERAL"
      .byte EIMED+ECOMP
SLITE .byte LIST1
      .byte ULIT,USQ
      .byte COMPC
      .byte SCOMA
      .byte EXITT
      .byte L187
L188  .byte $03
      .byte $2C,$43,$22 ; ,C"
      .byte 0
CCQ   .byte LIST1
      .byte ULIT,$22
      .byte PARSE
      .byte SCOMA
      .byte EXITT
      .byte L188
L189  .byte $02
      .byte $53,$22 ; S"
      .byte EIMED+ECOMP
SQUOT .byte LIST1
      .byte ULIT,USQ
      .byte COMPC
      .byte CCQ
      .byte EXITT
      .byte L189
L190  .byte $02
      .byte $2E,$22 ; ."
      .byte EIMED+ECOMP
DOTQ  .byte LIST1
      .byte ULIT,UDOTQ
      .byte COMPC
      .byte CCQ
      .byte EXITT
      .byte L190
L191  .byte $06
      .byte $41,$42,$4F,$52,$54,$22 ; ABORT"
      .byte EIMED+ECOMP
ABORQ .byte LIST1
      .byte ULIT,UABOR
      .byte COMPC
      .byte CCQ
      .byte EXITT
      .byte L191
L192  .byte $02
      .byte $5F,$5D ; "_]"
      .byte ECOMP
URBR  .byte LIST1
      .byte SFIND
      .byte UIF,URBR2
      .byte ULIT,EIMED
      .byte ANDD
      .byte UIF,URBR1
      .byte EXECU
      .byte QSTAC
      .byte EXITT
URBR1 .byte COMPC
      .byte EXITT
URBR2 .byte NUMQ
      .byte UIF,URBR5
      .byte DPL
      .byte ATT
      .byte ZLESS
      .byte UIF,URBR3
      .byte DROP
      .byte UELSE,URBR4
URBR3 .byte SWAP
      .byte LITER
URBR4 .byte LITER
      .byte EXITT
URBR5 .byte ULIT,(0-$0D)
      .byte THROW
      .byte EXITT
      .byte L192
L193  .byte $01
      .byte $5D ; "]"
      .byte 0
RBRAC .byte LIST1
      .byte ULIT,URBR
      .byte ULIT,$FFFF
      .byte STATE
      .byte TSTOR
      .byte EXITT
      .byte L193
L194  .byte $0E
      .byte $46,$4F,$52,$54,$48,$2D,$57,$4F,$52,$44,$4C,$49,$53,$54 ; "FORTH-WORDLIST"
      .byte 0
FRTHW .byte LIST1
      .byte UVAR
FRTW1 .byte BYE0
      .byte 0
      .byte 0
      .byte L194
L195  .byte $04
      .byte $4C,$41,$53,$54 ; "LAST"
      .byte 0
LAST  .byte LIST1
      .byte UVAR
      .byte 0
      .byte 0
ERECU .byte 0
EDOES .byte 0
      .byte L195
L196  .byte $07
      .byte $43,$55,$52,$52,$45,$4E,$54 ; "CURRENT"
      .byte 0
CURRE .byte LIST1
      .byte UVAR
      .byte FRTW1
      .byte FRTW1
      .byte L196
L197  .byte $0B
      .byte $47,$45,$54,$2D,$43,$55,$52,$52,$45,$4E,$54 ; "GET-CURRENT"
      .byte 0
GETCU .byte LIST1
      .byte CURRE
      .byte ATT
      .byte EXITT
      .byte L197
L198  .byte $0B
      .byte $53,$45,$54,$2D,$43,$55,$52,$52,$45,$4E,$54 ; "SET-CURRENT"
      .byte 0
SETCU .byte LIST1
      .byte CURRE
      .byte STORE
      .byte EXITT
      .byte L198
L199  .byte $0B
      .byte $44,$45,$46,$49,$4E,$49,$54,$49,$4F,$4E,$53 ; "DEFINITIONS"
      .byte 0
DEFIN .byte LIST1
      .byte CONTE
      .byte ATT
      .byte SETCU
      .byte EXITT
      .byte L199
L200  .byte $07
      .byte $3F,$55,$4E,$49,$51,$55,$45 ; "?UNIQUE"
      .byte 0
QUNIQ .byte LIST1
      .byte TDUP
      .byte GETCU
      .byte WIDQ
      .byte UIF,QUNI1
      .byte TDROP
      .byte CR
      .byte UDOTQ
      .byte $06
      .byte $72,$65,$44,$65,$66,$20 ; "reDef "
      .byte TDUP
      .byte TYPE
      .byte EXITT
QUNI1 .byte TDROP
      .byte EXITT
      .byte L200
L201  .byte $05
      .byte $48,$45,$41,$44,$2C ; "HEAD,"
      .byte 0
HEADC .byte LIST1
      .byte PARSW
      .byte DUP
      .byte UIF,HEDC1
      .byte QUNIQ
      .byte GETCU
      .byte DUP
      .byte ATT
      .byte COMMA
      .byte HERE
      .byte LAST
      .byte TSTOR
      .byte DUP
      .byte CCOMA
      .byte HERE
      .byte SWAP
      .byte DUP
      .byte ALLOT
      .byte MOVE
      .byte ULIT,0
      .byte CCOMA
      .byte EXITT
HEDC1 .byte ULIT,(0-$10)
      .byte THROW
      .byte EXITT
LEXST .byte LIST1
      .byte LAST
      .byte ATT
      .byte COUNT
      .byte PLUS
      .byte DUP
      .byte TOR
      .byte CAT
      .byte ORR
      .byte RFROM
      .byte CSTOR
      .byte EXITT
      .byte L201
L202  .byte $09
      .byte $49,$4D,$4D,$45,$44,$49,$41,$54,$45 ; "IMMEDIATE"
      .byte 0
IMMED .byte LIST1
      .byte ULIT,EIMED
      .byte LEXST
      .byte EXITT
      .byte L202
L203  .byte $0C
      .byte $43,$4F,$4D,$50,$49,$4C,$45,$2D,$4F,$4E,$4C,$59 ; "COMPILE-ONLY"
      .byte 0
COMPO .byte LIST1
      .byte ULIT,ECOMP
      .byte LEXST
      .byte EXITT
      .byte L203
L204  .byte $06
      .byte $52,$45,$56,$45,$41,$4C ; "REVEAL"
      .byte 0
REVEA .byte LIST1
      .byte LAST
      .byte TAT
      .byte SWAP
      .byte STORE
      .byte LBRAC
      .byte EXITT
      .byte L204
L205  .byte $07
      .byte $52,$45,$43,$55,$52,$53,$45 ; "RECURSE"
      .byte EIMED
RECUR .byte LIST1
      .byte ULIT,ERECU
      .byte ATT
      .byte COMPC
      .byte EXITT
      .byte L205
L206  .byte $08
      .byte $50,$4F,$53,$54,$50,$4F,$4E,$45 ; "POSTPONE"
      .byte EIMED
POSTP .byte LIST1
      .byte PARSW
      .byte SFIND
      .byte UIF,PSTP2
      .byte ULIT,EIMED
      .byte ANDD
      .byte UIF,PSTP1
      .byte COMPC
      .byte EXITT
PSTP1 .byte LITER
      .byte ULIT,COMPC
      .byte COMPC
      .byte EXITT
PSTP2 .byte ULIT,(0-$0D)
      .byte THROW
      .byte EXITT
      .byte L206
L207  .byte $04
      .byte $43,$4F,$44,$45 ; "CODE"
      .byte 0
CODE  .byte LIST1
      .byte HEADC
      .byte HERE
      .byte CELLP
      .byte COMMA
      .byte REVEA
      .byte EXITT
      .byte L207
L208  .byte $05
      .byte $6E,$65,$78,$74,$2C ; "next,"
      .byte 0
NEXTC .byte LIST1
      .byte ULIT,NEXT1
      .byte ULIT,EJMP
      .byte CCOMA
      .byte COMMA
      .byte ULIT,PG
      .byte COMMA
      .byte EXITT
      .byte L208
L209  .byte $07
      .byte $3A,$4E,$4F,$4E,$41,$4D,$45 ; ":NONAME"
      .byte 0
CNONA .byte LIST1
      .byte HERE
      .byte DUP
      .byte ULIT,ERECU
      .byte STORE
      .byte ULIT,LIST1
      .byte COMMA
      .byte RBRAC
      .byte EXITT
      .byte L209
L210  .byte $01
      .byte $3A ; ":"
      .byte 0
COLON .byte LIST1
      .byte HEADC
      .byte CNONA
      .byte DROP
      .byte EXITT
      .byte L210
L211  .byte $01
      .byte $3B ; ";"
      .byte EIMED+ECOMP
SEMIC .byte LIST1
      .byte ULIT,EXITT
      .byte COMPC
      .byte REVEA
      .byte EXITT
      .byte L211
L212  .byte $06
      .byte $5F,$44,$4F,$45,$53,$3E ; "_DOES>"
      .byte ECOMP
UDOES .byte LIST1
      .byte RFROM
      .byte ULIT,EDOES
      .byte ATT
      .byte STORE
      .byte EXITT
      .byte L212
L213  .byte $05
      .byte $44,$4F,$45,$53,$3E ; "DOES>"
      .byte EIMED+ECOMP
DOES  .byte LIST1
      .byte ULIT,UDOES
      .byte COMPC
      .byte CNONA
      .byte DROP
      .byte ULIT,RFROM
      .byte COMPC
      .byte EXITT
      .byte L213
L214  .byte $06
      .byte $43,$52,$45,$41,$54,$45 ; "CREATE"
      .byte 0
CREAT .byte LIST1
      .byte ULIT,UVAR
      .byte COLON
      .byte REVEA
      .byte HERE
      .byte ULIT,EDOES
      .byte STORE
      .byte COMPC
      .byte EXITT
      .byte L214
L215  .byte $08
      .byte $56,$41,$52,$49,$41,$42,$4C,$45 ; "VARIABLE"
      .byte 0
VARIA .byte LIST1
      .byte CREAT
      .byte ULIT,0
      .byte COMMA
      .byte EXITT
      .byte L215
L216  .byte $08
      .byte $43,$4F,$4E,$53,$54,$41,$4E,$54 ; "CONSTANT"
      .byte 0
CONST .byte LIST1
      .byte ULIT,UCON
      .byte COLON
      .byte REVEA
      .byte COMPC
      .byte COMMA
      .byte EXITT
      .byte L216
L217  .byte $04
      .byte $55,$53,$45,$52 ; "USER"
      .byte 0
USER  .byte LIST1
      .byte ULIT,UUSR
      .byte COLON
      .byte REVEA
      .byte COMPC
      .byte COMMA
      .byte EXITT
      .byte L217
L218  .byte $03
      .byte $48,$41,$54 ; "HAT"
      .byte 0
HAT   .byte LIST1
      .byte CREAT
      .byte ROT
      .byte ULIT,8*CELL1
      .byte PLUS
      .byte HERE
      .byte PLUS
      .byte DUP
      .byte COMMA
      .byte PLUS
      .byte DUP
      .byte COMMA
      .byte PLUS
      .byte DUP
      .byte COMMA
      .byte HERE
      .byte MINUS
      .byte ALLOT
      .byte EXITT
      .byte L218
L219  .byte $08
      .byte $57,$4F,$52,$44,$4C,$49,$53,$54 ; "WORDLIST"
      .byte 0
WORDL .byte LIST1
      .byte HERE
      .byte ULIT,0
      .byte COMMA
      .byte DUP
      .byte CURRE
      .byte CELLP
      .byte DUP
      .byte ATT
      .byte COMMA
      .byte STORE
      .byte ULIT,0
      .byte COMMA
      .byte EXITT
      .byte L219
L220  .byte $06
      .byte $4F,$52,$44,$45,$52,$40 ; "ORDER@"
      .byte 0
ORDAT .byte LIST1
      .byte DUP
      .byte ATT
      .byte DUP
      .byte UIF,ORDA1
      .byte TOR
      .byte CELLP
      .byte ORDAT
      .byte RFROM
      .byte SWAP
      .byte ULIT,$01
      .byte PLUS
      .byte EXITT
ORDA1 .byte NIP
      .byte EXITT
      .byte L220
L221  .byte $09
      .byte $47,$45,$54,$2D,$4F,$52,$44,$45,$52 ; "GET-ORDER"
      .byte 0
GETOR .byte LIST1
      .byte CONTE
      .byte ORDAT
      .byte EXITT
      .byte L221
L222  .byte $09
      .byte $53,$45,$54,$2D,$4F,$52,$44,$45,$52 ; "SET-ORDER"
      .byte 0
SETOR .byte LIST1
      .byte DUP
      .byte ULIT,(0-$01)
      .byte EQUAL
      .byte UIF,SETO1
      .byte DROP
      .byte FRTHW
      .byte ULIT,$01
SETO1 .byte ULIT,NVOCS
      .byte OVER
      .byte ULESS
      .byte UIF,SETO2
      .byte ULIT,(0-$2E)
      .byte THROW
SETO2 .byte CONTE
      .byte SWAP
SETO3 .byte DUP
      .byte UIF,SETO4
      .byte TOR
      .byte SWAP
      .byte OVER
      .byte STORE
      .byte CELLP
      .byte RFROM
      .byte ULIT,$01
      .byte MINUS
      .byte UELSE,SETO3
SETO4 .byte SWAP
      .byte STORE
      .byte EXITT
      .byte L222
L223  .byte $07
      .byte $5F,$4D,$41,$52,$4B,$45,$52 ; "_MARKER"
      .byte ECOMP
UMARK .byte LIST1
      .byte RFROM
      .byte TAT
      .byte DUP
      .byte ATT
      .byte FOLLO
      .byte STORE
      .byte DUP
      .byte CONTE
UMAR1 .byte TOR
      .byte CELLP
      .byte DUP
      .byte ATT
      .byte DUP
      .byte RAT
      .byte STORE
      .byte UIF,UMAR2
      .byte RFROM
      .byte CELLP
      .byte UELSE,UMAR1
UMAR2 .byte CELLP
      .byte DUP
      .byte TAT
      .byte CURRE
      .byte TSTOR
      .byte CELLP
      .byte DUP
      .byte ATT
UMAR3 .byte TOR
      .byte CELLP
      .byte DUP
      .byte ATT
      .byte RAT
      .byte STORE
      .byte RFROM
      .byte CELLP
      .byte ATT
      .byte QDUP
      .byte ZEQ
      .byte UIF,UMAR3
      .byte RFROM
      .byte TDROP
      .byte DP
      .byte TSTOR
      .byte EXITT
      .byte L223
L224  .byte $06
      .byte $4D,$41,$52,$4B,$45,$52 ; "MARKER"
      .byte 0
MARKE .byte LIST1
      .byte DP
      .byte TAT
      .byte FOLLO
      .byte ATT
      .byte COMMA
      .byte CONTE
MARK1 .byte DUP
      .byte ATT
      .byte DUP
      .byte COMMA
      .byte UIF,MARK2
      .byte CELLP
      .byte UELSE,MARK1
MARK2 .byte DROP
      .byte CURRE
      .byte TAT
      .byte COMMA
      .byte DUP
      .byte COMMA
MARK3 .byte DUP
      .byte ATT
      .byte COMMA
      .byte CELLP
      .byte ATT
      .byte QDUP
      .byte ZEQ
      .byte UIF,MARK3
      .byte ULIT,UMARK
      .byte COLON
      .byte REVEA
      .byte COMPC
      .byte COMMA
      .byte COMMA
      .byte EXITT
      .byte L224
L225  .byte $05
      .byte $42,$45,$47,$49,$4E ; "BEGIN"
      .byte EIMED
BEGIN .byte LIST1
      .byte HERE
      .byte EXITT
      .byte L225
L226  .byte $04
      .byte $54,$48,$45,$4E ; "THEN"
      .byte EIMED
THEN  .byte LIST1
      .byte BEGIN
      .byte SWAP
      .byte STORE
      .byte EXITT
      .byte L226
L227  .byte $07
      .byte $52,$45,$53,$4F,$4C,$56,$45 ; "RESOLVE"
      .byte 0
RESOL .byte LIST1
      .byte COMMA
      .byte EXITT
      .byte L227
L228  .byte $04
      .byte $4D,$41,$52,$4B ; "MARK"
      .byte 0
MARK  .byte LIST1
      .byte HERE
      .byte BEGIN
      .byte RESOL
      .byte EXITT
      .byte L228
L229  .byte $02
      .byte $49,$46 ; "IF"
      .byte EIMED
IFF   .byte LIST1
      .byte ULIT,UIF
      .byte COMPC
      .byte MARK
      .byte EXITT
      .byte L229
L230  .byte $05
      .byte $41,$48,$45,$41,$44 ; "AHEAD"
      .byte EIMED
AHEAD .byte LIST1
      .byte ULIT,UELSE
      .byte COMPC
      .byte MARK
      .byte EXITT
      .byte L230
L231  .byte $04
      .byte $45,$4C,$53,$45 ; "ELSE"
      .byte EIMED
ELSEE .byte LIST1
      .byte AHEAD
      .byte SWAP
      .byte THEN
      .byte EXITT
      .byte L231
L232  .byte $05
      .byte $57,$48,$49,$4C,$45 ; "WHILE"
      .byte EIMED
WHIL  .byte LIST1
      .byte IFF
      .byte SWAP
      .byte EXITT
      .byte L232
L233  .byte $05
      .byte $55,$4E,$54,$49,$4C ; "UNTIL"
      .byte EIMED
UNTL  .byte LIST1
      .byte ULIT,UIF
      .byte COMPC
      .byte RESOL
      .byte EXITT
      .byte L233
L234  .byte $05
      .byte $41,$47,$41,$49,$4E ; "AGAIN"
      .byte EIMED
AGAIN .byte LIST1
      .byte ULIT,UELSE
      .byte COMPC
      .byte RESOL
      .byte EXITT
      .byte L234
L235  .byte $06
      .byte $52,$45,$50,$45,$41,$54 ; "REPEAT"
      .byte EIMED
REPEA .byte LIST1
      .byte AGAIN
      .byte THEN
      .byte EXITT
      .byte L235
L236  .byte $02
      .byte $2E,$53 ; ".S"
      .byte 0
DOTS  .byte LIST1
      .byte QSTAC
      .byte DEPTH
DOTS1 .byte QDUP
      .byte UIF,DOTS2
      .byte DUP
      .byte PICK
      .byte DOT
      .byte ULIT,$01
      .byte MINUS
      .byte UELSE,DOTS1
DOTS2 .byte EXITT
      .byte L236
L237  .byte $04
      .byte $21,$43,$53,$50 ; "!CSP"
      .byte 0
STCSP .byte LIST1
      .byte SPAT
      .byte CSP
      .byte STORE
      .byte EXITT
      .byte L237
L238  .byte $04
      .byte $3F,$43,$53,$50 ; "?CSP"
      .byte 0
QCSP  .byte LIST1
      .byte SPAT
      .byte CSP
      .byte ATT
      .byte XORR
      .byte UABOR
      .byte $04
      .byte $63,$73,$70,$3F ; "csp?"
      .byte EXITT
      .byte L238
L239  .byte $05
      .byte $3E,$43,$48,$41,$52 ; ">CHAR"
      .byte 0
TCHAR .byte LIST1
      .byte ULIT,$7F
      .byte ANDD
      .byte DUP
      .byte ULIT,$7F
      .byte BLL
      .byte WITHI
      .byte UIF,TCHR1
      .byte DROP
      .byte ULIT,'_'
TCHR1 .byte EXITT
      .byte L239
L240  .byte $05
      .byte $5F,$54,$59,$50,$45 ; "_TYPE"
      .byte 0
UTYPE .byte LIST1
      .byte BNDS
UTYP1 .byte TDUP
      .byte XORR
      .byte UIF,UTYP2
      .byte COUNT
      .byte TCHAR
      .byte EMIT
      .byte UELSE,UTYP1
UTYP2 .byte TDROP
      .byte EXITT
      .byte L240
L241  .byte $05
      .byte $5F,$44,$55,$4D,$50 ; "_DUMP"
      .byte 0
UDUMP .byte LIST1
      .byte BNDS
UDMP1 .byte TDUP
      .byte XORR
      .byte UIF,UDMP2
      .byte COUNT
      .byte ULIT,$03
      .byte UDOTR
      .byte UELSE,UDMP1
UDMP2 .byte TDROP
      .byte EXITT
      .byte L241
L242  .byte $04
      .byte $44,$55,$4D,$50 ; "DUMP"
      .byte 0
DUMP  .byte LIST1
      .byte BASE
      .byte ATT
      .byte TOR
      .byte HEXX
      .byte BNDS
DUMP1 .byte TDUP
      .byte SWAP
      .byte ULESS
      .byte UIF,DUMP2
      .byte CR
      .byte DUP
      .byte ULIT,0
      .byte BDIGS
      .byte NDIG
      .byte NDIG
      .byte NDIG
      .byte NDIG
      .byte EDIGS
      .byte TYPE
      .byte SPACE
      .byte ULIT,NDUMP
      .byte TDUP
      .byte UDUMP
      .byte SPACE
      .byte SPACE
      .byte TDUP
      .byte UTYPE
      .byte PLUS
      .byte NUFQ
      .byte UIF,DUMP1
DUMP2 .byte TDROP
      .byte RFROM
      .byte BASE
      .byte STORE
      .byte EXITT
      .byte L242
L243  .byte $03
      .byte $2E,$49,$44 ; ".ID"
      .byte 0
DOTID .byte LIST1
      .byte COUNT
      .byte UTYPE
      .byte EXITT
      .byte L243
L244  .byte $08
      .byte $57,$49,$44,$57,$4F,$52,$44,$53 ; "WIDWORDS"
      .byte 0
WIDWO .byte LIST1
      .byte SWAP
      .byte TOR
      .byte DUP
      .byte UIF,WIDW4
      .byte CR
      .byte DUP
      .byte UDOTQ
      .byte $04
      .byte $77,$69,$64,$3D ; "wid="
      .byte UDOT
      .byte CR
WIDW1 .byte ATT
      .byte DUP
      .byte UIF,WIDW3
      .byte TDUP
      .byte CHARP
      .byte RAT
      .byte SAMEQ
      .byte UIF,WIDW2
      .byte DUP
      .byte DOTID
      .byte SPACE
WIDW2 .byte CELLM
      .byte NUFQ
      .byte UIF,WIDW1
WIDW3:
WIDW4 .byte DROP
      .byte RFROM
      .byte EXITT
      .byte L244
L245  .byte $05
      .byte $57,$4F,$52,$44,$53 ; "WORDS"
      .byte 0
WORDS .byte LIST1
      .byte BLL
      .byte PARSE
      .byte DUP
      .byte UIF,WRDS3
      .byte CURRE
WRDS1 .byte CELLP
      .byte ATT
      .byte QDUP
      .byte UIF,WRDS2
      .byte DUP
      .byte TOR
      .byte WIDWO
      .byte RFROM
      .byte UELSE,WRDS1
WRDS2 .byte UELSE,WRDS4
WRDS3 .byte CONTE
      .byte ATT
      .byte WIDWO
WRDS4 .byte TDROP
      .byte EXITT
      .byte L245
L246  .byte $06
      .byte $4E,$41,$4D,$45,$44,$3F ; "NAMED?"
      .byte 0
NAMDQ .byte LIST1
      .byte CURRE
NMDQ1 .byte CELLP
      .byte ATT
      .byte DUP
      .byte UIF,NMDQ5
      .byte DUP
      .byte TOR
NMDQ2 .byte ATT
      .byte QDUP
      .byte UIF,NMDQ4
      .byte TDUP
      .byte NAMET
      .byte EQUAL
      .byte UIF,NMDQ3
      .byte SWAP
      .byte RFROM
      .byte TDROP
      .byte EXITT
NMDQ3 .byte CELLM
      .byte UELSE,NMDQ2
NMDQ4 .byte RFROM
      .byte UELSE,NMDQ1
NMDQ5 .byte NIP
      .byte EXITT
      .byte L246
L247  .byte $04
      .byte $53,$53,$45,$45 ; "SSEE"
      .byte 0
SSEE  .byte LIST1
      .byte BNDS
SSEE1 .byte TDUP
      .byte XORR
      .byte UIF,SSEE5
      .byte DUP
      .byte NAMDQ
      .byte QDUP
      .byte UIF,SSEE2
      .byte CR
      .byte DOTID
      .byte CR
SSEE2 .byte SPACE
      .byte DUP
      .byte ATT
      .byte NAMDQ
      .byte QDUP
      .byte UIF,SSEE3
      .byte DOTID
      .byte UELSE,SSEE4
SSEE3 .byte DUP
      .byte ATT
      .byte ULIT,0
      .byte UDOTR
SSEE4 .byte CELLP
      .byte NUFQ
      .byte UIF,SSEE1
SSEE5 .byte TDROP
      .byte EXITT
      .byte L247
L248  .byte $03
      .byte $53,$45,$45 ; "SEE"
      .byte 0
SEE   .byte LIST1
      .byte TICK
      .byte ULIT,$FFFF
      .byte SSEE
      .byte EXITT
      .byte L248
L249  .byte $04
      .byte $43,$4F,$4C,$44 ; "COLD"
      .byte 0
COLD  .byte LIST1
      .byte SUP
      .byte CELLP
      .byte TAT
      .byte RPSTO
      .byte SPSTO
      .byte SUP
      .byte ATT
      .byte CELLM
      .byte UP
      .byte STORE
      .byte STATU
      .byte FOLLO
      .byte STORE
      .byte SUP
      .byte TID
      .byte STORE
      .byte SUP
      .byte AWAKE
      .byte ULIT,0
      .byte STOIO
      .byte HEXX
      .byte ULIT,(0-$01)
      .byte SETOR
      .byte DEFIN
      .byte CR
      .byte ULIT,VERSI
      .byte COUNT
      .byte TYPE
      .byte CR
      .byte ULIT,COPYR
      .byte COUNT
      .byte TYPE
      .byte CR
      .byte QUIT
      .byte EXITT
      .byte L249
BYE0:
L250  .byte $03
      .byte $42,$59,$45 ; "BYE"
      .byte 0
BYE   .byte BYE1
BYE1  LDX #0
      TXS
      RTS
VCOLD CLD
      TSX
      STX BYE1+1
      LDX SUP1+CELL1
      TXS
      LDX SUP1+2*CELL1
      LDY #COLD+CELL1
      JMP LIST2
HERE0:
