      .cpu T_32_L16
      .assume BIT16=10, BIT32=1032
      .include "i6502.a"
      .listfile
      .hexfile
      .objfile
      .srecfile

NUFQD .equ 0

MEMB  .equ $1000
MEME  .equ $7F00

INIIO .equ $7F80
OUTPT .equ $7F83
INPUT .equ $7F86

CHAR1 .equ 1
CELL1 .equ 1
NBITS .equ 16
NRP   .equ 64
NSP   .equ 64
NTIB  .equ 80
NPAD  .equ 80
ECOMP .equ $40
EIMED .equ $80
NVOCS .equ 8
NDUMP .equ 16
ECR   .equ 13
ELF   .equ 10
EBS   .equ 8
EBL   .equ 32
ETIB  .equ MEME-NTIB
ESPP  .equ ETIB
ERP   .equ ESPP-NSP*CELL1
EUP   .equ ERP-NRP*CELL1

EBEQ  .equ $F0
EBNE  .equ $D0
EJSR  .equ $20
EJMP  .equ $4C
ELDY  .equ $A0
ELDA  .equ $A9
EPHA  .equ $48
EPLA  .equ $68
EPHY  .equ $5A
EPLY  .equ $7A
ERTS  .equ $60
ETYA  .equ $98
ETAY  .equ $A8
ETCS  .equ $1B
ETSC  .equ $3B

      .org MEMB

PG    .equ 0
N     .equ 0

RESET:
      JMP VCOLD
VERSI .byte $16
      .byte $65,$46,$6F,$72,$74,$68,$20,$36,$35,$6F,$72,$67,$31,$36,$20,$53,$54,$43,$20,$30,$2E,$31 ; "eForth 65org16 STC 0.1"
COPYR .byte $34
      .byte $43,$6F,$70,$79,$72,$69,$67,$68,$74,$20,$31,$39,$38,$39,$2D,$31,$39,$39,$39,$20,$42,$69,$6C,$6C,$20,$4D,$75,$65,$6E,$63,$68,$20,$41,$6C,$6C,$20,$72,$69,$67,$68,$74,$73,$20,$72,$65,$73,$65,$72,$76,$65,$64,$2E ; "Copyright 1989-1999 Bill Muench All rights reserved."
      .byte 0
L000  .byte $07
      .byte $45,$58,$45,$43,$55,$54,$45 ; "EXECUTE"
      .byte 0
EXECU LDA 0,X
      INX
      .byte $85,EXEC1+1
EXEC1 JMP PG
      .byte L000
L001  .byte $04
      .byte $5F,$4C,$49,$54 ; "_LIT"
      .byte ECOMP
ULIT  DEX
      STA 0,X
      RTS
      .byte L001
L002  .byte $03
      .byte $5F,$49,$46 ; "_IF"
      .byte ECOMP
PULL:
UIF   LDA 0,X
      INX
      TAY
      RTS
      .byte L002
L003  .byte $02
      .byte $43,$21 ; "C!"
      .byte 0
CSTOR LDY 0,X
      INX
      LDA 0,X
      STA PG,Y
      INX
      RTS
      .byte L003
L004  .byte $02
      .byte $43,$40 ; "C@"
      .byte 0
CAT   LDA #0
      LDY 0,X
      LDA PG,Y
      STA 0,X
      RTS
      .byte L004
L005  .byte $01
      .byte $21 ; "!"
      .byte 0
STORE LDY 0,X
      INX
      LDA 0,X
      STA PG,Y
      INX
      RTS
      .byte L005
L006  .byte $01
      .byte $40 ; "@"
      .byte 0
ATT   LDY 0,X
      LDA PG,Y
      STA 0,X
      RTS
      .byte L006
L007  .byte $03
      .byte $52,$50,$40 ; "RP@"
      .byte 0
RPAT  STX N
      TSX
      INX
      INX
      INX
      TXA
      LDX N
      DEX
      STA 0,X
      RTS
      .byte L007
L008  .byte $03
      .byte $52,$50,$21 ; "RP!"
      .byte ECOMP
RPSTO LDA 0,X
      INX
      STX N
      TAX
      DEX
      PLA
      TAY
      PLA
      TXS
      LDX N
      PHA
      TYA
      PHA
      RTS
      .byte L008
L009  .byte $03
      .byte $53,$50,$40 ; "SP@"
      .byte 0
SPAT  TXA
      DEX
      STA 0,X
      RTS
      .byte L009
L010  .byte $03
      .byte $53,$50,$21 ; "SP!"
      .byte 0
SPSTO LDA 0,X
      TAX
      RTS
      .byte L010
L011  .byte $04
      .byte $44,$52,$4F,$50 ; "DROP"
      .byte 0
DROP  INX
      RTS
      .byte L011
L012  .byte $04
      .byte $53,$57,$41,$50 ; "SWAP"
      .byte 0
SWAP  LDA 0,X
      LDY CELL1,X
      STY 0,X
      STA CELL1,X
      RTS
      .byte L012
L013  .byte $03
      .byte $44,$55,$50 ; "DUP"
      .byte 0
DUP   LDA 0,X
      DEX
      STA 0,X
      RTS
      .byte L013
L014  .byte $04
      .byte $4F,$56,$45,$52 ; "OVER"
      .byte 0
OVER  LDA CELL1,X
      DEX
      STA 0,X
      RTS
      .byte L014
L015  .byte $05
      .byte $43,$48,$41,$52,$2D ; "CHAR-"
      .byte 0
CHARM DEC 0,X
      RTS
      .byte L015
L016  .byte $05
      .byte $43,$48,$41,$52,$2B ; "CHAR+"
      .byte 0
CHARP INC 0,X
      RTS
      .byte L016
L017  .byte $05
      .byte $43,$48,$41,$52,$53 ; "CHARS"
      .byte EIMED
CHARS RTS
      .byte L017
L018  .byte $05
      .byte $43,$45,$4C,$4C,$2D ; "CELL-"
      .byte 0
CELLM DEC 0,X
      RTS
      .byte L018
L019  .byte $05
      .byte $43,$45,$4C,$4C,$2B ; "CELL+"
      .byte 0
CELLP INC 0,X
      RTS
      .byte L019
L020  .byte $05
      .byte $43,$45,$4C,$4C,$53 ; "CELLS"
      .byte 0
CELLS:
      RTS
      .byte L020
L021  .byte $02
      .byte $30,$3C ; "0<"
      .byte 0
ZLESS LDY #0
      LDA 0,X
      BPL ZLES1
      DEY
ZLES1 STY 0,X
      RTS
      .byte L021
L022  .byte $03
      .byte $41,$4E,$44 ; "AND"
      .byte 0
ANDD  LDA 0,X
      INX
      AND 0,X
      STA 0,X
      RTS
      .byte L022
L023  .byte $02
      .byte $4F,$52 ; "OR"
      .byte 0
ORR   LDA 0,X
      INX
      ORA 0,X
      STA 0,X
      RTS
      .byte L023
L024  .byte $03
      .byte $58,$4F,$52 ; "XOR"
      .byte 0
XORR  LDA 0,X
      INX
      EOR 0,X
      STA 0,X
      RTS
      .byte L024
L025  .byte $03
      .byte $55,$4D,$2B ; "UM+"
      .byte 0
UMPLU CLC
      LDA 0,X
      ADC CELL1,X
      STA CELL1,X
      LDA #0
      ROL
      STA 0,X
      RTS
      .byte L025
L026  .byte $03
      .byte $21,$49,$4F ; "!IO"
      .byte 0
STOIO LDA 0,X
      INX
      JMP INIIO
      .byte L026
L027  .byte $03
      .byte $3F,$52,$58 ; "?RX"
      .byte 0
QRX   JSR INPUT
      LDY #0
      BCS QRX1
      DEX
      STA 0,X
      DEY
QRX1  DEX
      STY 0,X
      RTS
      .byte L027
L028  .byte $03
      .byte $54,$58,$21 ; "TX!"
      .byte 0
TXSTO LDA 0,X
      INX
      JMP OUTPT
XFER  LDY 0,X
      LDA PG,Y
      .byte $85,XFER1+1
      INX
      INY
      TYA
      PHA
XFER1 JMP PG
      .byte L028
L029  .byte $02
      .byte $4C,$21 ; "L!"
      .byte 0
LSTOR LDA 0,X
      LDY CELL1,X
      STY 0,X
      STA CELL1,X
      LDA 2*CELL1,X
      STA (0,X)
      INX
      INX
      INX
      RTS
      .byte L029
L030  .byte $02
      .byte $4C,$40 ; "L@"
      .byte 0
LAT   LDA 0,X
      LDY CELL1,X
      STY 0,X
      STA CELL1,X
      LDA (0,X)
      INX
      STA 0,X
      RTS
      .byte L030
L031  .byte $04
      .byte $4E,$4F,$4F,$50 ; "NOOP"
      .byte 0
NOOP:
      RTS
      .byte L031
L032  .byte $04
      .byte $5F,$56,$41,$52 ; "_VAR"
      .byte ECOMP
UVAR:
      PLA
      JSR ULIT
      PLA
      INC 0,X
      RTS
      .byte L032
L033  .byte $04
      .byte $5F,$43,$4F,$4E ; "_CON"
      .byte ECOMP
UCON:
      PLA
      JSR ULIT
      PLA
      INC 0,X
      JMP ATT
      .byte L033
L034  .byte $05
      .byte $27,$3F,$4B,$45,$59 ; "'?KEY"
      .byte 0
TQKEY:
      JSR UVAR
      .byte QRX
      .byte L034
L035  .byte $05
      .byte $27,$45,$4D,$49,$54 ; "'EMIT"
      .byte 0
TEMIT:
      JSR UVAR
      .byte TXSTO
      .byte L035
L036  .byte $04
      .byte $42,$41,$53,$45 ; "BASE"
      .byte 0
BASE:
      JSR UVAR
      .byte 0
      .byte L036
L037  .byte $03
      .byte $44,$50,$4C ; "DPL"
      .byte 0
DPL:
      JSR UVAR
      .byte 0
      .byte L037
L038  .byte $03
      .byte $48,$4C,$44 ; "HLD"
      .byte 0
HLD:
      JSR UVAR
      .byte 0
      .byte L038
L039  .byte $03
      .byte $3E,$49,$4E ; ">IN"
      .byte 0
TOIN:
      JSR UVAR
      .byte 0
      .byte L039
L040  .byte $03
      .byte $23,$49,$4E ; "#IN"
      .byte 0
NIN:
      JSR UVAR
      .byte 0
      .byte 0
      .byte L040
L041  .byte $03
      .byte $43,$53,$50 ; "CSP"
      .byte 0
CSP:
      JSR UVAR
      .byte 0
      .byte L041
L042  .byte $05
      .byte $53,$54,$41,$54,$45 ; "STATE"
      .byte 0
STATE:
      JSR UVAR
      .byte 0
      .byte 0
      .byte L042
L043  .byte $02
      .byte $44,$50 ; "DP"
      .byte 0
DP:
      JSR UVAR
      .byte HERE0
      .byte 0
      .byte L043
L044  .byte $03
      .byte $53,$55,$50 ; "SUP"
      .byte 0
SUP:
      JSR UVAR
SUP1  .byte EUP
      .byte ERP
      .byte ESPP
      .byte L044
L045  .byte $02
      .byte $42,$4C ; "BL"
      .byte 0
BLL:
      JSR UCON
      .byte EBL
      .byte L045
L046  .byte $03
      .byte $48,$45,$58 ; "HEX"
      .byte 0
HEXX:
      LDA #$10
      JSR ULIT
      JSR BASE
      JMP STORE
      .byte L046
L047  .byte $07
      .byte $44,$45,$43,$49,$4D,$41,$4C ; "DECIMAL"
      .byte 0
DECIM:
      LDA #$0A
      JSR ULIT
      JSR BASE
      JMP STORE
      .byte L047
L048  .byte $03
      .byte $52,$4F,$54 ; "ROT"
      .byte 0
ROT:
      JSR PULL
      PHA
      JSR SWAP
      PLA
      JSR ULIT
      JMP SWAP
      .byte L048
L049  .byte $03
      .byte $4E,$49,$50 ; "NIP"
      .byte 0
NIP:
      JSR SWAP
      INX
      RTS
      .byte L049
L050  .byte $05
      .byte $32,$44,$52,$4F,$50 ; "2DROP"
      .byte 0
TDROP:
      INX
      INX
      RTS
      .byte L050
L051  .byte $04
      .byte $32,$44,$55,$50 ; "2DUP"
      .byte 0
TDUP:
      JSR OVER
      JMP OVER
      .byte L051
L052  .byte $04
      .byte $3F,$44,$55,$50 ; "?DUP"
      .byte 0
QDUP:
      JSR DUP
      JSR UIF
      BEQ QDUP1
      JMP DUP
QDUP1 RTS
      .byte L052
L053  .byte $01
      .byte $2B ; "+"
      .byte 0
PLUS:
      JSR UMPLU
      INX
      RTS
      .byte L053
L054  .byte $02
      .byte $44,$2B ; "D+"
      .byte 0
DPLUS:
      JSR PULL
      PHA
      JSR SWAP
      JSR PULL
      PHA
      JSR UMPLU
      PLA
      JSR ULIT
      JSR PLUS
      PLA
      JSR ULIT
      JMP PLUS
      .byte L054
L055  .byte $06
      .byte $49,$4E,$56,$45,$52,$54 ; "INVERT"
      .byte 0
INVER:
      LDA #$FFFF
      JSR ULIT
      JMP XORR
      .byte L055
L056  .byte $06
      .byte $4E,$45,$47,$41,$54,$45 ; "NEGATE"
      .byte 0
NEGAT:
      JSR INVER
      LDA #$01
      JSR ULIT
      JMP PLUS
      .byte L056
L057  .byte $07
      .byte $44,$4E,$45,$47,$41,$54,$45 ; "DNEGATE"
      .byte 0
DNEGA:
      JSR INVER
      JSR PULL
      PHA
      JSR INVER
      LDA #$01
      JSR ULIT
      JSR UMPLU
      PLA
      JSR ULIT
      JMP PLUS
      .byte L057
L058  .byte $03
      .byte $53,$3E,$44 ; "S>D"
      .byte 0
STOD:
      JSR DUP
      JMP ZLESS
      .byte L058
L059  .byte $03
      .byte $41,$42,$53 ; "ABS"
      .byte 0
ABSS:
      JSR DUP
      JSR ZLESS
      JSR UIF
      BEQ ABS1
      JMP NEGAT
ABS1  RTS
      .byte L059
L060  .byte $04
      .byte $44,$41,$42,$53 ; "DABS"
      .byte 0
DABS:
      JSR DUP
      JSR ZLESS
      JSR UIF
      BEQ DABS1
      JMP DNEGA
DABS1 RTS
      .byte L060
L061  .byte $01
      .byte $2D ; "-"
      .byte 0
MINUS:
      JSR NEGAT
      JMP PLUS
      .byte L061
L062  .byte $04
      .byte $50,$49,$43,$4B ; "PICK"
      .byte 0
PICK:
      JSR QDUP
      JSR UIF
      BEQ PICK1
      JSR SWAP
      JSR PULL
      PHA
      LDA #$01
      JSR ULIT
      JSR MINUS
      JSR PICK
      PLA
      JSR ULIT
      JMP SWAP
PICK1 JMP DUP
      .byte L062
L063  .byte $02
      .byte $30,$3D ; "0="
      .byte 0
ZEQ:
      JSR UIF
      BEQ ZEQ1
      LDA #0
      JMP ULIT
ZEQ1  LDA #$FFFF
      JMP ULIT
      .byte L063
L064  .byte $01
      .byte $3D ; "="
      .byte 0
EQUAL:
      JSR XORR
      JMP ZEQ
      .byte L064
L065  .byte $02
      .byte $55,$3C ; "U<"
      .byte 0
ULESS:
      JSR TDUP
      JSR XORR
      JSR ZLESS
      JSR UIF
      BEQ ULES1
      JSR NIP
      JMP ZLESS
ULES1 JSR MINUS
      JMP ZLESS
      .byte L065
L066  .byte $01
      .byte $3C ; "<"
      .byte 0
LESS:
      JSR TDUP
      JSR XORR
      JSR ZLESS
      JSR UIF
      BEQ LESS1
      INX
      JMP ZLESS
LESS1 JSR MINUS
      JMP ZLESS
      .byte L066
L067  .byte $03
      .byte $4D,$41,$58 ; "MAX"
      .byte 0
MAX:
      JSR TDUP
      JSR LESS
      JSR UIF
      BEQ MAX1
      JSR SWAP
MAX1  INX
      RTS
      .byte L067
L068  .byte $03
      .byte $4D,$49,$4E ; "MIN"
      .byte 0
MIN:
      JSR TDUP
      JSR SWAP
      JSR LESS
      JSR UIF
      BEQ MIN1
      JSR SWAP
MIN1  INX
      RTS
      .byte L068
L069  .byte $06
      .byte $57,$49,$54,$48,$49,$4E ; "WITHIN"
      .byte 0
WITHI:
      JSR OVER
      JSR MINUS
      JSR PULL
      PHA
      JSR MINUS
      PLA
      JSR ULIT
      JMP ULESS
      .byte L069
L070  .byte $06
      .byte $4C,$53,$48,$49,$46,$54 ; "LSHIFT"
      .byte 0
LSHIF:
LSHI1 JSR DUP
      JSR UIF
      BEQ LSHI2
      JSR PULL
      PHA
      JSR DUP
      JSR PLUS
      PLA
      JSR ULIT
      LDA #$01
      JSR ULIT
      JSR MINUS
      JMP LSHI1
LSHI2 INX
      RTS
      .byte L070
L071  .byte $03
      .byte $55,$4D,$2A ; "UM*"
      .byte 0
UMSTA:
      LDA #0
      JSR ULIT
      JSR SWAP
      LDA #NBITS
      JSR ULIT
UMST1 JSR DUP
      JSR UIF
      BEQ UMST3
      JSR PULL
      PHA
      JSR DUP
      JSR UMPLU
      JSR PULL
      PHA
      JSR PULL
      PHA
      JSR DUP
      JSR UMPLU
      PLA
      JSR ULIT
      JSR PLUS
      PLA
      JSR ULIT
      JSR UIF
      BEQ UMST2
      JSR PULL
      PHA
      JSR OVER
      JSR UMPLU
      PLA
      JSR ULIT
      JSR PLUS
UMST2 PLA
      JSR ULIT
      LDA #$01
      JSR ULIT
      JSR MINUS
      JMP UMST1
UMST3 INX
      JSR PULL
      PHA
      JSR NIP
      PLA
      JMP ULIT
      .byte L071
L072  .byte $01
      .byte $2A ; "*"
      .byte 0
STAR:
      JSR UMSTA
      INX
      RTS
      .byte L072
L073  .byte $06
      .byte $52,$53,$48,$49,$46,$54 ; "RSHIFT"
      .byte 0
RSHIF:
      LDA #0
      JSR ULIT
      JSR SWAP
      LDA #NBITS
      JSR ULIT
      JSR SWAP
      JSR MINUS
RSHI1 JSR DUP
      JSR UIF
      BEQ RSHI2
      JSR PULL
      PHA
      JSR TDUP
      JSR DPLUS
      PLA
      JSR ULIT
      LDA #$01
      JSR ULIT
      JSR MINUS
      JMP RSHI1
RSHI2 INX
      JMP NIP
      .byte L073
L074  .byte $06
      .byte $55,$4D,$2F,$4D,$4F,$44 ; "UM/MOD"
      .byte 0
UMMOD:
      JSR TDUP
      JSR ULESS
      JSR UIF
      BEQ UMMO5
      JSR NEGAT
      LDA #NBITS
      JSR ULIT
UMMO1 JSR DUP
      JSR UIF
      BEQ UMMO4
      JSR PULL
      PHA
      JSR PULL
      PHA
      JSR DUP
      JSR UMPLU
      JSR PULL
      PHA
      JSR PULL
      PHA
      JSR DUP
      JSR UMPLU
      PLA
      JSR ULIT
      JSR PLUS
      JSR DUP
      PLA
      JSR ULIT
      PLA
      PHA
      JSR ULIT
      JSR SWAP
      JSR PULL
      PHA
      JSR UMPLU
      PLA
      JSR ULIT
      JSR ORR
      JSR UIF
      BEQ UMMO2
      JSR PULL
      PHA
      INX
      LDA #$01
      JSR ULIT
      JSR PLUS
      PLA
      JSR ULIT
      JMP UMMO3
UMMO2 INX
UMMO3 PLA
      JSR ULIT
      PLA
      JSR ULIT
      LDA #$01
      JSR ULIT
      JSR MINUS
      JMP UMMO1
UMMO4 INX
      INX
      JMP SWAP
UMMO5 INX
      INX
      INX
      LDA #$FFFF
      JSR ULIT
      JMP DUP
      .byte L074
L075  .byte $06
      .byte $53,$4D,$2F,$52,$45,$4D ; "SM/REM"
      .byte 0
SMREM:
      JSR OVER
      JSR PULL
      PHA
      JSR PULL
      PHA
      JSR DABS
      PLA
      PHA
      JSR ULIT
      JSR ABSS
      JSR UMMOD
      PLA
      JSR ULIT
      PLA
      PHA
      JSR ULIT
      JSR XORR
      JSR ZLESS
      JSR UIF
      BEQ SMRE1
      JSR NEGAT
SMRE1 PLA
      JSR ULIT
      JSR ZLESS
      JSR UIF
      BEQ SMRE2
      JSR PULL
      PHA
      JSR NEGAT
      PLA
      JMP ULIT
SMRE2 RTS
      .byte L075
L076  .byte $06
      .byte $46,$4D,$2F,$4D,$4F,$44 ; "FM/MOD"
      .byte 0
FMMOD:
      JSR DUP
      JSR ZLESS
      JSR DUP
      JSR PULL
      PHA
      JSR UIF
      BEQ FMMO1
      JSR NEGAT
      JSR PULL
      PHA
      JSR DNEGA
      PLA
      JSR ULIT
FMMO1 JSR PULL
      PHA
      JSR DUP
      JSR ZLESS
      JSR UIF
      BEQ FMMO2
      PLA
      PHA
      JSR ULIT
      JSR PLUS
FMMO2 PLA
      JSR ULIT
      JSR UMMOD
      PLA
      JSR ULIT
      JSR UIF
      BEQ FMMO3
      JSR PULL
      PHA
      JSR NEGAT
      PLA
      JMP ULIT
FMMO3 RTS
      .byte L076
L077  .byte $04
      .byte $2F,$4D,$4F,$44 ; "/MOD"
      .byte 0
SMOD:
      JSR OVER
      JSR ZLESS
      JSR SWAP
      JMP FMMOD
      .byte L077
L078  .byte $03
      .byte $4D,$4F,$44 ; "MOD"
      .byte 0
MODD:
      JSR SMOD
      INX
      RTS
      .byte L078
L079  .byte $01
      .byte $2F ; "/"
      .byte 0
SLASH:
      JSR SMOD
      JMP NIP
      .byte L079
L080  .byte $02
      .byte $2B,$21 ; "+!"
      .byte 0
PLUST:
      JSR DUP
      JSR PULL
      PHA
      JSR ATT
      JSR PLUS
      PLA
      JSR ULIT
      JMP STORE
      .byte L080
L081  .byte $05
      .byte $43,$4F,$55,$4E,$54 ; "COUNT"
      .byte 0
COUNT:
      JSR DUP
      INC 0,X
      JSR SWAP
      JMP CAT
      .byte L081
L082  .byte $06
      .byte $42,$4F,$55,$4E,$44,$53 ; "BOUNDS"
      .byte 0
BNDS:
      JSR OVER
      JSR PLUS
      JMP SWAP
      .byte L082
L083  .byte $07
      .byte $2F,$53,$54,$52,$49,$4E,$47 ; "/STRING"
      .byte 0
SSTRI:
      JSR DUP
      JSR PULL
      PHA
      JSR MINUS
      JSR SWAP
      PLA
      JSR ULIT
      JSR PLUS
      JMP SWAP
      .byte L083
L084  .byte $07
      .byte $41,$4C,$49,$47,$4E,$45,$44 ; "ALIGNED"
      .byte EIMED
ALGND:
      RTS
      .byte L084
L085  .byte $02
      .byte $32,$21 ; "2!"
      .byte 0
TSTOR:
      JSR SWAP
      JSR OVER
      JSR STORE
      INC 0,X
      JMP STORE
      .byte L085
L086  .byte $02
      .byte $32,$40 ; "2@"
      .byte 0
TAT:
      JSR DUP
      INC 0,X
      JSR ATT
      JSR SWAP
      JMP ATT
      .byte L086
L087  .byte $04
      .byte $4D,$4F,$56,$45 ; "MOVE"
      .byte 0
MOVE:
      JSR PULL
      PHA
      JSR TDUP
      JSR ULESS
      JSR UIF
      BEQ MOVE3
MOVE1 PLA
      JSR ULIT
      JSR DUP
      JSR UIF
      BEQ MOVE2
      DEC 0,X
      JSR PULL
      PHA
      JSR OVER
      PLA
      PHA
      JSR ULIT
      JSR PLUS
      JSR CAT
      JSR OVER
      PLA
      PHA
      JSR ULIT
      JSR PLUS
      JSR CSTOR
      JMP MOVE1
MOVE2 INX
      INX
      INX
      RTS
MOVE3 PLA
      JSR ULIT
      JSR OVER
      JSR PLUS
      JSR PULL
      PHA
MOVE4 JSR DUP
      PLA
      PHA
      JSR ULIT
      JSR XORR
      JSR UIF
      BEQ MOVE5
      JSR PULL
      PHA
      JSR DUP
      JSR CAT
      PLA
      PHA
      JSR ULIT
      JSR CSTOR
      INC 0,X
      PLA
      JSR ULIT
      INC 0,X
      JMP MOVE4
MOVE5 PLA
      JSR ULIT
      INX
      INX
      INX
      RTS
      .byte L087
L088  .byte $04
      .byte $46,$49,$4C,$4C ; "FILL"
      .byte 0
FILLL:
      JSR PULL
      PHA
      JSR BNDS
FILL1 JSR TDUP
      JSR XORR
      JSR UIF
      BEQ FILL2
      PLA
      PHA
      JSR ULIT
      JSR OVER
      JSR CSTOR
      INC 0,X
      JMP FILL1
FILL2 PLA
      JSR ULIT
      INX
      INX
      INX
      RTS
      .byte L088
L089  .byte $09
      .byte $2D,$54,$52,$41,$49,$4C,$49,$4E,$47 ; "-TRAILING"
      .byte 0
DTRAI:
DTRA1 JSR DUP
      JSR UIF
      BEQ DTRA2
      LDA #$01
      JSR ULIT
      JSR MINUS
      JSR TDUP
      JSR PLUS
      JSR CAT
      JSR BLL
      JSR SWAP
      JSR ULESS
      JSR UIF
      BEQ DTRA1
      LDA #$01
      JSR ULIT
      JMP PLUS
DTRA2 RTS
      .byte L089
L090  .byte $04
      .byte $3E,$41,$44,$52 ; ">ADR"
      .byte 0
TADR:
      RTS
      .byte L090
L091  .byte $05
      .byte $3E,$42,$4F,$44,$59 ; ">BODY"
      .byte 0
TBODY:
      INC 0,X
      INC 0,X
      RTS
      .byte L091
L092  .byte $02
      .byte $55,$50 ; "UP"
      .byte 0
UP:
      JSR UVAR
      .byte 0
      .byte L092
L093  .byte $04
      .byte $5F,$55,$53,$52 ; "_USR"
      .byte ECOMP
UUSR:
      JSR UP
      JSR ATT
      PLA
      JSR ULIT
      PLA
      INC 0,X
      JSR ATT
      JMP PLUS
      .byte L093
L094  .byte $08
      .byte $46,$4F,$4C,$4C,$4F,$57,$45,$52 ; "FOLLOWER"
      .byte 0
FOLLO:
      JSR UUSR
      .byte 0
      .byte L094
L095  .byte $06
      .byte $53,$54,$41,$54,$55,$53 ; "STATUS"
      .byte 0
STATU:
      JSR UUSR
      .byte 0-CELL1
      .byte L095
L096  .byte $03
      .byte $54,$4F,$53 ; "TOS"
      .byte 0
TOS:
      JSR UUSR
      .byte 0-2*CELL1
      .byte L096
L097  .byte $03
      .byte $54,$49,$44 ; "TID"
      .byte 0
TID:
      JSR UUSR
      .byte 0-3*CELL1
      .byte L097
L098  .byte $02
      .byte $54,$46 ; "TF"
      .byte 0
TF:
      JSR UUSR
      .byte 0-4*CELL1
      .byte L098
L099  .byte $02
      .byte $55,$31 ; "U1"
      .byte 0
U1:
      JSR UUSR
      .byte 0-5*CELL1
      .byte L099
L100  .byte $02
      .byte $27,$53 ; "'S"
      .byte 0
TICKS:
      JSR FOLLO
      INC 0,X
      JSR MINUS
      JSR SWAP
      JSR ATT
      JMP PLUS
      .byte L100
L101  .byte $05
      .byte $5F,$50,$41,$53,$53 ; "_PASS"
      .byte ECOMP
UPASS:
      PLA
      JSR ULIT
      JSR ATT
      JMP XFER
      .byte L101
L102  .byte $04
      .byte $50,$41,$53,$53 ; "PASS"
      .byte 0
PASS:
      JSR UCON
      .byte UPASS
      .byte L102
L103  .byte $05
      .byte $5F,$57,$41,$4B,$45 ; "_WAKE"
      .byte ECOMP
UWAKE:
      PLA
      JSR ULIT
      JSR UP
      JSR STORE
      JSR TOS
      JSR ATT
      LDA 0,X
      TAX
      JSR RPSTO
      RTS
      .byte L103
L104  .byte $04
      .byte $57,$41,$4B,$45 ; "WAKE"
      .byte 0
WAKE:
      JSR UCON
      .byte UWAKE
      .byte L104
L105  .byte $05
      .byte $50,$41,$55,$53,$45 ; "PAUSE"
      .byte 0
PAUS:
      JSR RPAT
      JSR SPAT
      JSR TOS
      JSR STORE
      JSR FOLLO
      JSR ATT
      JMP XFER
      .byte L105
L106  .byte $04
      .byte $53,$54,$4F,$50 ; "STOP"
      .byte ECOMP
STOP:
      JSR PASS
      JSR STATU
      JSR STORE
      JMP PAUS
      .byte L106
L107  .byte $03
      .byte $47,$45,$54 ; "GET"
      .byte 0
GET:
      JSR PAUS
      JSR DUP
      JSR ATT
      JSR STATU
      JSR XORR
      JSR UIF
      BEQ GET3
GET1  JSR DUP
      JSR ATT
      JSR UIF
      BEQ GET2
      JSR PAUS
      JMP GET1
GET2  JSR STATU
      JSR SWAP
      JMP STORE
GET3  INX
      RTS
      .byte L107
L108  .byte $07
      .byte $52,$45,$4C,$45,$41,$53,$45 ; "RELEASE"
      .byte 0
RELEA:
      JSR DUP
      JSR ATT
      JSR STATU
      JSR XORR
      JSR UIF
      BEQ RELE1
      INX
      RTS
RELE1 LDA #0
      JSR ULIT
      JSR SWAP
      JMP STORE
      .byte L108
L109  .byte $05
      .byte $53,$4C,$45,$45,$50 ; "SLEEP"
      .byte 0
SLEEP:
      JSR PASS
      JSR SWAP
      JSR STATU
      JSR TICKS
      JMP STORE
      .byte L109
L110  .byte $05
      .byte $41,$57,$41,$4B,$45 ; "AWAKE"
      .byte 0
AWAKE:
      JSR WAKE
      JSR SWAP
      JSR STATU
      JSR TICKS
      JMP STORE
      .byte L110
L111  .byte $08
      .byte $41,$43,$54,$49,$56,$41,$54,$45 ; "ACTIVATE"
      .byte ECOMP
ACTIV:
      JSR DUP
      INC 0,X
      JSR TAT
      JSR SWAP
      DEC 0,X
      JSR SWAP
      DEC 0,X
      PLA
      JSR ULIT
      PLA
      JSR OVER
      LDA #1
      JSR ULIT
      JSR LSTOR
      JSR OVER
      JSR STORE
      JSR OVER
      JSR TOS
      JSR TICKS
      JSR STORE
      JMP AWAKE
      .byte L111
L112  .byte $05
      .byte $42,$55,$49,$4C,$44 ; "BUILD"
      .byte 0
BUILD:
      JSR DUP
      JSR SLEEP
      JSR FOLLO
      JSR ATT
      JSR OVER
      JSR FOLLO
      JSR TICKS
      JSR STORE
      JSR DUP
      JSR STATU
      JSR TICKS
      JSR FOLLO
      JSR STORE
      JSR DUP
      JSR TID
      JSR TICKS
      JMP STORE
      .byte L112
L113  .byte $06
      .byte $44,$49,$47,$49,$54,$3F ; "DIGIT?"
      .byte 0
DIGQ:
      JSR PULL
      PHA
      LDA #'0'
      JSR ULIT
      JSR MINUS
      LDA #$09
      JSR ULIT
      JSR OVER
      JSR LESS
      JSR UIF
      BEQ DIGQ1
      LDA #$07
      JSR ULIT
      JSR MINUS
      JSR DUP
      LDA #$0A
      JSR ULIT
      JSR LESS
      JSR ORR
DIGQ1 JSR DUP
      PLA
      JSR ULIT
      JMP ULESS
      .byte L113
L114  .byte $07
      .byte $3E,$4E,$55,$4D,$42,$45,$52 ; ">NUMBER"
      .byte 0
TNUMB:
TNUM1 JSR DUP
      JSR UIF
      BEQ TNUM3
      JSR PULL
      PHA
      JSR DUP
      JSR PULL
      PHA
      JSR CAT
      JSR BASE
      JSR ATT
      JSR DIGQ
      JSR UIF
      BEQ TNUM2
      JSR SWAP
      JSR BASE
      JSR ATT
      JSR UMSTA
      INX
      JSR ROT
      JSR BASE
      JSR ATT
      JSR UMSTA
      JSR DPLUS
      PLA
      JSR ULIT
      INC 0,X
      PLA
      JSR ULIT
      LDA #$01
      JSR ULIT
      JSR MINUS
      JMP TNUM1
TNUM2 INX
      PLA
      JSR ULIT
      PLA
      JMP ULIT
TNUM3 RTS
      .byte L114
L115  .byte $07
      .byte $4E,$55,$4D,$42,$45,$52,$3F ; "NUMBER?"
      .byte 0
NUMQ:
      JSR OVER
      JSR CAT
      LDA #'-'
      JSR ULIT
      JSR EQUAL
      JSR DUP
      JSR PULL
      PHA
      JSR UIF
      BEQ NUMQ1
      LDA #$01
      JSR ULIT
      JSR SSTRI
NUMQ1 JSR PULL
      PHA
      JSR PULL
      PHA
      LDA #0
      JSR ULIT
      JSR DUP
      PLA
      JSR ULIT
      PLA
      JSR ULIT
      LDA #(0-$01)
      JSR ULIT
      JSR DPL
      JSR STORE
NUMQ2 JSR TNUMB
      JSR DUP
      JSR UIF
      BEQ NUMQ4
      JSR OVER
      JSR CAT
      LDA #'.'
      JSR ULIT
      JSR XORR
      JSR UIF
      BEQ NUMQ3
      JSR ROT
      INX
      JSR ROT
      PLA
      JSR ULIT
      INX
      INX
      LDA #0
      JMP ULIT
NUMQ3 LDA #$01
      JSR ULIT
      JSR MINUS
      JSR DPL
      JSR STORE
      INC 0,X
      JSR DPL
      JSR ATT
      JMP NUMQ2
NUMQ4 INX
      INX
      PLA
      JSR ULIT
      JSR UIF
      BEQ NUMQ5
      JSR DNEGA
NUMQ5 LDA #$FFFF
      JMP ULIT
      .byte L115
L116  .byte $04
      .byte $48,$45,$52,$45 ; "HERE"
      .byte 0
HERE:
      JSR DP
      JMP ATT
      .byte L116
L117  .byte $03
      .byte $50,$41,$44 ; "PAD"
      .byte 0
PAD:
      JSR HERE
      LDA #NPAD
      JSR ULIT
      JMP PLUS
      .byte L117
L118  .byte $02
      .byte $3C,$23 ; "<#"
      .byte 0
BDIGS:
      JSR PAD
      JSR HLD
      JMP STORE
      .byte L118
L119  .byte $05
      .byte $44,$49,$47,$49,$54 ; "DIGIT"
      .byte 0
DIGIT:
      LDA #$09
      JSR ULIT
      JSR OVER
      JSR LESS
      LDA #$07
      JSR ULIT
      JSR ANDD
      JSR PLUS
      LDA #'0'
      JSR ULIT
      JMP PLUS
      .byte L119
L120  .byte $04
      .byte $48,$4F,$4C,$44 ; "HOLD"
      .byte 0
HOLD:
      JSR HLD
      JSR ATT
      DEC 0,X
      JSR DUP
      JSR HLD
      JSR STORE
      JMP CSTOR
      .byte L120
L121  .byte $01
      .byte $23 ; "#"
      .byte 0
NDIG:
      LDA #0
      JSR ULIT
      JSR BASE
      JSR ATT
      JSR UMMOD
      JSR PULL
      PHA
      JSR BASE
      JSR ATT
      JSR UMMOD
      JSR SWAP
      JSR DIGIT
      JSR HOLD
      PLA
      JMP ULIT
      .byte L121
L122  .byte $02
      .byte $23,$53 ; "#S"
      .byte 0
DIGS:
DIGS1 JSR NDIG
      JSR TDUP
      JSR ORR
      JSR ZEQ
      JSR UIF
      BEQ DIGS1
      RTS
      .byte L122
L123  .byte $02
      .byte $23,$3E ; "#>"
      .byte 0
EDIGS:
      INX
      INX
      JSR HLD
      JSR ATT
      JSR PAD
      JSR OVER
      JMP MINUS
      .byte L123
L124  .byte $04
      .byte $53,$49,$47,$4E ; "SIGN"
      .byte 0
SIGN:
      JSR ZLESS
      JSR UIF
      BEQ SIGN1
      LDA #'-'
      JSR ULIT
      JMP HOLD
SIGN1 RTS
      .byte L124
L125  .byte $05
      .byte $43,$41,$54,$43,$48 ; "CATCH"
      .byte 0
CATCH:
      JSR SPAT
      JSR PULL
      PHA
      JSR TF
      JSR ATT
      JSR PULL
      PHA
      JSR RPAT
      JSR TF
      JSR STORE
      JSR EXECU
      PLA
      JSR ULIT
      JSR TF
      JSR STORE
      PLA
      JSR ULIT
      INX
      LDA #0
      JMP ULIT
      .byte L125
L126  .byte $05
      .byte $54,$48,$52,$4F,$57 ; "THROW"
      .byte 0
THROW:
      JSR QDUP
      JSR UIF
      BEQ THRO1
      JSR TF
      JSR ATT
      JSR RPSTO
      PLA
      JSR ULIT
      JSR TF
      JSR STORE
      PLA
      JSR ULIT
      JSR SWAP
      JSR PULL
      PHA
      LDA 0,X
      TAX
      INX
      PLA
      JMP ULIT
THRO1 RTS
      .byte L126
L127  .byte $05
      .byte $41,$42,$4F,$52,$54 ; "ABORT"
      .byte 0
ABORT:
      LDA #(0-$01)
      JSR ULIT
      JMP THROW
      .byte L127
L128  .byte $04
      .byte $3F,$4B,$45,$59 ; "?KEY"
      .byte 0
QKEY:
      JSR PAUS
      JSR TQKEY
      JSR ATT
      JMP EXECU
      .byte L128
L129  .byte $03
      .byte $4B,$45,$59 ; "KEY"
      .byte 0
KEY:
KEY1  JSR QKEY
      JSR UIF
      BEQ KEY1
      RTS
      .byte L129
L130  .byte $04
      .byte $4E,$55,$46,$3F ; "NUF?"
      .byte 0
NUFQ:
      .if NUFQD
      LDA #0
      JMP ULIT
      .else
      JSR QKEY
      JSR DUP
      JSR UIF
      BEQ NUFQ1
      INX
      INX
      JSR KEY
      LDA #ECR
      JSR ULIT
      JMP EQUAL
NUFQ1 RTS
      .endif
      .byte L130
L131  .byte $04
      .byte $45,$4D,$49,$54 ; "EMIT"
      .byte 0
EMIT:
      JSR TEMIT
      JSR ATT
      JMP EXECU
      .byte L131
L132  .byte $05
      .byte $53,$50,$41,$43,$45 ; "SPACE"
      .byte 0
SPACE:
      JSR BLL
      JMP EMIT
      .byte L132
L133  .byte $05
      .byte $45,$4D,$49,$54,$53 ; "EMITS"
      .byte 0
EMITS:
      JSR SWAP
      LDA #0
      JSR ULIT
      JSR MAX
EMTS1 JSR DUP
      JSR UIF
      BEQ EMTS2
      JSR OVER
      JSR EMIT
      LDA #$01
      JSR ULIT
      JSR MINUS
      JMP EMTS1
EMTS2 INX
      INX
      RTS
      .byte L133
L134  .byte $06
      .byte $53,$50,$41,$43,$45,$53 ; "SPACES"
      .byte 0
SPACS:
      JSR BLL
      JMP EMITS
      .byte L134
L135  .byte $04
      .byte $54,$59,$50,$45 ; "TYPE"
      .byte 0
TYPE:
      JSR BNDS
TYPE1 JSR TDUP
      JSR XORR
      JSR UIF
      BEQ TYPE2
      JSR COUNT
      JSR EMIT
      JMP TYPE1
TYPE2 INX
      INX
      RTS
      .byte L135
L136  .byte $02
      .byte $43,$52 ; "CR"
      .byte 0
CR:
      LDA #ECR
      JSR ULIT
      JSR EMIT
      LDA #ELF
      JSR ULIT
      JMP EMIT
      .byte L136
L137  .byte $02
      .byte $5F,$22 ; _"
      .byte ECOMP
UQUOT:
      PLA
      JSR ULIT
      PLA
      PLA
      JSR ULIT
      INC 0,X
      JSR DUP
      JSR COUNT
      JSR PLUS
      DEC 0,X
      JSR PULL
      PHA
      JSR SWAP
      LDA #PG
      PHA
      JSR PULL
      PHA
      RTS
      .byte L137
L138  .byte $03
      .byte $5F,$53,$22 ; _S"
      .byte ECOMP
USQ:
      JSR UQUOT
      JMP COUNT
      .byte L138
L139  .byte $03
      .byte $5F,$2E,$22 ; _."
      .byte ECOMP
UDOTQ:
      JSR UQUOT
      JSR COUNT
      JMP TYPE
      .byte L139
L140  .byte $07
      .byte $5F,$41,$42,$4F,$52,$54,$22 ; _ABORT"
      .byte ECOMP
UABOR:
      JSR UIF
      BEQ UABO1
      JSR UQUOT
      JSR CSP
      JSR STORE
      LDA #(0-$02)
      JSR ULIT
      JSR THROW
UABO1 JSR UQUOT
      INX
      RTS
      .byte L140
L141  .byte $03
      .byte $53,$2E,$52 ; "S.R"
      .byte 0
SDOTR:
      JSR OVER
      JSR MINUS
      JSR SPACS
      JMP TYPE
      .byte L141
L142  .byte $03
      .byte $44,$2E,$52 ; "D.R"
      .byte 0
DDOTR:
      JSR PULL
      PHA
      JSR DUP
      JSR PULL
      PHA
      JSR DABS
      JSR BDIGS
      JSR DIGS
      PLA
      JSR ULIT
      JSR SIGN
      JSR EDIGS
      PLA
      JSR ULIT
      JMP SDOTR
      .byte L142
L143  .byte $03
      .byte $55,$2E,$52 ; "U.R"
      .byte 0
UDOTR:
      LDA #0
      JSR ULIT
      JSR SWAP
      JMP DDOTR
      .byte L143
L144  .byte $02
      .byte $2E,$52 ; ".R"
      .byte 0
DOTR:
      JSR PULL
      PHA
      JSR STOD
      PLA
      JSR ULIT
      JMP DDOTR
      .byte L144
L145  .byte $02
      .byte $44,$2E ; "D."
      .byte 0
DDOT:
      LDA #0
      JSR ULIT
      JSR DDOTR
      JMP SPACE
      .byte L145
L146  .byte $02
      .byte $55,$2E ; "U."
      .byte 0
UDOT:
      LDA #0
      JSR ULIT
      JMP DDOT
      .byte L146
L147  .byte $01
      .byte $2E ; "."
      .byte 0
DOT:
      JSR BASE
      JSR ATT
      LDA #$0A
      JSR ULIT
      JSR XORR
      JSR UIF
      BEQ DOT1
      JMP UDOT
DOT1  JSR STOD
      JMP DDOT
      .byte L147
L148  .byte $01
      .byte $3F ; "?"
      .byte 0
QUEST:
      JSR ATT
      JMP DOT
      .byte L148
L149  .byte $04
      .byte $50,$41,$43,$4B ; "PACK"
      .byte 0
PACK:
      JSR OVER
      LDA #RESET
      JSR ULIT
      JSR ULESS
      JSR UIF
      BEQ PACK1
      JSR DUP
      JSR PULL
      PHA
      JSR OVER
      JSR PULL
      PHA
      INC 0,X
      JSR SWAP
      JSR MOVE
      PLA
      JSR ULIT
      PLA
      PHA
      JSR ULIT
      JSR CSTOR
      PLA
      JMP ULIT
PACK1 LDA #(0-$12)
      JSR ULIT
      JMP THROW
      .byte L149
L150  .byte $05
      .byte $44,$45,$50,$54,$48 ; "DEPTH"
      .byte 0
DEPTH:
      JSR SPAT
      JSR TID
      JSR ATT
      INC 0,X
      INC 0,X
      JSR ATT
      JSR SWAP
      JSR MINUS
      LDA #CELL1
      JSR ULIT
      JMP SLASH
      .byte L150
L151  .byte $06
      .byte $3F,$53,$54,$41,$43,$4B ; "?STACK"
      .byte 0
QSTAC:
      JSR DEPTH
      JSR ZLESS
      JSR UABOR
      .byte $06
      .byte $64,$65,$70,$74,$68,$3F ; "depth?"
      RTS
      .byte L151
L152  .byte $06
      .byte $41,$43,$43,$45,$50,$54 ; "ACCEPT"
      .byte 0
ACCEP:
      JSR OVER
      JSR PLUS
      JSR OVER
ACCE1 JSR KEY
      JSR DUP
      LDA #ECR
      JSR ULIT
      JSR XORR
      JSR UIF
      BEQ ACCE6
      JSR DUP
      LDA #EBS
      JSR ULIT
      JSR EQUAL
      JSR UIF
      BEQ ACCE3
      INX
      JSR PULL
      PHA
      JSR OVER
      PLA
      PHA
      JSR ULIT
      JSR LESS
      JSR DUP
      JSR UIF
      BEQ ACCE2
      LDA #EBS
      JSR ULIT
      JSR DUP
      JSR EMIT
      JSR BLL
      JSR EMIT
      JSR EMIT
ACCE2 PLA
      JSR ULIT
      JSR PLUS
      JMP ACCE5
ACCE3 JSR PULL
      PHA
      JSR TDUP
      JSR XORR
      JSR UIF
      BEQ ACCE4
      PLA
      PHA
      JSR ULIT
      JSR OVER
      JSR CSTOR
      INC 0,X
      PLA
      PHA
      JSR ULIT
      JSR EMIT
ACCE4 PLA
      JSR ULIT
      INX
ACCE5 JMP ACCE1
ACCE6 INX
      JSR NIP
      JSR SWAP
      JMP MINUS
      .byte L152
L153  .byte $05
      .byte $53,$41,$4D,$45,$3F ; "SAME?"
      .byte 0
SAMEQ:
      JSR SWAP
      JSR PULL
      PHA
SAMQ1 JSR DUP
      JSR UIF
      BEQ SAMQ2
      DEC 0,X
      JSR TDUP
      JSR PLUS
      JSR CAT
      JSR OVER
      PLA
      PHA
      JSR ULIT
      JSR PLUS
      JSR CAT
      JSR XORR
      JSR UIF
      BEQ SAMQ1
      PLA
      JSR ULIT
      INX
      INX
      INX
      LDA #0
      JMP ULIT
SAMQ2 PLA
      JSR ULIT
      INX
      INX
      INX
      LDA #$FFFF
      JMP ULIT
      .byte L153
L154  .byte $08
      .byte $5F,$44,$45,$4C,$49,$4D,$49,$54 ; "_DELIMIT"
      .byte 0
UDELI:
      JSR BNDS
      JSR DUP
      JSR PULL
      PHA
      DEC 0,X
UDEL1 INC 0,X
      JSR TDUP
      JSR XORR
      JSR UIF
      BEQ UDEL5
      JSR BLL
      JSR OVER
      JSR CAT
      JSR LESS
      JSR UIF
      BEQ UDEL1
      JSR SWAP
      JSR OVER
UDEL2 INC 0,X
      JSR TDUP
      JSR XORR
      JSR UIF
      BEQ UDEL3
      JSR DUP
      JSR CAT
      JSR BLL
      LDA #$01
      JSR ULIT
      JSR PLUS
      JSR LESS
      JSR UIF
      BEQ UDEL2
      JSR NIP
      JSR DUP
      INC 0,X
      JMP UDEL4
UDEL3 INX
      JSR DUP
UDEL4 JSR PULL
      PHA
      JSR OVER
      JSR MINUS
      PLA
      JSR ULIT
      JMP UDEL6
UDEL5 INX
      LDA #0
      JSR ULIT
      JSR OVER
UDEL6 PLA
      JSR ULIT
      JMP MINUS
      .byte L154
L155  .byte $06
      .byte $5F,$50,$41,$52,$53,$45 ; "_PARSE"
      .byte 0
UPARS:
      JSR PULL
      PHA
      JSR OVER
      JSR PLUS
      JSR OVER
      DEC 0,X
UPAR1 INC 0,X
      JSR TDUP
      JSR XORR
      JSR UIF
      BEQ UPAR2
      JSR DUP
      JSR CAT
      PLA
      PHA
      JSR ULIT
      JSR EQUAL
      JSR UIF
      BEQ UPAR1
      JSR SWAP
      PLA
      JSR ULIT
      INX
      INX
      JSR OVER
      JSR MINUS
      JSR DUP
      LDA #$01
      JSR ULIT
      JMP PLUS
UPAR2 JSR SWAP
      PLA
      JSR ULIT
      INX
      INX
      JSR OVER
      JSR MINUS
      JMP DUP
      .byte L155
L156  .byte $05
      .byte $4E,$41,$4D,$45,$3E ; "NAME>"
      .byte 0
NAMET:
      JSR COUNT
      JSR PLUS
      INC 0,X
      RTS
      .byte L156
L157  .byte $04
      .byte $57,$49,$44,$3F ; "WID?"
      .byte 0
WIDQ:
      JSR SWAP
      JSR PULL
      PHA
      JSR ATT
WIDQ1 JSR DUP
      JSR UIF
      BEQ WIDQ4
      JSR COUNT
      PLA
      PHA
      JSR ULIT
      JSR EQUAL
      JSR UIF
      BEQ WIDQ3
      JSR TDUP
      PLA
      PHA
      JSR ULIT
      JSR SAMEQ
      JSR UIF
      BEQ WIDQ2
      JSR SWAP
      PLA
      JSR ULIT
      INX
      INX
      DEC 0,X
      JSR DUP
      JSR NAMET
      JSR SWAP
      JSR COUNT
      JSR PLUS
      JSR CAT
      LDA #$FFFF
      JMP ULIT
WIDQ2:
WIDQ3 DEC 0,X
      DEC 0,X
      JSR ATT
      JMP WIDQ1
WIDQ4 INX
      PLA
      JSR ULIT
      LDA #0
      JMP ULIT
      .byte L157
L158  .byte $07
      .byte $43,$4F,$4E,$54,$45,$58,$54 ; "CONTEXT"
      .byte 0
CONTE:
      JSR UVAR
      .byte 0
      .byte 0
      .byte 0
      .byte 0
      .byte 0
      .byte 0
      .byte 0
      .byte 0
      .byte 0
      .byte L158
L159  .byte $05
      .byte $53,$46,$49,$4E,$44 ; "SFIND"
      .byte 0
SFIND:
      JSR CONTE
      DEC 0,X
      JSR PULL
      PHA
SFIN1 PLA
      JSR ULIT
      INC 0,X
      JSR DUP
      JSR PULL
      PHA
      JSR ATT
      JSR DUP
      JSR UIF
      BEQ SFIN2
      JSR WIDQ
      JSR UIF
      BEQ SFIN1
      LDA #$FFFF
      JSR ULIT
SFIN2 PLA
      JSR ULIT
      INX
      RTS
      .byte L159
L160  .byte $02
      .byte $5F,$5B ; "_["
      .byte ECOMP
ULBR:
      JSR SFIND
      JSR UIF
      BEQ ULBR1
      LDA #ECOMP
      JSR ULIT
      JSR ANDD
      JSR UABOR
      .byte $08
      .byte $63,$6F,$6D,$70,$69,$6C,$65,$3F ; "compile?"
      JSR EXECU
      JMP QSTAC
ULBR1 JSR NUMQ
      JSR UIF
      BEQ ULBR3
      JSR DPL
      JSR ATT
      JSR ZLESS
      JSR UIF
      BEQ ULBR2
      INX
ULBR2 RTS
ULBR3 LDA #(0-$0D)
      JSR ULIT
      JMP THROW
      .byte L160
L161  .byte $01
      .byte $5B ; "["
      .byte EIMED
LBRAC:
      LDA #ULBR
      JSR ULIT
      LDA #0
      JSR ULIT
      JSR STATE
      JMP TSTOR
      .byte L161
L162  .byte $06
      .byte $53,$4F,$55,$52,$43,$45 ; "SOURCE"
      .byte 0
SOURC:
      JSR NIN
      JMP TAT
      .byte L162
L163  .byte $0A
      .byte $50,$41,$52,$53,$45,$2D,$57,$4F,$52,$44 ; "PARSE-WORD"
      .byte 0
PARSW:
      JSR SOURC
      JSR TOIN
      JSR ATT
      JSR SSTRI
      JSR UDELI
      JSR TOIN
      JMP PLUST
      .byte L163
L164  .byte $08
      .byte $45,$56,$41,$4C,$55,$41,$54,$45 ; "EVALUATE"
      .byte 0
EVALU:
      JSR TOIN
      JSR ATT
      JSR PULL
      PHA
      LDA #0
      JSR ULIT
      JSR TOIN
      JSR STORE
      JSR SOURC
      JSR PULL
      PHA
      JSR PULL
      PHA
      JSR NIN
      JSR TSTOR
EVAL1 JSR PARSW
      JSR DUP
      JSR UIF
      BEQ EVAL2
      JSR STATE
      INC 0,X
      JSR ATT
      JSR EXECU
      JMP EVAL1
EVAL2 INX
      INX
      PLA
      JSR ULIT
      PLA
      JSR ULIT
      JSR NIN
      JSR TSTOR
      PLA
      JSR ULIT
      JSR TOIN
      JMP STORE
      .byte L164
L165  .byte $03
      .byte $27,$4F,$4B ; "'OK"
      .byte 0
TOK:
      JSR UVAR
      .byte NOOP
      .byte L165
L166  .byte $04
      .byte $51,$55,$49,$54 ; "QUIT"
      .byte 0
QUIT:
      JSR SUP
      INC 0,X
      JSR ATT
      JSR RPSTO
      JSR LBRAC
QUIT1 LDA #ETIB
      JSR ULIT
      JSR DUP
      LDA #NTIB
      JSR ULIT
      JSR ACCEP
      JSR SPACE
      LDA #EVALU
      JSR ULIT
      JSR CATCH
      JSR DUP
      JSR UIF
      BEQ QUIT5
      JSR DUP
      LDA #(0-$01)
      JSR ULIT
      JSR XORR
      JSR UIF
      BEQ QUIT4
      JSR CR
      JSR DUP
      LDA #(0-$02)
      JSR ULIT
      JSR XORR
      JSR UIF
      BEQ QUIT2
      JSR SOURC
      INX
      JSR TOIN
      JSR ATT
      JSR DTRAI
      JSR TYPE
      JSR UDOTQ
      .byte $03
      .byte $20,$3F,$28 ; " ?("
      LDA #0
      JSR ULIT
      JSR DOTR
      JSR UDOTQ
      .byte $01
      .byte $29 ; ")"
      JMP QUIT3
QUIT2 JSR CSP
      JSR ATT
      JSR COUNT
      JSR TYPE
QUIT3 JSR SPACE
QUIT4 JSR SUP
      INC 0,X
      INC 0,X
      JSR ATT
      LDA 0,X
      TAX
      JSR QUIT
QUIT5 JSR CR
      JSR STATE
      JSR ATT
      JSR EQUAL
      JSR UIF
      BEQ QUIT1
      JSR TOK
      JSR ATT
      JSR EXECU
      JSR UDOTQ
      .byte $03
      .byte $6F,$6B,$20 ; "ok "
      JMP QUIT1
      .byte L166
L167  .byte $05
      .byte $41,$4C,$49,$47,$4E ; "ALIGN"
      .byte EIMED
ALGNN:
      RTS
      .byte L167
L168  .byte $05
      .byte $41,$4C,$4C,$4F,$54 ; "ALLOT"
      .byte 0
ALLOT:
      JSR DP
      JMP PLUST
      .byte L168
L169  .byte $02
      .byte $53,$2C ; "S,"
      .byte 0
SCOMA:
      JSR HERE
      JSR OVER
      INC 0,X
      JSR ALLOT
      JSR PACK
      INX
      RTS
      .byte L169
L170  .byte $02
      .byte $43,$2C ; "C,"
      .byte 0
CCOMA:
      JSR HERE
      LDA #CHAR1
      JSR ULIT
      JSR ALLOT
      JMP CSTOR
      .byte L170
L171  .byte $01
      .byte $2C ; ","
      .byte 0
COMMA:
      JSR HERE
      LDA #CELL1
      JSR ULIT
      JSR ALLOT
      JMP STORE
CCC   JSR CCOMA
      JSR COMMA
      LDA #PG
      JSR ULIT
      JMP COMMA
      .byte L171
L172  .byte $08
      .byte $43,$4F,$4D,$50,$49,$4C,$45,$2C ; "COMPILE,"
      .byte 0
COMPC:
      LDA #EJSR
      JSR ULIT
      JMP CCC
PUSHC LDA #EPHA
      JSR ULIT
      JMP CCOMA
PULLC LDA #EPLA
      JSR ULIT
      JMP CCOMA
LOADC LDA #ELDA
      JSR ULIT
      JSR CCOMA
      JMP COMMA
      .byte L172
L173  .byte $02
      .byte $3E,$52 ; ">R"
      .byte EIMED+ECOMP
TOR   LDA #PULL
      JSR ULIT
      JSR COMPC
      JMP PUSHC
      .byte L173
L174  .byte $02
      .byte $52,$40 ; "R@"
      .byte EIMED
RAT   JSR RFRO
      JMP PUSHC
      .byte L174
L175  .byte $02
      .byte $52,$3E ; "R>"
      .byte EIMED+ECOMP
RFRO  LDA 0,X
      INX
      LDA #ULIT
      JSR ULIT
      JMP COMPC
      .byte L175
L176  .byte $04
      .byte $45,$58,$49,$54 ; "EXIT"
      .byte EIMED
IEXIT JMP NEXTC
      .byte L176
L177  .byte $07
      .byte $4C,$49,$54,$45,$52,$41,$4C ; "LITERAL"
      .byte EIMED
LITER:
      JSR LOADC
      LDA #ULIT
      JSR ULIT
      JMP COMPC
      .byte L177
L178  .byte $04
      .byte $43,$48,$41,$52 ; "CHAR"
      .byte 0
CHARR:
      JSR PARSW
      INX
      JMP CAT
      .byte L178
L179  .byte $06
      .byte $5B,$43,$48,$41,$52,$5D ; "[CHAR]"
      .byte EIMED
BCHAR:
      JSR CHARR
      JMP LITER
      .byte L179
L180  .byte $01
      .byte $27 ; "'"
      .byte 0
TICK:
      JSR PARSW
      JSR SFIND
      JSR UIF
      BEQ TICK1
      INX
      RTS
TICK1 LDA #(0-$0D)
      JSR ULIT
      JMP THROW
      .byte L180
L181  .byte $03
      .byte $5B,$27,$5D ; "[']"
      .byte EIMED
BTICK:
      JSR TICK
      JMP LITER
      .byte L181
L182  .byte $05
      .byte $50,$41,$52,$53,$45 ; "PARSE"
      .byte 0
PARSE:
      JSR PULL
      PHA
      JSR SOURC
      JSR TOIN
      JSR ATT
      JSR SSTRI
      PLA
      JSR ULIT
      JSR UPARS
      JSR TOIN
      JMP PLUST
      .byte L182
L183  .byte $02
      .byte $2E,$28 ; ".("
      .byte EIMED
DOTP:
      LDA #')'
      JSR ULIT
      JSR PARSE
      JMP TYPE
      .byte L183
L184  .byte $01
      .byte $28 ; "("
      .byte EIMED
PAREN:
      LDA #')'
      JSR ULIT
      JSR PARSE
      INX
      INX
      RTS
      .byte L184
L185  .byte $01
      .byte $5C ; "\"
      .byte EIMED
BSLSH:
      JSR SOURC
      JSR TOIN
      JSR STORE
      INX
      RTS
      .byte L185
L186  .byte $08
      .byte $53,$4C,$49,$54,$45,$52,$41,$4C ; "SLITERAL"
      .byte EIMED+ECOMP
SLITE:
      LDA #USQ
      JSR ULIT
      JSR COMPC
      JMP SCOMA
      .byte L186
L187  .byte $03
      .byte $2C,$43,$22 ; ,C"
      .byte 0
CCQ:
      LDA #$22
      JSR ULIT
      JSR PARSE
      JMP SCOMA
      .byte L187
L188  .byte $02
      .byte $53,$22 ; S"
      .byte EIMED+ECOMP
SQUOT:
      LDA #USQ
      JSR ULIT
      JSR COMPC
      JMP CCQ
      .byte L188
L189  .byte $02
      .byte $2E,$22 ; ."
      .byte EIMED+ECOMP
DOTQ:
      LDA #UDOTQ
      JSR ULIT
      JSR COMPC
      JMP CCQ
      .byte L189
L190  .byte $06
      .byte $41,$42,$4F,$52,$54,$22 ; ABORT"
      .byte EIMED+ECOMP
ABORQ:
      LDA #UABOR
      JSR ULIT
      JSR COMPC
      JMP CCQ
      .byte L190
L191  .byte $02
      .byte $5F,$5D ; "_]"
      .byte ECOMP
URBR:
      JSR SFIND
      JSR UIF
      BEQ URBR2
      LDA #EIMED
      JSR ULIT
      JSR ANDD
      JSR UIF
      BEQ URBR1
      JSR EXECU
      JMP QSTAC
URBR1 JMP COMPC
URBR2 JSR NUMQ
      JSR UIF
      BEQ URBR5
      JSR DPL
      JSR ATT
      JSR ZLESS
      JSR UIF
      BEQ URBR3
      INX
      JMP URBR4
URBR3 JSR SWAP
      JSR LITER
URBR4 JMP LITER
URBR5 LDA #(0-$0D)
      JSR ULIT
      JMP THROW
      .byte L191
L192  .byte $01
      .byte $5D ; "]"
      .byte 0
RBRAC:
      LDA #URBR
      JSR ULIT
      LDA #$FFFF
      JSR ULIT
      JSR STATE
      JMP TSTOR
      .byte L192
L193  .byte $0E
      .byte $46,$4F,$52,$54,$48,$2D,$57,$4F,$52,$44,$4C,$49,$53,$54 ; "FORTH-WORDLIST"
      .byte 0
FRTHW:
      JSR UVAR
FRTW1 .byte BYE0
      .byte 0
      .byte 0
      .byte L193
L194  .byte $04
      .byte $4C,$41,$53,$54 ; "LAST"
      .byte 0
LAST:
      JSR UVAR
      .byte 0
      .byte 0
ERECU .byte 0
EDOES .byte 0
      .byte L194
L195  .byte $07
      .byte $43,$55,$52,$52,$45,$4E,$54 ; "CURRENT"
      .byte 0
CURRE:
      JSR UVAR
      .byte FRTW1
      .byte FRTW1
      .byte L195
L196  .byte $0B
      .byte $47,$45,$54,$2D,$43,$55,$52,$52,$45,$4E,$54 ; "GET-CURRENT"
      .byte 0
GETCU:
      JSR CURRE
      JMP ATT
      .byte L196
L197  .byte $0B
      .byte $53,$45,$54,$2D,$43,$55,$52,$52,$45,$4E,$54 ; "SET-CURRENT"
      .byte 0
SETCU:
      JSR CURRE
      JMP STORE
      .byte L197
L198  .byte $0B
      .byte $44,$45,$46,$49,$4E,$49,$54,$49,$4F,$4E,$53 ; "DEFINITIONS"
      .byte 0
DEFIN:
      JSR CONTE
      JSR ATT
      JMP SETCU
      .byte L198
L199  .byte $07
      .byte $3F,$55,$4E,$49,$51,$55,$45 ; "?UNIQUE"
      .byte 0
QUNIQ:
      JSR TDUP
      JSR GETCU
      JSR WIDQ
      JSR UIF
      BEQ QUNI1
      INX
      INX
      JSR CR
      JSR UDOTQ
      .byte $06
      .byte $72,$65,$44,$65,$66,$20 ; "reDef "
      JSR TDUP
      JMP TYPE
QUNI1 INX
      INX
      RTS
      .byte L199
L200  .byte $05
      .byte $48,$45,$41,$44,$2C ; "HEAD,"
      .byte 0
HEADC:
      JSR PARSW
      JSR DUP
      JSR UIF
      BEQ HEDC1
      JSR QUNIQ
      JSR GETCU
      JSR DUP
      JSR ATT
      JSR COMMA
      JSR HERE
      JSR LAST
      JSR TSTOR
      JSR DUP
      JSR CCOMA
      JSR HERE
      JSR SWAP
      JSR DUP
      JSR ALLOT
      JSR MOVE
      LDA #0
      JSR ULIT
      JMP CCOMA
HEDC1 LDA #(0-$10)
      JSR ULIT
      JMP THROW
LEXST:
      JSR LAST
      JSR ATT
      JSR COUNT
      JSR PLUS
      JSR DUP
      JSR PULL
      PHA
      JSR CAT
      JSR ORR
      PLA
      JSR ULIT
      JMP CSTOR
      .byte L200
L201  .byte $09
      .byte $49,$4D,$4D,$45,$44,$49,$41,$54,$45 ; "IMMEDIATE"
      .byte 0
IMMED:
      LDA #EIMED
      JSR ULIT
      JMP LEXST
      .byte L201
L202  .byte $0C
      .byte $43,$4F,$4D,$50,$49,$4C,$45,$2D,$4F,$4E,$4C,$59 ; "COMPILE-ONLY"
      .byte 0
COMPO:
      LDA #ECOMP
      JSR ULIT
      JMP LEXST
      .byte L202
L203  .byte $06
      .byte $52,$45,$56,$45,$41,$4C ; "REVEAL"
      .byte 0
REVEA:
      JSR LAST
      JSR TAT
      JSR SWAP
      JSR STORE
      JMP LBRAC
      .byte L203
L204  .byte $07
      .byte $52,$45,$43,$55,$52,$53,$45 ; "RECURSE"
      .byte EIMED
RECUR:
      LDA #ERECU
      JSR ULIT
      JSR ATT
      JMP COMPC
      .byte L204
L205  .byte $08
      .byte $50,$4F,$53,$54,$50,$4F,$4E,$45 ; "POSTPONE"
      .byte EIMED
POSTP:
      JSR PARSW
      JSR SFIND
      JSR UIF
      BEQ PSTP2
      LDA #EIMED
      JSR ULIT
      JSR ANDD
      JSR UIF
      BEQ PSTP1
      JMP COMPC
PSTP1 JSR LITER
      LDA #COMPC
      JSR ULIT
      JMP COMPC
PSTP2 LDA #(0-$0D)
      JSR ULIT
      JMP THROW
      .byte L205
L206  .byte $04
      .byte $43,$4F,$44,$45 ; "CODE"
      .byte 0
CODE:
      JSR HEADC
      JMP REVEA
      .byte L206
L207  .byte $05
      .byte $6E,$65,$78,$74,$2C ; "next,"
      .byte 0
NEXTC:
      LDA #ERTS
      JSR ULIT
      JMP CCOMA
      .byte L207
L208  .byte $07
      .byte $3A,$4E,$4F,$4E,$41,$4D,$45 ; ":NONAME"
      .byte 0
CNONA:
      JSR HERE
      JSR DUP
      LDA #ERECU
      JSR ULIT
      JSR STORE
      JMP RBRAC
      .byte L208
L209  .byte $01
      .byte $3A ; ":"
      .byte 0
COLON:
      JSR HEADC
      JSR CNONA
      INX
      RTS
      .byte L209
L210  .byte $01
      .byte $3B ; ";"
      .byte EIMED+ECOMP
SEMIC:
      JSR NEXTC
      JMP REVEA
      .byte L210
L211  .byte $06
      .byte $5F,$44,$4F,$45,$53,$3E ; "_DOES>"
      .byte ECOMP
UDOES:
      PLA
      JSR ULIT
      PLA
      INC 0,X
      LDA #EDOES
      JSR ULIT
      JSR ATT
      JMP STORE
      .byte L211
L212  .byte $05
      .byte $44,$4F,$45,$53,$3E ; "DOES>"
      .byte EIMED+ECOMP
DOES:
      LDA #UDOES
      JSR ULIT
      JSR COMPC
      JSR CNONA
      INX
      JSR RFRO
      LDA #CHARP
      JSR ULIT
      PLA
      JMP COMPC
      .byte L212
L213  .byte $06
      .byte $43,$52,$45,$41,$54,$45 ; "CREATE"
      .byte 0
CREAT:
      LDA #UVAR
      JSR ULIT
      JSR COLON
      JSR REVEA
      JSR HERE
      INC 0,X
      LDA #EDOES
      JSR ULIT
      JSR STORE
      JMP COMPC
      .byte L213
L214  .byte $08
      .byte $56,$41,$52,$49,$41,$42,$4C,$45 ; "VARIABLE"
      .byte 0
VARIA:
      JSR CREAT
      LDA #0
      JSR ULIT
      JMP COMMA
      .byte L214
L215  .byte $08
      .byte $43,$4F,$4E,$53,$54,$41,$4E,$54 ; "CONSTANT"
      .byte 0
CONST:
      LDA #UCON
      JSR ULIT
      JSR COLON
      JSR REVEA
      JSR COMPC
      JMP COMMA
      .byte L215
L216  .byte $04
      .byte $55,$53,$45,$52 ; "USER"
      .byte 0
USER:
      LDA #UUSR
      JSR ULIT
      JSR COLON
      JSR REVEA
      JSR COMPC
      JMP COMMA
      .byte L216
L217  .byte $03
      .byte $48,$41,$54 ; "HAT"
      .byte 0
HAT:
      JSR CREAT
      JSR ROT
      LDA #8*CELL1
      JSR ULIT
      JSR PLUS
      JSR HERE
      JSR PLUS
      JSR DUP
      JSR COMMA
      JSR PLUS
      JSR DUP
      JSR COMMA
      JSR PLUS
      JSR DUP
      JSR COMMA
      JSR HERE
      JSR MINUS
      JMP ALLOT
      .byte L217
L218  .byte $08
      .byte $57,$4F,$52,$44,$4C,$49,$53,$54 ; "WORDLIST"
      .byte 0
WORDL:
      JSR HERE
      LDA #0
      JSR ULIT
      JSR COMMA
      JSR DUP
      JSR CURRE
      INC 0,X
      JSR DUP
      JSR ATT
      JSR COMMA
      JSR STORE
      LDA #0
      JSR ULIT
      JMP COMMA
      .byte L218
L219  .byte $06
      .byte $4F,$52,$44,$45,$52,$40 ; "ORDER@"
      .byte 0
ORDAT:
      JSR DUP
      JSR ATT
      JSR DUP
      JSR UIF
      BEQ ORDA1
      JSR PULL
      PHA
      INC 0,X
      JSR ORDAT
      PLA
      JSR ULIT
      JSR SWAP
      LDA #$01
      JSR ULIT
      JMP PLUS
ORDA1 JMP NIP
      .byte L219
L220  .byte $09
      .byte $47,$45,$54,$2D,$4F,$52,$44,$45,$52 ; "GET-ORDER"
      .byte 0
GETOR:
      JSR CONTE
      JMP ORDAT
      .byte L220
L221  .byte $09
      .byte $53,$45,$54,$2D,$4F,$52,$44,$45,$52 ; "SET-ORDER"
      .byte 0
SETOR:
      JSR DUP
      LDA #(0-$01)
      JSR ULIT
      JSR EQUAL
      JSR UIF
      BEQ SETO1
      INX
      JSR FRTHW
      LDA #$01
      JSR ULIT
SETO1 LDA #NVOCS
      JSR ULIT
      JSR OVER
      JSR ULESS
      JSR UIF
      BEQ SETO2
      LDA #(0-$2E)
      JSR ULIT
      JSR THROW
SETO2 JSR CONTE
      JSR SWAP
SETO3 JSR DUP
      JSR UIF
      BEQ SETO4
      JSR PULL
      PHA
      JSR SWAP
      JSR OVER
      JSR STORE
      INC 0,X
      PLA
      JSR ULIT
      LDA #$01
      JSR ULIT
      JSR MINUS
      JMP SETO3
SETO4 JSR SWAP
      JMP STORE
      .byte L221
L222  .byte $07
      .byte $5F,$4D,$41,$52,$4B,$45,$52 ; "_MARKER"
      .byte ECOMP
UMARK:
      PLA
      JSR ULIT
      JSR TAT
      JSR DUP
      JSR ATT
      JSR FOLLO
      JSR STORE
      JSR DUP
      JSR CONTE
UMAR1 JSR PULL
      PHA
      INC 0,X
      JSR DUP
      JSR ATT
      JSR DUP
      PLA
      PHA
      JSR ULIT
      JSR STORE
      JSR UIF
      BEQ UMAR2
      PLA
      JSR ULIT
      INC 0,X
      JMP UMAR1
UMAR2 INC 0,X
      JSR DUP
      JSR TAT
      JSR CURRE
      JSR TSTOR
      INC 0,X
      JSR DUP
      JSR ATT
UMAR3 JSR PULL
      PHA
      INC 0,X
      JSR DUP
      JSR ATT
      PLA
      PHA
      JSR ULIT
      JSR STORE
      PLA
      JSR ULIT
      INC 0,X
      JSR ATT
      JSR QDUP
      JSR ZEQ
      JSR UIF
      BEQ UMAR3
      PLA
      JSR ULIT
      INX
      INX
      JSR DP
      JMP TSTOR
      .byte L222
L223  .byte $06
      .byte $4D,$41,$52,$4B,$45,$52 ; "MARKER"
      .byte 0
MARKE:
      JSR DP
      JSR TAT
      JSR FOLLO
      JSR ATT
      JSR COMMA
      JSR CONTE
MARK1 JSR DUP
      JSR ATT
      JSR DUP
      JSR COMMA
      JSR UIF
      BEQ MARK2
      INC 0,X
      JMP MARK1
MARK2 INX
      JSR CURRE
      JSR TAT
      JSR COMMA
      JSR DUP
      JSR COMMA
MARK3 JSR DUP
      JSR ATT
      JSR COMMA
      INC 0,X
      JSR ATT
      JSR QDUP
      JSR ZEQ
      JSR UIF
      BEQ MARK3
      LDA #UMARK
      JSR ULIT
      JSR COLON
      JSR REVEA
      JSR COMPC
      JSR COMMA
      JMP COMMA
      .byte L223
L224  .byte $05
      .byte $42,$45,$47,$49,$4E ; "BEGIN"
      .byte EIMED
BEGIN:
      JMP HERE
      .byte L224
L225  .byte $04
      .byte $54,$48,$45,$4E ; "THEN"
      .byte EIMED
THEN:
      JSR COUNT
      LDA #EJMP
      JSR ULIT
      JSR XORR
      JSR UIF
      BEQ THEN1
      JSR HERE
      JSR OVER
      INC 0,X
      JSR MINUS
      JSR SWAP
      JMP CSTOR
THEN1:
      JSR BEGIN
      JSR SWAP
      JMP STORE
      .byte L225
L226  .byte $02
      .byte $49,$46 ; "IF"
      .byte EIMED
IFF:
      LDA #UIF
      JSR ULIT
      JSR COMPC
      JSR HERE
      LDA #EBEQ
      JSR ULIT
      JSR CCOMA
      LDA #0
      JSR ULIT
      JMP CCOMA
      .byte L226
L227  .byte $05
      .byte $41,$48,$45,$41,$44 ; "AHEAD"
      .byte EIMED
AHEAD:
      JSR HERE
      JSR DUP
      JMP AGAIN
      .byte L227
L228  .byte $04
      .byte $45,$4C,$53,$45 ; "ELSE"
      .byte EIMED
ELSEE:
      JSR AHEAD
      JSR SWAP
      JMP THEN
      .byte L228
L229  .byte $05
      .byte $57,$48,$49,$4C,$45 ; "WHILE"
      .byte EIMED
WHIL:
      JSR IFF
      JMP SWAP
      .byte L229
L230  .byte $05
      .byte $55,$4E,$54,$49,$4C ; "UNTIL"
      .byte EIMED
UNTL:
      LDA #UIF
      JSR ULIT
      JSR COMPC
      LDA #EBEQ
      JSR ULIT
      JSR CCOMA
      JSR HERE
      INC 0,X
      JSR MINUS
      JMP CCOMA
      .byte L230
L231  .byte $05
      .byte $41,$47,$41,$49,$4E ; "AGAIN"
      .byte EIMED
AGAIN:
      LDA #EJMP
      JSR ULIT
      JMP CCC
      .byte L231
L232  .byte $06
      .byte $52,$45,$50,$45,$41,$54 ; "REPEAT"
      .byte EIMED
REPEA:
      JSR AGAIN
      JMP THEN
      .byte L232
L233  .byte $02
      .byte $2E,$53 ; ".S"
      .byte 0
DOTS:
      JSR QSTAC
      JSR DEPTH
DOTS1 JSR QDUP
      JSR UIF
      BEQ DOTS2
      JSR DUP
      JSR PICK
      JSR DOT
      LDA #$01
      JSR ULIT
      JSR MINUS
      JMP DOTS1
DOTS2 RTS
      .byte L233
L234  .byte $04
      .byte $21,$43,$53,$50 ; "!CSP"
      .byte 0
STCSP:
      JSR SPAT
      JSR CSP
      JMP STORE
      .byte L234
L235  .byte $04
      .byte $3F,$43,$53,$50 ; "?CSP"
      .byte 0
QCSP:
      JSR SPAT
      JSR CSP
      JSR ATT
      JSR XORR
      JSR UABOR
      .byte $04
      .byte $63,$73,$70,$3F ; "csp?"
      RTS
      .byte L235
L236  .byte $05
      .byte $3E,$43,$48,$41,$52 ; ">CHAR"
      .byte 0
TCHAR:
      LDA #$7F
      JSR ULIT
      JSR ANDD
      JSR DUP
      LDA #$7F
      JSR ULIT
      JSR BLL
      JSR WITHI
      JSR UIF
      BEQ TCHR1
      INX
      LDA #'_'
      JMP ULIT
TCHR1 RTS
      .byte L236
L237  .byte $05
      .byte $5F,$54,$59,$50,$45 ; "_TYPE"
      .byte 0
UTYPE:
      JSR BNDS
UTYP1 JSR TDUP
      JSR XORR
      JSR UIF
      BEQ UTYP2
      JSR COUNT
      JSR TCHAR
      JSR EMIT
      JMP UTYP1
UTYP2 INX
      INX
      RTS
      .byte L237
L238  .byte $05
      .byte $5F,$44,$55,$4D,$50 ; "_DUMP"
      .byte 0
UDUMP:
      JSR BNDS
UDMP1 JSR TDUP
      JSR XORR
      JSR UIF
      BEQ UDMP2
      JSR COUNT
      LDA #$03
      JSR ULIT
      JSR UDOTR
      JMP UDMP1
UDMP2 INX
      INX
      RTS
      .byte L238
L239  .byte $04
      .byte $44,$55,$4D,$50 ; "DUMP"
      .byte 0
DUMP:
      JSR BASE
      JSR ATT
      JSR PULL
      PHA
      JSR HEXX
      JSR BNDS
DUMP1 JSR TDUP
      JSR SWAP
      JSR ULESS
      JSR UIF
      BEQ DUMP2
      JSR CR
      JSR DUP
      LDA #0
      JSR ULIT
      JSR BDIGS
      JSR NDIG
      JSR NDIG
      JSR NDIG
      JSR NDIG
      JSR EDIGS
      JSR TYPE
      JSR SPACE
      LDA #NDUMP
      JSR ULIT
      JSR TDUP
      JSR UDUMP
      JSR SPACE
      JSR SPACE
      JSR TDUP
      JSR UTYPE
      JSR PLUS
      JSR NUFQ
      JSR UIF
      BEQ DUMP1
DUMP2 INX
      INX
      PLA
      JSR ULIT
      JSR BASE
      JMP STORE
      .byte L239
L240  .byte $03
      .byte $2E,$49,$44 ; ".ID"
      .byte 0
DOTID:
      JSR COUNT
      JMP UTYPE
      .byte L240
L241  .byte $08
      .byte $57,$49,$44,$57,$4F,$52,$44,$53 ; "WIDWORDS"
      .byte 0
WIDWO:
      JSR SWAP
      JSR PULL
      PHA
      JSR DUP
      JSR UIF
      BEQ WIDW4
      JSR CR
      JSR DUP
      JSR UDOTQ
      .byte $04
      .byte $77,$69,$64,$3D ; "wid="
      JSR UDOT
      JSR CR
WIDW1 JSR ATT
      JSR DUP
      JSR UIF
      BEQ WIDW3
      JSR TDUP
      INC 0,X
      PLA
      PHA
      JSR ULIT
      JSR SAMEQ
      JSR UIF
      BEQ WIDW2
      JSR DUP
      JSR DOTID
      JSR SPACE
WIDW2 DEC 0,X
      JSR NUFQ
      JSR UIF
      BEQ WIDW1
WIDW3:
WIDW4 INX
      PLA
      JMP ULIT
      .byte L241
L242  .byte $05
      .byte $57,$4F,$52,$44,$53 ; "WORDS"
      .byte 0
WORDS:
      JSR BLL
      JSR PARSE
      JSR DUP
      JSR UIF
      BEQ WRDS3
      JSR CURRE
WRDS1 INC 0,X
      JSR ATT
      JSR QDUP
      JSR UIF
      BEQ WRDS2
      JSR DUP
      JSR PULL
      PHA
      JSR WIDWO
      PLA
      JSR ULIT
      JMP WRDS1
WRDS2 JMP WRDS4
WRDS3 JSR CONTE
      JSR ATT
      JSR WIDWO
WRDS4 INX
      INX
      RTS
      .byte L242
L243  .byte $06
      .byte $4E,$41,$4D,$45,$44,$3F ; "NAMED?"
      .byte 0
NAMDQ:
      JSR CURRE
NMDQ1 INC 0,X
      JSR ATT
      JSR DUP
      JSR UIF
      BEQ NMDQ5
      JSR DUP
      JSR PULL
      PHA
NMDQ2 JSR ATT
      JSR QDUP
      JSR UIF
      BEQ NMDQ4
      JSR TDUP
      JSR NAMET
      JSR EQUAL
      JSR UIF
      BEQ NMDQ3
      JSR SWAP
      PLA
      JSR ULIT
      INX
      INX
      RTS
NMDQ3 DEC 0,X
      JMP NMDQ2
NMDQ4 PLA
      JSR ULIT
      JMP NMDQ1
NMDQ5 JMP NIP
      .byte L243
L244  .byte $04
      .byte $53,$53,$45,$45 ; "SSEE"
      .byte 0
SSEE:
      JSR BNDS
SSEE1 JSR TDUP
      JSR XORR
      JSR UIF
      BEQ SSEE5
      JSR DUP
      JSR NAMDQ
      JSR QDUP
      JSR UIF
      BEQ SSEE2
      JSR CR
      JSR DOTID
      JSR CR
SSEE2 JSR SPACE
      JSR DUP
      JSR ATT
      JSR NAMDQ
      JSR QDUP
      JSR UIF
      BEQ SSEE3
      JSR DOTID
      JMP SSEE4
SSEE3 JSR DUP
      JSR ATT
      LDA #0
      JSR ULIT
      JSR UDOTR
SSEE4 INC 0,X
      JSR NUFQ
      JSR UIF
      BEQ SSEE1
SSEE5 INX
      INX
      RTS
      .byte L244
L245  .byte $03
      .byte $53,$45,$45 ; "SEE"
      .byte 0
SEE:
      JSR TICK
      LDA #$FFFF
      JSR ULIT
      JMP SSEE
      .byte L245
L246  .byte $04
      .byte $43,$4F,$4C,$44 ; "COLD"
      .byte 0
COLD:
      JSR SUP
      INC 0,X
      JSR TAT
      JSR RPSTO
      LDA 0,X
      TAX
      JSR SUP
      JSR ATT
      DEC 0,X
      JSR UP
      JSR STORE
      JSR STATU
      JSR FOLLO
      JSR STORE
      JSR SUP
      JSR TID
      JSR STORE
      JSR SUP
      JSR AWAKE
      LDA #0
      JSR ULIT
      JSR STOIO
      JSR HEXX
      LDA #(0-$01)
      JSR ULIT
      JSR SETOR
      JSR DEFIN
      JSR CR
      LDA #VERSI
      JSR ULIT
      JSR COUNT
      JSR TYPE
      JSR CR
      LDA #COPYR
      JSR ULIT
      JSR COUNT
      JSR TYPE
      JSR CR
      JMP QUIT
      .byte L246
BYE0:
L247  .byte $03
      .byte $42,$59,$45 ; "BYE"
      .byte 0
BYE   LDX #0
      TXS
      RTS
VCOLD CLD
      TSX
      STX BYE+1
      LDX SUP1+CELL1
      TXS
      LDX SUP1+2*CELL1
      JMP COLD
HERE0:
